diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index 453e0e2..5493f91 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -290,6 +290,13 @@ November 10, 2003 ((iHy))
 \eject
 \pagenumbering{arabic}
 \setcounter{chapter}{0} % Chapter 1
+\chapter{Chapter Overview}
+This book contains the domains in Axiom, in alphabetical order.
+
+Each domain has an associated 'dotpic' chunk which only lists the
+domains, categories, and packages that are in the layer immediately
+below in the build order. For the full list see the algebra Makefile
+where this information is maintained.
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 %\pagehead{Domain}{ABB}
 %\pagepic{ps/v103domain.ps}{ABB}{1.00}
@@ -688,6 +695,11 @@ AlgebraGivenByStructuralConstants(R:Field, n : PositiveInteger,_
       true
 
 @
+<<ALGSC.dotabb>>=
+"ALGSC" [color="#88FF44",href="bookvol10.3.pdf#nameddest=ALGSC"]
+"ALGSC" -> "FRNAALG"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ALGFF AlgebraicFunctionField}
 \pagehead{AlgebraicFunctionField}{ALGFF}
@@ -833,28 +845,13 @@ AlgebraicFunctionField(F, UP, UPUP, modulus): Exports == Impl where
       not ground? gcd(retract(discriminant())@UP, p)
 
 @
+<<ALGFF.dotabb>>=
+"ALGFF" [color="#88FF44",href="bookvol10.3.pdf#nameddest=ALGFF"]
+"ALGFF" -> "FFCAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain AN AlgebraicNumber}
-<<dot>>=
-"AN" -> "ES"
-"AlgebraicNumber()" -> "ExpressionSpace()"
-"AN" -> "ACF"
-"AlgebraicNumber()" -> "AlgebraicallyClosedField()"
-"AN" -> "RETRACT"
-"AlgebraicNumber()" -> "RetractableTo(Integer)"
-"AlgebraicNumber()" -> "RetractableTo(Fraction(Integer))"
-"AN" -> "LINEXP"
-"AlgebraicNumber()" -> "LinearlyExplicitRingOver(Integer)"
-"AlgebraicNumber()" -> "LinearlyExplicitRingOver(Fraction(Integer))"
-"AN" -> "REAL"
-"AlgebraicNumber()" -> "RealConstant()"
-"AN" -> "CHARZ"
-"AlgebraicNumber()" -> "CharacteristicZero()"
-"AN" -> "KONVERT"
-"AlgebraicNumber()" -> "ConvertibleTo(Complex(Float))"
-"AN" -> "DIFRING"
-"AlgebraicNumber()" -> "DifferentialRing()"
-@
 \pagehead{AlgebraicNumber}{AN}
 \pagepic{ps/v103algebraicnumber.ps}{AN}{1.00}
 See also:\\
@@ -909,6 +906,11 @@ AlgebraicNumber(): Exports == Implementation where
     a=b == trueEqual((a-b)::Rep,0::Rep)
 
 @
+<<AN.dotabb>>=
+"AN" [color="#88FF44",href="bookvol10.3.pdf#nameddest=AN"]
+"AN" -> "ACF"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ANON AnonymousFunction}
 \pagehead{AnonymousFunction}{ANON}
@@ -921,6 +923,12 @@ AnonymousFunction():SetCategory == add
   coerce(x:%):OutputForm == x pretend OutputForm
 
 @
+<<ANON.dotabb>>=
+"ANON" [color="#88FF44",href="bookvol10.3.pdf#nameddest=ANON"]
+"ANON" -> "BASTYPE"
+"ANON" -> "KOERCE"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ANTISYM AntiSymm}
 \pagehead{AntiSymm}{ANTISYM}
@@ -1126,12 +1134,13 @@ AntiSymm(R:Ring, lVar:List Symbol): Export == Implement where
         reduce(_+,[makeTerm(t.coef,t.base) for t in (a @ Rep)])$L(O)
 
 @
+<<ANTISYM.dotabb>>=
+"ANTISYM" [color="#88FF44",href="bookvol10.3.pdf#nameddest=ANTISYM"]
+"ANTISYM" -> "ALIST"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ANY Any}
-<<dot>>=
-"ANY" -> "SETCAT"
-"Any()" -> "SetCategory()"
-@
 \pagehead{Any}{ANY}
 \pagepic{ps/v103any.ps}{ANY}{1.00}
 See also:\\
@@ -1216,12 +1225,13 @@ Any(): SetCategory with
        error "function any must have a domain as first argument"
 
 @
+<<ANY.dotabb>>=
+"ANY" [color="#88FF44",href="bookvol10.3.pdf#nameddest=ANY"]
+"ANY" -> "ALIST"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ASTACK ArrayStack}
-<<dot>>=
-"ASTACK" -> "STACK"
-"ArrayStack(a:SetCategory)" -> "Stack(a:SetCategory)"
-@
 \pagehead{ArrayStack}{ASTACK}
 \pagepic{ps/v103arraystack.ps}{ASTACK}{1.00}
 See also:\\
@@ -1281,6 +1291,11 @@ ArrayStack(S:SetCategory): StackAggregate(S) with
     empty() == new(0,0 pretend S)
 
 @
+<<ASTACK.dotabb>>=
+"ASTACK" [color="#88FF44",href="bookvol10.3.pdf#nameddest=ASTACK"]
+"ASTACK" -> "A1AGG"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ASP1 Asp1}
 \pagehead{Asp1}{ASP1}
@@ -1392,6 +1407,11 @@ Asp1(name): Exports == Implementation where
       p => restorePrecision()$NAGLinkSupportPackage
 
 @
+<<ASP1.dotabb>>=
+"ASP1" [color="#88FF44",href="bookvol10.3.pdf#nameddest=ASP1"]
+"ASP1" -> "PFECAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ASP10 Asp10}
 \pagehead{Asp10}{ASP10}
@@ -1533,6 +1553,11 @@ Asp10(name): Exports == Implementation where
       p => restorePrecision()$NAGLinkSupportPackage
 
 @
+<<ASP10.dotabb>>=
+"ASP10" [color="#88FF44",href="bookvol10.3.pdf#nameddest=ASP10"]
+"ASP10" -> "PFECAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ASP12 Asp12}
 \pagehead{Asp12}{ASP12}
@@ -1603,6 +1628,11 @@ Asp12(name): Exports == Implementation where
     outputAsFortran():Void == outputAsFortran(code)$Rep  
 
 @
+<<ASP12.dotabb>>=
+"ASP12" [color="#88FF44",href="bookvol10.3.pdf#nameddest=ASP12"]
+"ASP12" -> "ALIST"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ASP19 Asp19}
 \pagehead{Asp19}{ASP19}
@@ -1878,6 +1908,11 @@ Asp19(name): Exports == Implementation where
       (v::VEC FEXPR)::$
 
 @
+<<ASP19.dotabb>>=
+"ASP19" [color="#88FF44",href="bookvol10.3.pdf#nameddest=ASP19"]
+"ASP19" -> "FS"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ASP20 Asp20}
 \pagehead{Asp20}{ASP20}
@@ -2045,6 +2080,11 @@ Asp20(name): Exports == Implementation where
       p => restorePrecision()$NAGLinkSupportPackage
 
 @
+<<ASP20.dotabb>>=
+"ASP20" [color="#88FF44",href="bookvol10.3.pdf#nameddest=ASP20"]
+"ASP20" -> "FS"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ASP24 Asp24}
 \pagehead{Asp24}{ASP24}
@@ -2163,6 +2203,11 @@ Asp24(name): Exports == Implementation where
       p => restorePrecision()$NAGLinkSupportPackage
 
 @
+<<ASP24.dotabb>>=
+"ASP24" [color="#88FF44",href="bookvol10.3.pdf#nameddest=ASP24"]
+"ASP24" -> "PFECAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ASP27 Asp27}
 \pagehead{Asp27}{ASP27}
@@ -2263,6 +2308,11 @@ Asp27(name): Exports == Implementation where
       p => restorePrecision()$NAGLinkSupportPackage
 
 @
+<<ASP27.dotabb>>=
+"ASP27" [color="#88FF44",href="bookvol10.3.pdf#nameddest=ASP27"]
+"ASP27" -> "ALIST"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ASP28 Asp28}
 \pagehead{Asp28}{ASP28}
@@ -2474,6 +2524,11 @@ Asp28(name): Exports == Implementation where
       p => restorePrecision()$NAGLinkSupportPackage
 
 @
+<<ASP28.dotabb>>=
+"ASP28" [color="#88FF44",href="bookvol10.3.pdf#nameddest=ASP28"]
+"ASP28" -> "ALIST"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ASP29 Asp29}
 \pagehead{Asp29}{ASP29}
@@ -2548,6 +2603,11 @@ Asp29(name): Exports == Implementation where
       outputAsFortran(coerce(code)@Rep)$Rep
 
 @
+<<ASP29.dotabb>>=
+"ASP29" [color="#88FF44",href="bookvol10.3.pdf#nameddest=ASP29"]
+"ASP29" -> "FORTCAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ASP30 Asp30}
 \pagehead{Asp30}{ASP30}
@@ -2678,6 +2738,11 @@ Asp30(name): Exports == Implementation where
       p => restorePrecision()$NAGLinkSupportPackage
 
 @
+<<ASP30.dotabb>>=
+"ASP30" [color="#88FF44",href="bookvol10.3.pdf#nameddest=ASP30"]
+"ASP30" -> "ALIST"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ASP31 Asp31}
 \pagehead{Asp31}{ASP31}
@@ -2842,6 +2907,11 @@ Asp31(name): Exports == Implementation where
       p => restorePrecision()$NAGLinkSupportPackage
 
 @
+<<ASP31.dotabb>>=
+"ASP31" [color="#88FF44",href="bookvol10.3.pdf#nameddest=ASP31"]
+"ASP31" -> "FS"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ASP33 Asp33}
 \pagehead{Asp33}{ASP33}
@@ -2896,6 +2966,11 @@ Asp33(name): Exports == Implementation where
     coerce(u:$):OutputForm == coerce(u)$Rep
 
 @
+<<ASP33.dotabb>>=
+"ASP33" [color="#88FF44",href="bookvol10.3.pdf#nameddest=ASP33"]
+"ASP33" -> "ALIST"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ASP34 Asp34}
 \pagehead{Asp34}{ASP34}
@@ -2996,6 +3071,12 @@ Asp34(name): Exports == Implementation where
       p => restorePrecision()$NAGLinkSupportPackage
 
 @
+<<ASP34.dotabb>>=
+"ASP34" [color="#88FF44",href="bookvol10.3.pdf#nameddest=ASP34"]
+"ASP34" -> "FIELD"
+"ASP34" -> "RADCAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ASP35 Asp35}
 \pagehead{Asp35}{ASP35}
@@ -3170,6 +3251,11 @@ Asp35(name): Exports == Implementation where
       (v::VEC FEXPR)::$
 
 @
+<<ASP35.dotabb>>=
+"ASP35" [color="#88FF44",href="bookvol10.3.pdf#nameddest=ASP35"]
+"ASP35" -> "FS"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ASP4 Asp4}
 \pagehead{Asp4}{ASP4}
@@ -3282,6 +3368,11 @@ Asp4(name): Exports == Implementation where
       p => restorePrecision()$NAGLinkSupportPackage
 
 @
+<<ASP4.dotabb>>=
+"ASP4" [color="#88FF44",href="bookvol10.3.pdf#nameddest=ASP4"]
+"ASP4" -> "PFECAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ASP41 Asp41}
 \pagehead{Asp41}{ASP41}
@@ -3295,7 +3386,8 @@ Asp4(name): Exports == Implementation where
 ++ Related Constructors: FortranFunctionCategory, FortranProgramCategory.
 ++ Description:
 ++\spadtype{Asp41} produces Fortran for Type 41 ASPs, needed for NAG
-++routines \axiomOpFrom{d02raf}{d02Package} and \axiomOpFrom{d02saf}{d02Package}
+++routines \axiomOpFrom{d02raf}{d02Package} and 
+++\axiomOpFrom{d02saf}{d02Package}
 ++in particular.  These ASPs are in fact 
 ++three Fortran routines which return a vector of functions, and their
 ++derivatives wrt Y(i) and also a continuation parameter EPS, for example:
@@ -3503,6 +3595,11 @@ Asp41(nameOne,nameTwo,nameThree): Exports == Implementation where
       (v::VEC FEXPR)::$
 
 @
+<<ASP41.dotabb>>=
+"ASP41" [color="#88FF44",href="bookvol10.3.pdf#nameddest=ASP41"]
+"ASP41" -> "FS"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ASP42 Asp42}
 \pagehead{Asp42}{ASP42}
@@ -3745,6 +3842,11 @@ Asp42(nameOne,nameTwo,nameThree): Exports == Implementation where
       (v::VEC FEXPR)::$
 
 @
+<<ASP42.dotabb>>=
+"ASP42" [color="#88FF44",href="bookvol10.3.pdf#nameddest=ASP42"]
+"ASP42" -> "FS"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ASP49 Asp49}
 \pagehead{Asp49}{ASP49}
@@ -3893,6 +3995,11 @@ Asp49(name): Exports == Implementation where
       (foo::FEXPR)::$
 
 @
+<<ASP49.dotabb>>=
+"ASP49" [color="#88FF44",href="bookvol10.3.pdf#nameddest=ASP49"]
+"ASP49" -> "ALIST"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ASP50 Asp50}
 \pagehead{Asp50}{ASP50}
@@ -4057,6 +4164,11 @@ Asp50(name): Exports == Implementation where
       p => restorePrecision()$NAGLinkSupportPackage
 
 @
+<<ASP50.dotabb>>=
+"ASP50" [color="#88FF44",href="bookvol10.3.pdf#nameddest=ASP50"]
+"ASP50" -> "PFECAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ASP55 Asp55}
 \pagehead{Asp55}{ASP55}
@@ -4264,6 +4376,11 @@ Asp55(name): Exports == Implementation where
       (v::VEC FEXPR)::$
 
 @
+<<ASP55.dotabb>>=
+"ASP55" [color="#88FF44",href="bookvol10.3.pdf#nameddest=ASP55"]
+"ASP55" -> "ALIST"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ASP6 Asp6}
 \pagehead{Asp6}{ASP6}
@@ -4414,6 +4531,11 @@ Asp6(name): Exports == Implementation where
       p => restorePrecision()$NAGLinkSupportPackage
 
 @
+<<ASP6.dotabb>>=
+"ASP6" [color="#88FF44",href="bookvol10.3.pdf#nameddest=ASP6"]
+"ASP6" -> "PFECAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ASP7 Asp7}
 \pagehead{Asp7}{ASP7}
@@ -4550,6 +4672,11 @@ Asp7(name): Exports == Implementation where
       p => restorePrecision()$NAGLinkSupportPackage
 
 @
+<<ASP7.dotabb>>=
+"ASP7" [color="#88FF44",href="bookvol10.3.pdf#nameddest=ASP7"]
+"ASP7" -> "ALIST"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ASP73 Asp73}
 \pagehead{Asp73}{ASP73}
@@ -4698,6 +4825,11 @@ Asp73(name): Exports == Implementation where
       (v::VEC FEXPR)::$
 
 @
+<<ASP73.dotabb>>=
+"ASP73" [color="#88FF44",href="bookvol10.3.pdf#nameddest=ASP73"]
+"ASP73" -> "PFECAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ASP74 Asp74}
 \pagehead{Asp74}{ASP74}
@@ -4887,6 +5019,11 @@ Asp74(name): Exports == Implementation where
       (v::MAT FEXPR)::$
 
 @
+<<ASP74.dotabb>>=
+"ASP74" [color="#88FF44",href="bookvol10.3.pdf#nameddest=ASP74"]
+"ASP74" -> "FS"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ASP77 Asp77}
 \pagehead{Asp77}{ASP77}
@@ -5041,6 +5178,11 @@ Asp77(name): Exports == Implementation where
       (v::MAT FEXPR)::$
 
 @
+<<ASP77.dotabb>>=
+"ASP77" [color="#88FF44",href="bookvol10.3.pdf#nameddest=ASP77"]
+"ASP77" -> "FS"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ASP78 Asp78}
 \pagehead{Asp78}{ASP78}
@@ -5170,6 +5312,11 @@ Asp78(name): Exports == Implementation where
       (v::VEC FEXPR)::$
 
 @
+<<ASP78.dotabb>>=
+"ASP78" [color="#88FF44",href="bookvol10.3.pdf#nameddest=ASP78"]
+"ASP78" -> "ALIST"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ASP8 Asp8}
 \pagehead{Asp8}{ASP8}
@@ -5300,6 +5447,11 @@ Asp8(name): Exports == Implementation where
       ([locals,code]$RSFC)::%
 
 @
+<<ASP8.dotabb>>=
+"ASP8" [color="#88FF44",href="bookvol10.3.pdf#nameddest=ASP8"]
+"ASP8" -> "ALIST"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ASP80 Asp80}
 \pagehead{Asp80}{ASP80}
@@ -5452,6 +5604,11 @@ Asp80(name): Exports == Implementation where
       (v::MAT FEXPR)::$
 
 @
+<<ASP80.dotabb>>=
+"ASP80" [color="#88FF44",href="bookvol10.3.pdf#nameddest=ASP80"]
+"ASP80" -> "FS"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ASP9 Asp9}
 \pagehead{Asp9}{ASP9}
@@ -5583,6 +5740,11 @@ Asp9(name): Exports == Implementation where
       p => restorePrecision()$NAGLinkSupportPackage
 
 @
+<<ASP9.dotabb>>=
+"ASP9" [color="#88FF44",href="bookvol10.3.pdf#nameddest=ASP9"]
+"ASP9" -> "ALIST"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain JORDAN AssociatedJordanAlgebra}
 \pagehead{AssociatedJordanAlgebra}{JORDAN}
@@ -5649,6 +5811,11 @@ AssociatedJordanAlgebra(R:CommutativeRing,A:NonAssociativeAlgebra R):
     (a:%) ** (n:PositiveInteger) == a
 
 @
+<<JORDAN.dotabb>>=
+"JORDAN" [color="#88FF44",href="bookvol10.3.pdf#nameddest=JORDAN"]
+"JORDAN" -> "FRNAALG"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain LIE AssociatedLieAlgebra}
 \pagehead{AssociatedLieAlgebra}{LIE}
@@ -5711,6 +5878,11 @@ AssociatedLieAlgebra(R:CommutativeRing,A:NonAssociativeAlgebra R):
       0
 
 @
+<<LIE.dotabb>>=
+"LIE" [color="#88FF44",href="bookvol10.3.pdf#nameddest=LIE"]
+"LIE" -> "FRNAALG"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ALIST AssociationList}
 <<AssociationList.input>>=
@@ -5898,7 +6070,6 @@ See Also:
 o )help Table
 o )help List
 o )show AssociationList
-o $AXIOM/doc/src/algebra/list.spad.dvi
 
 @
 \pagehead{AssociationList}{ALIST}
@@ -5988,6 +6159,11 @@ AssociationList(Key:SetCategory, Entry:SetCategory):
           first(curr).entry
 
 @
+<<ALIST.dotabb>>=
+"ALIST" [color="#88FF44",href="bookvol10.3.pdf#nameddest=ALIST"]
+"ALIST" -> "TBAGG"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ATTRBUT AttributeButtons}
 \pagehead{AttributeButtons}{ATTRBUT}
@@ -6204,6 +6380,11 @@ AttributeButtons(): E == I where
               " not found for routine " routineName)$ErrorFunctions
 
 @
+<<ATTRBUT.dotabb>>=
+"ATTRBUT" [color="#88FF44",href="bookvol10.3.pdf#nameddest=ATTRBUT"]
+"ATTRBUT" -> "ALIST"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain AUTOMOR Automorphism}
 \pagehead{Automorphism}{AUTOMOR}
@@ -6265,6 +6446,11 @@ Automorphism(R:Ring): Join(Group, Eltable(R, R)) with
         iterat(f g #1, (inv g)(inv f) #1, #2, #1)
 
 @
+<<AUTOMOR.dotabb>>=
+"AUTOMOR" [color="#88FF44",href="bookvol10.3.pdf#nameddest=AUTOMOR"]
+"AUTOMOR" -> "GROUP"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \chapter{Chapter B}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
@@ -6458,7 +6644,6 @@ Call the Chinese Remainder Algorithm to get the answer for 12^2.
 
 See Also:
 o )show BalancedBinaryTree
-o $AXIOM/doc/src/algebra/tree.spad.dvi
 
 @
 \pagehead{BalancedBinaryTree}{BBTREE}
@@ -6622,6 +6807,11 @@ BalancedBinaryTree(S: SetCategory): Exports == Implementation where
       x
 
 @
+<<BBTREE.dotabb>>=
+"BBTREE" [color="#88FF44",href="bookvol10.3.pdf#nameddest=BBTREE"]
+"BBTREE" -> "FLAGG"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain BPADIC BalancedPAdicInteger}
 \pagehead{BalancedPAdicInteger}{BPADIC}
@@ -6650,6 +6840,11 @@ See also:\\
 BalancedPAdicInteger(p:Integer) == InnerPAdicInteger(p,false$Boolean)
 
 @
+<<BPADIC.dotabb>>=
+"BPADIC" [color="#88FF44",href="bookvol10.3.pdf#nameddest=BPADIC"]
+"BPADIC" -> "PADICCT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain BPADICRT BalancedPAdicRational}
 \pagehead{BalancedPAdicRational}{BPADICRT}
@@ -6680,6 +6875,11 @@ BalancedPAdicRational(p:Integer) ==
   PAdicRationalConstructor(p,BalancedPAdicInteger p)
 
 @
+<<BPADICRT.dotabb>>=
+"BPADICRT" [color="#88FF44",href="bookvol10.3.pdf#nameddest=BPADICRT"]
+"BPADICRT" -> "PFECAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain BFUNCT BasicFunctions}
 \pagehead{BasicFunctions}{BFUNCT}
@@ -6749,6 +6949,11 @@ BasicFunctions():  E == I where
     bfEntry(k:Symbol):RS == qelt(bf(),k)$Rep
 
 @
+<<BFUNCT.dotabb>>=
+"BFUNCT" [color="#88FF44",href="bookvol10.3.pdf#nameddest=BFUNCT"]
+"BFUNCT" -> "FIELD-"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain BOP BasicOperator}
 <<BasicOperator.input>>=
@@ -7052,7 +7257,6 @@ See Also
 o )help Expression
 o )help Kernel
 o )show BasicOperator
-o $AXIOM/doc/src/algebra/op.spad.dvi
 
 @
 \pagehead{BasicOperator}{BOP}
@@ -7237,6 +7441,11 @@ BasicOperator(): Exports == Implementation where
       false
 
 @
+<<BOP.dotabb>>=
+"BOP" [color="#88FF44",href="bookvol10.3.pdf#nameddest=BOP"]
+"BOP" -> "ALIST"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain BINARY BinaryExpansion}
 <<BinaryExpansion.input>>=
@@ -7398,7 +7607,6 @@ See Also:
 o )help DecimalExpansion
 o )help HexadecimalExpansion
 o )show BinaryExpansion
-o $AXIOM/doc/src/algebra/radix.spad.dvi
 
 @
 \pagehead{BinaryExpansion}{BINARY}
@@ -7441,6 +7649,11 @@ BinaryExpansion(): Exports == Implementation where
     coerce(x:%): RadixExpansion(2) == x pretend RadixExpansion(2)
 
 @
+<<BINARY.dotabb>>=
+"BINARY" [color="#88FF44",href="bookvol10.3.pdf#nameddest=BINARY"]
+"BINARY" -> "PFECAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain BINFILE BinaryFile}
 \pagehead{BinaryFile}{BINFILE}
@@ -7555,6 +7768,11 @@ BinaryFile: Cat == Def where
            (FILE_-POSITION(f.fileState,i)$Lisp ; i) 
 
 @
+<<BINFILE.dotabb>>=
+"BINFILE" [color="#88FF44",href="bookvol10.3.pdf#nameddest=BINFILE"]
+"BINFILE" -> "STRING"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain BSTREE BinarySearchTree}
 <<BinarySearchTree.input>>=
@@ -7758,7 +7976,6 @@ Have Axiom check that these are equal.
 
 See Also:
 o )show BinarySearchTree
-o $AXIOM/doc/src/algebra/tree.spad.dvi
 
 @
 \pagehead{BinarySearchTree}{BSTREE}
@@ -7831,6 +8048,11 @@ BinarySearchTree(S: OrderedSet): Exports == Implementation where
       node(a.less, x, a.greater)
 
 @
+<<BSTREE.dotabb>>=
+"BSTREE" [color="#88FF44",href="bookvol10.3.pdf#nameddest=BSTREE"]
+"BSTREE" -> "BTCAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain BTOURN BinaryTournament}
 A BinaryTournament(S) is the domain of binary trees where elements are
@@ -7880,6 +8102,11 @@ BinaryTournament(S: OrderedSet): Exports == Implementation where
       t
 
 @
+<<BTOURN.dotabb>>=
+"BTOURN" [color="#88FF44",href="bookvol10.3.pdf#nameddest=BTOURN"]
+"BTOURN" -> "BTCAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain BTREE BinaryTree}
 \pagehead{BinaryTree}{BTREE}
@@ -7944,12 +8171,13 @@ BinaryTree(S: SetCategory): Exports == Implementation where
        setrest_!(t1:List Tree S,t2)
 
 @
+<<BTREE.dotabb>>=
+"BTREE" [color="#88FF44",href="bookvol10.3.pdf#nameddest=BTREE"]
+"BTREE" -> "FLAGG"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain BITS Bits}
-<<dot>>=
-"BITS" -> "BTAGG"
-"Bits()" -> "BitAggregate()"
-@
 \pagehead{Bits}{BITS}
 \pagepic{ps/v103bits.ps}{BITS}{1.00}
 See also:\\
@@ -7974,18 +8202,13 @@ Bits(): Exports == Implementation where
     bits(n,b)    == new(n,b)
 
 @
+<<BITS.dotabb>>=
+"BITS" [color="#88FF44",href="bookvol10.3.pdf#nameddest=BITS"]
+"BITS" -> "BTAGG"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain BOOLEAN Boolean}
-<<dot>>=
-"BOOLEAN" -> "ORDSET"
-"Boolean()" -> "OrderedSet()"
-"BOOLEAN" -> "FINITE"
-"Boolean()" -> "Finite()"
-"BOOLEAN" -> "LOGIC"
-"Boolean()" -> "Logic()"
-"BOOLEAN" -> "KONVERT"
-"Boolean()" -> "ConvertibleTo(InputForm)"
-@
 \pagehead{Boolean}{BOOLEAN}
 \pagepic{ps/v103boolean.ps}{BOOLEAN}{1.00}
 See also:\\
@@ -8073,6 +8296,12 @@ Boolean(): Join(OrderedSet, Finite, Logic, ConvertibleTo InputForm) with
       message "false"
 
 @
+<<BOOLEAN.dotabb>>=
+"BOOLEAN" [color="#88FF44",href="bookvol10.3.pdf#nameddest=BOOLEAN",
+           shape=ellipse]
+"BOOLEAN" -> "ALIST"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \chapter{Chapter C}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
@@ -8392,19 +8621,8 @@ continuum hypothesis in this way.
 
 See Also:
 o )show CardinalNumber
-o $AXIOM/doc/src/algebra/card.spad.dvi
 
 @
-<<dot>>=
-"CARD" -> "ORDSET"
-"CardinalNumber()" -> "OrderedSet()"
-"CARD" -> "ABELMON"
-"CardinalNumber()" -> "AbelianMonoid()"
-"CARD" -> "MONOID"
-"CardinalNumber()" -> "Monoid()" 
-"CARD" -> "RETRACT"
-"CardinalNumber()" -> "RetractableTo(NonNegativeInteger)"
-@
 \pagehead{CardinalNumber}{CARD}
 \pagepic{ps/v103cardinalnumber.ps}{CARD}{1.00}
 <<domain CARD CardinalNumber>>=
@@ -8592,6 +8810,11 @@ CardinalNumber: Join(OrderedSet, AbelianMonoid, Monoid,
         generalizedContinuumHypothesisAssumed b == (GCHypothesis() := b)
 
 @
+<<CARD.dotabb>>=
+"CARD" [color="#88FF44",href="bookvol10.3.pdf#nameddest=CARD"]
+"CARD" -> "ALGEBRA-"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain CARTEN CartesianTensor}
 <<CartesianTensor.input>>=
@@ -9539,17 +9762,8 @@ interpretation.
 
 See Also
 o )show CartesianTensor
-o $AXIOM/doc/src/algebra/carten.spad.dvi
 
 @
-<<dot>>=
-"CARTEN" -> "GRALG"
-"CartesianTensor(a:Integer,b:NonNegativeInteger,c:CommutativeRing)" ->
-    "GradedAlgebra(a:CommutativeRing,b:NonNegativeInteger)"
-"CARTEN" -> "GRMOD"
-"CartesianTensor(a:Integer,b:NonNegativeInteger,c:CommutativeRing)" ->
-    "GradedModule(a:Integer,b:NonNegativeInteger)"
-@
 \pagehead{CartesianTensor}{CARTEN}
 \pagepic{ps/v103cartesiantensor.ps}{CARTEN}{1.00}
 <<domain CARTEN CartesianTensor>>=
@@ -10158,6 +10372,11 @@ CartesianTensor(minix, dim, R): Exports == Implementation where
             z
 
 @
+<<CARTEN.dotabb>>=
+"CARTEN" [color="#88FF44",href="bookvol10.3.pdf#nameddest=CARTEN"]
+"CARTEN" -> "IVECTOR"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain CHAR Character}
 <<Character.input>>=
@@ -10359,7 +10578,6 @@ See Also:
 o )help CharacterClass
 o )help String
 o )show Character
-o $AXIOM/doc/src/algebra/string.spad.dvi
 
 @
 \pagehead{Character}{CHAR}
@@ -10510,6 +10728,12 @@ Character: OrderedFinite() with
     QENUM(PNAME(DOWNCASE(NUM2CHAR(ord c)$Lisp)$Lisp)$Lisp,0$Lisp)$Lisp
 
 @
+<<CHAR.dotabb>>=
+"CHAR" [color="#88FF44",href="bookvol10.3.pdf#nameddest=CHAR",
+        shape=ellipse]
+"CHAR" -> "FSAGG" 
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain CCLASS CharacterClass}
 <<CharacterClass.input>>=
@@ -10736,7 +10960,6 @@ See Also:
 o )help Character
 o )help String
 o )show CharacterClass
-o $AXIOM/doc/src/algebra/string.spad.dvi
 
 @
 \pagehead{CharacterClass}{CCLASS}
@@ -10860,6 +11083,11 @@ CharacterClass: Join(SetCategory, ConvertibleTo String,
 	    [char i for i in 0..N-1 | a.i]
 
 @
+<<CCLASS.dotabb>>=
+"CCLASS" [color="#88FF44",href="bookvol10.3.pdf#nameddest=CCLASS"]
+"CCLASS" -> "FSAGG"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain CLIF CliffordAlgebra\cite{7,12}}
 \subsection{Vector (linear) spaces}
@@ -11662,17 +11890,6 @@ o )show CliffordAlgebra
 o $AXIOM/doc/src/algebra/clifford.spad
 
 @
-<<dot>>=
-"CLIF" -> "RING"
-"CliffordAlgebra(a:PositiveInteger,b:Field,c:QuadraticForm(a,b))" ->
-    "Ring()"
-"CLIF" -> "ALGEBRA"
-"CliffordAlgebra(a:PositiveInteger,b:Field,c:QuadraticForm(a,b))" ->
-    "Algebra(a:Field)"
-"CLIF" -> "VSPACE"
-"CliffordAlgebra(a:PositiveInteger,b:Field,c:QuadraticForm(a,b))" ->
-    "VectorSpace(a:Field)"
-@
 \pagehead{CliffordAlgebra}{CLIF}
 \pagepic{ps/v103cliffordalgebra.ps}{CLIF}{1.00}
 See also:\\
@@ -11883,10 +12100,6 @@ CliffordAlgebra(n, K, Q): T == Impl where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain COLOR Color}
-<<dot>>=
-"COLOR" -> "ABELSG"
-"Color()" -> "AbelianSemiGroup()"
-@
 \pagehead{Color}{COLOR}
 \pagepic{ps/v103color.ps}{COLOR}{1.00}
 See also:\\
@@ -11983,6 +12196,11 @@ Color(): Exports == Implementation where
                "  Weight: "::OutputForm, (c.weight)::OutputForm]
 
 @
+<<COLOR.dotabb>>=
+"COLOR" [color="#88FF44",href="bookvol10.3.pdf#nameddest=COLOR"]
+"COLOR" -> "BASTYPE/KOERCE"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain COMM Commutator}
 \pagehead{Commutator}{COMM}
@@ -12030,6 +12248,11 @@ Commutator: Export == Implement where
         bracket([xx.left::O,xx.right::O])$O
 
 @
+<<COMM.dotabb>>=
+"COMM" [color="#88FF44",href="bookvol10.3.pdf#nameddest=COMM"]
+"COMM" -> "BASTYPE/KOERCE"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain COMPLEX Complex}
 <<Complex.input>>=
@@ -12309,7 +12532,6 @@ You can factor Gaussian integers.
 
 See Also
 o )show Complex
-o $AXIOM/doc/src/algebra/gaussian.spad.dvi 
 
 @
 \pagehead{Complex}{COMPLEX}
@@ -12400,6 +12622,11 @@ Complex(R:CommutativeRing): ComplexCategory(R) with
            x * conjugate(y) exquo norm(y)
 
 @
+<<COMPLEX.dotabb>>=
+"COMPLEX" [color="#88FF44",href="bookvol10.3.pdf#nameddest=COMPLEX"]
+"COMPLEX" -> "COMPCAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain CONTFRAC ContinuedFraction}
 <<ContinuedFraction.input>>=
@@ -12943,17 +13170,8 @@ is the expansion of sqrt(11).
 See Also:
 o )help Stream
 o )show ContinuedFraction
-o $AXIOM/doc/src/algebra/contrac.spad.dvi
 
 @
-<<dot>>=
-"CONTFRAC" -> "ALGEBRA"
-"ContinuedFraction(a:EuclideanDomain)" -> "Algebra(a:EuclideanDomain)"
-"ContinuedFraction(a:EuclideanDomain)" ->
-    "Algebra(a:Fraction(EuclideanDomain))"
-"CONTFRAC" -> "FIELD"
-"ContinuedFraction(a:EuclideanDomain)" -> "Field()"
-@
 \pagehead{ContinuedFraction}{CONTFRAC}
 \pagepic{ps/v103continuedfraction.ps}{CONTFRAC}{1.00}
 <<domain CONTFRAC ContinuedFraction>>=
@@ -13281,14 +13499,15 @@ ContinuedFraction(R): Exports == Implementation where
       (wh :: OUT) + e
 
 @
+<<CONTFRAC.dotabb>>=
+"CONTFRAC" [color="#88FF44",href="bookvol10.3.pdf#nameddest=CONTFRAC"]
+"CONTFRAC" -> "PFECAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \chapter{Chapter D}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain DBASE Database}
-<<dot>>=
-"DBASE" -> "SETCAT"
-"Database(a:OrderedSet)" -> "SetCategory()"
-@
 \pagehead{Database}{DBASE}
 \pagepic{ps/v103database.ps}{DBASE}{1.00}
 See also:\\
@@ -13344,12 +13563,13 @@ Database(S): Exports == Implementation where
       if i >= n then fullDisplay x
 
 @
+<<DBASE.dotabb>>=
+"DBASE" [color="#88FF44",href="bookvol10.3.pdf#nameddest=DBASE"]
+"DBASE" -> "STRICAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain DLIST DataList}
-<<dot>>=
-"DLIST" -> "LSAGG"
-"DataList(a:OrderedSet)" -> "ListAggregate(a:Type)"
-@
 \pagehead{DataList}{DLIST}
 \pagepic{ps/v103datalist.ps}{DLIST}{1.00}
 See also:\\
@@ -13385,6 +13605,11 @@ DataList(S:OrderedSet) : Exports == Implementation where
     datalist(x:List S) == x::%
 
 @
+<<DLIST.dotabb>>=
+"DLIST" [color="#88FF44",href="bookvol10.3.pdf#nameddest=DLIST"]
+"DLIST" -> "FLAGG"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain DECIMAL DecimalExpansion}
 <<DecimalExpansion.input>>=
@@ -13535,7 +13760,6 @@ o )help RadixExpansion
 o )help BinaryExpansion
 o )help HexadecimalExpansion
 o )show DecimalExpansion
-o $AXIOM/doc/src/algebra/radix.spad.dvi
 
 @
 \pagehead{DecimalExpansion}{DECIMAL}
@@ -13576,6 +13800,11 @@ DecimalExpansion(): Exports == Implementation where
     coerce(x:%): RadixExpansion(10) == x pretend RadixExpansion(10)
 
 @
+<<DECIMAL.dotabb>>=
+"DECIMAL" [color="#88FF44",href="bookvol10.3.pdf#nameddest=DECIMAL"]
+"DECIMAL" -> "PFECAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{Denavit-Hartenberg Matrices}
 \subsection{Homogeneous Transformations}
@@ -15258,12 +15487,13 @@ DenavitHartenbergMatrix(R): Exports == Implementation where
 <<translate>>
  
 @
+<<DHMATRIX.dotabb>>=
+"DHMATRIX" [color="#88FF44",href="bookvol10.3.pdf#nameddest=DHMATRIX"]
+"DHMATRIX" -> "IVECTOR"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain DEQUEUE Dequeue}
-<<dot>>=
-"DEQUEUE" -> "DQAGG"
-"Dequeue(a:SetCategory)" -> "DequeueAggregate(a:SetCategory)"
-@
 \pagehead{Dequeue}{DEQUEUE}
 \pagepic{ps/v103dequeue.ps}{DEQUEUE}{1.00}
 See also:\\
@@ -15327,6 +15557,12 @@ Dequeue(S:SetCategory): DequeueAggregate S with
     reverse_! d == (setref(d,reverse deref d); d)
 
 @
+<<DEQUEUE.dotabb>>=
+"DEQUEUE" [color="#88FF44",href="bookvol10.3.pdf#nameddest=DEQUEUE"]
+"DEQUEUE" -> "FLAGG-"
+"DEQUEUE" -> "FLAGG"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain DERHAM DeRhamComplex}
 <<DeRhamComplex.input>>=
@@ -15904,7 +16140,6 @@ consists of the eight forms: 1, dx, dy, dz, dx*dy, dx*dz, dy*dz, and dx*dy*dz.
 See Also:
 o )help Operator
 o )show DeRhamComplex
-o $AXIOM/doc/src/algebra/derham.spad.dvi
 
 @
 \pagehead{DeRhamComplex}{DERHAM}
@@ -16025,6 +16260,11 @@ DeRhamComplex(CoefRing,listIndVar:List Symbol): Export == Implement where
         reduce(_+,[makeTerm(t.c,t.k) for t in ta])$L(O)
 
 @
+<<DERHAM.dotabb>>=
+"DERHAM" [color="#88FF44",href="bookvol10.3.pdf#nameddest=DERHAM"]
+"DERHAM" -> "FS"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain DSMP DifferentialSparseMultivariatePolynomial}
 \pagehead{DifferentialSparseMultivariatePolynomial}{DSMP}
@@ -16080,6 +16320,11 @@ DifferentialSparseMultivariatePolynomial(R, S, V):
       map(#1::V::$, #1::$, p)$PCL(IndexedExponents S, S, R, SMP, $)
 
 @
+<<DSMP.dotabb>>=
+"DSMP" [color="#88FF44",href="bookvol10.3.pdf#nameddest=DSMP"]
+"DSMP" -> "DPOLCAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain DIRPROD DirectProduct}
 \pagehead{DirectProduct}{DIRPROD}
@@ -16185,6 +16430,11 @@ DirectProduct(dim:NonNegativeInteger, R:Type):
 --)bo $noSubsumption := false
 
 @
+<<DIRPROD.dotabb>>=
+"DIRPROD" [color="#88FF44",href="bookvol10.3.pdf#nameddest=DIRPROD"]
+"DIRPROD" -> "DIRPCAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain DPMM DirectProductMatrixModule}
 \pagehead{DirectProductMatrixModule}{DPMM}
@@ -16224,6 +16474,11 @@ DirectProductMatrixModule(n, R, M, S): DPcategory == DPcapsule where
         m:M * x:$ == [ +/[m(i,j)*x.j for j in 1..n] for i in 1..n]
 
 @
+<<DPMM.dotabb>>=
+"DPMM" [color="#88FF44",href="bookvol10.3.pdf#nameddest=DPMM"]
+"DPMM" -> "SMATCAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain DPMO DirectProductModule}
 \pagehead{DirectProductModule}{DPMO}
@@ -16262,6 +16517,11 @@ DirectProductModule(n, R, S): DPcategory == DPcapsule where
         r:R * x:$ == [r * x.i for i in 1..n]
 
 @
+<<DPMO.dotabb>>=
+"DPMO" [color="#88FF44",href="bookvol10.3.pdf#nameddest=DPMO"]
+"DPMO" -> "DIRPCAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain DMP DistributedMultivariatePolynomial}
 <<DistributedMultivariatePolynomial.input>>=
@@ -16471,7 +16731,6 @@ o )help MultivariatePolynomial
 o )help HomogeneousDistributedMultivariatePolynomial
 o )help GeneralDistributedMultivariatePolynomial
 o )show DistributedMultivariatePolynomial
-o $AXIOM/doc/src/algebra/gdpoly.spad.dvi
 
 @
 \pagehead{DistributedMultivariatePolynomial}{DMP}
@@ -16513,6 +16772,12 @@ DistributedMultivariatePolynomial(vl,R): public == private where
     GeneralDistributedMultivariatePolynomial(vl,R,E)
 
 @
+<<DMP.dotabb>>=
+"DMP" [color="#88FF44",href="bookvol10.3.pdf#nameddest=DMP"]
+"DMP" -> "PFECAT"
+"DMP" -> "DIRPCAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain DFLOAT DoubleFloat}
 Greg Vanuxem has added some functionality to allow the user to modify
@@ -16831,22 +17096,7 @@ graphed.
 See Also:
 0 )help Float
 o )show DoubleFloat
-o $AXIOM/doc/src/algebra/sf.spad.dvi
-
-@
-<<dot>>=
-"DFLOAT" -> "FPS"
-"DoubleFloat()" -> "FloatingPointSystem()"
-"DFLOAT" -> "DIFRING"
-"DoubleFloat()" -> "DifferentialRing()"
-"DFLOAT" -> "OM"
-"DoubleFloat()" -> "OpenMath()"
-"DFLOAT" -> "TRANFUN"
-"DoubleFloat()" -> "TranscendentalFunctionCategory()"
-"DFLOAT" -> "SPFCAT"
-"DoubleFloat()" -> "SpecialFunctionCategory()"
-"DFLOAT" -> "KONVERT"
-"DoubleFloat()" -> "ConvertibleTo(InputForm)"
+
 @
 \pagehead{DoubleFloat}{DFLOAT}
 \pagepic{ps/v103doublefloat.ps}{DFLOAT}{1.00}
@@ -17171,6 +17421,12 @@ DoubleFloat(): Join(FloatingPointSystem, DifferentialRing, OpenMath,
       x ** (n::% / d::%)
 
 @
+<<DFLOAT.dotabb>>=
+"DFLOAT" [color="#88FF44",href="bookvol10.3.pdf#nameddest=DFLOAT",
+          shape=ellipse]
+"DFLOAT" -> "FRAC"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain DROPT DrawOption}
 \pagehead{DrawOption}{DROPT}
@@ -17387,6 +17643,11 @@ DrawOption(): Exports == Implementation where
     "failed"
 
 @
+<<DROPT.dotabb>>=
+"DROPT" [color="#88FF44",href="bookvol10.3.pdf#nameddest=DROPT"]
+"DROPT" -> "ALIST"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain D01AJFA d01ajfAnnaType}
 \pagehead{d01ajfAnnaType}{D01AJFA}
@@ -17446,6 +17707,11 @@ d01ajfAnnaType(): NumericalIntegrationCategory == Result add
            args.relerr,4*iw,iw,-1,f)
 
 @
+<<D01AJFA.dotabb>>=
+"D01AJFA" [color="#88FF44",href="bookvol10.3.pdf#nameddest=D01AJFA"]
+"D01AJFA" -> "STRING"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain D01AKFA d01akfAnnaType}
 \pagehead{d01akfAnnaType}{D01AKFA}
@@ -17510,6 +17776,11 @@ d01akfAnnaType(): NumericalIntegrationCategory == Result add
            args.relerr,4*iw,iw,-1,f)
 
 @
+<<D01AKFA.dotabb>>=
+"D01AKFA" [color="#88FF44",href="bookvol10.3.pdf#nameddest=D01AKFA"]
+"D01AKFA" -> "STRING"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain D01ALFA d01alfAnnaType}
 \pagehead{d01alfAnnaType}{D01ALFA}
@@ -17586,6 +17857,11 @@ d01alfAnnaType(): NumericalIntegrationCategory == Result add
            args.abserr,args.relerr,2*n*iw,n*iw,-1,f)
 
 @
+<<D01ALFA.dotabb>>=
+"D01ALFA" [color="#88FF44",href="bookvol10.3.pdf#nameddest=D01ALFA"]
+"D01ALFA" -> "STRING"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain D01AMFA d01amfAnnaType}
 \pagehead{d01amfAnnaType}{D01AMFA}
@@ -17658,6 +17934,11 @@ d01amfAnnaType(): NumericalIntegrationCategory == Result add
     d01amf(bound,r,args.abserr,args.relerr,4*iw,iw,-1,f)
 
 @
+<<D01AMFA.dotabb>>=
+"D01AMFA" [color="#88FF44",href="bookvol10.3.pdf#nameddest=D01AMFA"]
+"D01AMFA" -> "STRING"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain D01ANFA d01anfAnnaType}
 \pagehead{d01anfAnnaType}{D01ANFA}
@@ -17732,6 +18013,11 @@ d01anfAnnaType(): NumericalIntegrationCategory == Result add
            args.abserr,args.relerr,4*iw,iw,-1,f)
 
 @
+<<D01ANFA.dotabb>>=
+"D01ANFA" [color="#88FF44",href="bookvol10.3.pdf#nameddest=D01ANFA"]
+"D01ANFA" -> "ALIST"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain D01APFA d01apfAnnaType}
 \pagehead{d01apfAnnaType}{D01APFA}
@@ -17819,6 +18105,13 @@ d01apfAnnaType(): NumericalIntegrationCategory == Result add
            args.abserr,args.relerr,4*iw,iw,-1,f)
 
 @
+<<D01APFA.dotabb>>=
+"D01APFA" [color="#88FF44",href="bookvol10.3.pdf#nameddest=D01APFA"]
+/*"D01APFA" -> {"NUMINT"; "SETCAT"; "BASTYPE"; "KOERCE"; "DFLOAT"; "INT"}*/
+/*"D01APFA" -> {"LIST"; "ILIST"; "LSAGG-"; "STAGG-"; "PI"; "NNI"}*/
+"D01APFA" -> "STRING"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain D01AQFA d01aqfAnnaType}
 \pagehead{d01aqfAnnaType}{D01AQFA}
@@ -17900,6 +18193,12 @@ d01aqfAnnaType(): NumericalIntegrationCategory == Result add
            Args.abserr,Args.relerr,4*iw,iw,-1,f)
 
 @
+<<D01AQFA.dotabb>>=
+"D01AQFA" [color="#88FF44",href="bookvol10.3.pdf#nameddest=D01AQFA"]
+"D01AQFA" -> "STRING"
+"D01AQFA" -> "PFECAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain D01ASFA d01asfAnnaType}
 \pagehead{d01asfAnnaType}{D01ASFA}
@@ -17980,6 +18279,11 @@ d01asfAnnaType(): NumericalIntegrationCategory == Result add
     d01asf(getlo(args.range),rec.w,i,err,50,4*iw,2*iw,-1,f)
 
 @
+<<D01ASFA.dotabb>>=
+"D01ASFA" [color="#88FF44",href="bookvol10.3.pdf#nameddest=D01ASFA"]
+"D01ASFA" -> "ALIST"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain D01FCFA d01fcfAnnaType}
 \pagehead{d01fcfAnnaType}{D01FCFA}
@@ -18050,6 +18354,11 @@ d01fcfAnnaType(): NumericalIntegrationCategory == Result add
     changeName(finval@Symbol,result@Symbol,out)
 
 @
+<<D01FCFA.dotabb>>=
+"D01FCFA" [color="#88FF44",href="bookvol10.3.pdf#nameddest=D01FCFA"]
+"D01FCFA" -> "TRANFUN"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain D01GBFA d01gbfAnnaType}
 \pagehead{d01gbfAnnaType}{D01GBFA}
@@ -18122,6 +18431,13 @@ d01gbfAnnaType(): NumericalIntegrationCategory == Result add
     changeName(finest@Symbol,result@Symbol,out)
 
 @
+<<D01GBFA.dotabb>>=
+"D01GBFA" [color="#88FF44",href="bookvol10.3.pdf#nameddest=D01GBFA"]
+"D01GBFA" -> "FIELD"
+"D01GBFA" -> "RADCAT"
+"D01GBFA" -> "FLAGG"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain D01TRNS d01TransformFunctionType}
 \pagehead{d01TransformFunctionType}{D01TRNS}
@@ -18283,6 +18599,11 @@ d01TransformFunctionType():NumericalIntegrationCategory == Result add
     insert!(recAbserr,insert!(recResult,ans))$Result
 
 @
+<<D01TRNS.dotabb>>=
+"D01TRNS" [color="#88FF44",href="bookvol10.3.pdf#nameddest=D01TRNS"]
+"D01TRNS" -> "FS" 
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain D02BBFA d02bbfAnnaType}
 \pagehead{d02bbfAnnaType}{D02BBFA}
@@ -18379,6 +18700,11 @@ d02bbfAnnaType():OrdinaryDifferentialEquationsSolverCategory == Result add
              tol,-1,asp7,asp8)
 
 @
+<<D02BBFA.dotabb>>=
+"D02BBFA" [color="#88FF44",href="bookvol10.3.pdf#nameddest=D02BBFA"]
+"D02BBFA" -> "IVECTOR"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain D02BHFA d02bhfAnnaType}
 \pagehead{d02bhfAnnaType}{D02BHFA}
@@ -18471,6 +18797,11 @@ d02bhfAnnaType():OrdinaryDifferentialEquationsSolverCategory == Result add
              tol,-1,asp9,asp7)
 
 @
+<<D02BHFA.dotabb>>=
+"D02BHFA" [color="#88FF44",href="bookvol10.3.pdf#nameddest=D02BHFA"]
+"D02BHFA" -> "IVECTOR"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain D02CJFA d02cjfAnnaType}
 \pagehead{d02cjfAnnaType}{D02CJFA}
@@ -18556,6 +18887,11 @@ d02cjfAnnaType():OrdinaryDifferentialEquationsSolverCategory == Result add
              -1,asp9,asp7,asp8)
 
 @
+<<D02CJFA.dotabb>>=
+"D02CJFA" [color="#88FF44",href="bookvol10.3.pdf#nameddest=D02CJFA"]
+"D02CJFA" -> "IVECTOR"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain D02EJFA d02ejfAnnaType}
 \pagehead{d02ejfAnnaType}{D02EJFA}
@@ -18666,6 +19002,14 @@ d02ejfAnnaType():OrdinaryDifferentialEquationsSolverCategory == Result add
              tol,-1,asp9,asp7,asp31,asp8)
 
 @
+<<D02EJFA.dotabb>>=
+"D02EJFA" [color="#88FF44",href="bookvol10.3.pdf#nameddest=D02EJFA"]
+"D02EJFA" -> "FLAGG"
+"D02EJFA" -> "FIELD-"
+"D02EJFA" -> "FIELD"
+"D02EJFA" -> "RADCAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain D03EEFA d03eefAnnaType}
 \pagehead{d03eefAnnaType}{D03EEFA}
@@ -18741,6 +19085,11 @@ d03eefAnnaType():PartialDifferentialEquationsSolverCategory == Result add
     d03edf(nx,ny,lda,15,args.tol,0,fdea,fderhs,ub,-1)
 
 @
+<<D03EEFA.dotabb>>=
+"D03EEFA" [color="#88FF44",href="bookvol10.3.pdf#nameddest=D03EEFA"]
+"D03EEFA" -> "FS"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain D03FAFA d03fafAnnaType}
 \pagehead{d03fafAnnaType}{D03FAFA}
@@ -18783,6 +19132,11 @@ d03fafAnnaType():PartialDifferentialEquationsSolverCategory == Result add
     [0$F,"d03faf isn't finished"]
 
 @
+<<D03FAFAs.dotabb>>=
+"D03FAFA" [color="#88FF44",href="bookvol10.3.pdf#nameddest=D03FAFA"]
+"D03FAFA" -> "FLAGG"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \chapter{Chapter E}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
@@ -18974,7 +19328,6 @@ do is ask!
 
 See Also:
 o )show Equation
-o $AXIOM/doc/src/algebra/equation2.spad.dvi
 
 @
 \pagehead{Equation}{EQ}
@@ -19192,6 +19545,11 @@ Equation(S: Type): public == private where
             [subst(lhs eq1,eq3),subst(rhs eq1,eq3)]
 
 @
+<<EQ.dotabb>>=
+"EQ" [color="#88FF44",href="bookvol10.3.pdf#nameddest=EQ"]
+"EQ" -> "PFECAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain EQTBL EqTable}
 <<EqTable.input>>=
@@ -19294,7 +19652,6 @@ each.
 See Also:
 o )help Table
 o )show EqTable
-o $AXIOM/doc/src/algebra/table.spad.dvi
 
 @
 \pagehead{EqTable}{EQTBL}
@@ -19326,6 +19683,11 @@ EqTable(Key: SetCategory, Entry: SetCategory) ==
       HashTable(Key, Entry, "EQ")
 
 @
+<<EQTBL.dotabb>>=
+"EQTBL" [color="#88FF44",href="bookvol10.3.pdf#nameddest=EQTBL"]
+"EQTBL" -> "TBAGG"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain EMR EuclideanModularRing}
 \pagehead{EuclideanModularRing}{EMR}
@@ -19437,6 +19799,11 @@ EuclideanModularRing(S,R,Mod,reduction:(R,Mod) -> R,
       elt(x : %,s : R) : R == reduction(elt(x.val,s),x.modulo)
 
 @
+<<EMR.dotabb>>=
+"EMR" [color="#88FF44",href="bookvol10.3.pdf#nameddest=EMR"]
+"EMR" -> "PFECAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain EXIT Exit}
 <<Exit.input>>=
@@ -19537,7 +19904,6 @@ resolved to be Integer.
 
 See Also:
 o )show Exit
-o $AXIOM/doc/src/algebra/void.spad.dvi
 
 @
 \pagehead{Exit}{EXIT}
@@ -19566,6 +19932,12 @@ Exit: SetCategory == add
         n1 = n2     == error "Cannot use an Exit value."
 
 @
+<<EXIT.dotabb>>=
+"EXIT" [color="#88FF44",href="bookvol10.3.pdf#nameddest=EXIT"]
+"EXIT" -> "BASTYPE"
+"EXIT" -> "KOERCE"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain EXPEXPAN ExponentialExpansion}
 \pagehead{ExponentialExpansion}{EXPEXPAN}
@@ -19719,6 +20091,12 @@ ExponentialExpansion(R,FE,var,cen): Exports == Implementation where
       seriesQuotientInfinity(numCoef,denCoef)
 
 @
+<<EXPEXPAN.dotabb>>=
+"EXPEXPAN" [color="#88FF44",href="bookvol10.3.pdf#nameddest=EXPEXPAN"]
+"EXPEXPAN" -> "ACF"
+"EXPEXPAN" -> "FS"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain EXPR Expression}
 <<Expression.input>>=
@@ -20093,7 +20471,6 @@ simplify.
 See Also:
 o )show Kernel
 o )show Expression
-o $AXIOM/doc/src/algebra/void.spad.dvi
 
 @
 \pagehead{Expression}{EXPR}
@@ -20620,6 +20997,11 @@ Expression(R:OrderedSet): Exports == Implementation where
 --              patternMatch(x pretend K, p, l)$PatternMatchKernel(Float, %)
 
 @
+<<EXPR.dotabb>>=
+"EXPR" [color="#88FF44",href="bookvol10.3.pdf#nameddest=EXPR"]
+"EXPR" -> "ACFS"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain EXPUPXS ExponentialOfUnivariatePuiseuxSeries}
 \pagehead{ExponentialOfUnivariatePuiseuxSeries}{EXPUPXS}
@@ -20698,6 +21080,11 @@ ExponentialOfUnivariatePuiseuxSeries(FE,var,cen):_
       ("%e" :: OutputForm) ** ((coerce$Rep)(complete f)@OutputForm)
 
 @
+<<EXPUPXS.dotabb>>=
+"EXPUPXS" [color="#88FF44",href="bookvol10.3.pdf#nameddest=EXPUPXS"]
+"EXPUPXS" -> "UPXSCAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain EAB ExtAlgBasis}
 \pagehead{ExtAlgBasis}{EAB}
@@ -20786,6 +21173,11 @@ ExtAlgBasis(): Export == Implement where
      coerce x         == coerce(x @ Rep)$(L I)
 
 @
+<<EAB.dotabb>>=
+"EAB" [color="#88FF44",href="bookvol10.3.pdf#nameddest=EAB"]
+"EAB" -> "PID/OAGROUP"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain E04DGFA e04dgfAnnaType}
 \pagehead{e04dgfAnnaType}{E04DGFA}
@@ -20867,6 +21259,11 @@ e04dgfAnnaType(): NumericalOptimizationCategory == Result add
     e04dgf(n,1$DF,fu,it,lin,true,ma,op,1,1,n,0,x,-1,f)
 
 @
+<<E04DGFA.dotabb>>=
+"E04DGFA" [color="#88FF44",href="bookvol10.3.pdf#nameddest=E04DGFA"]
+"E04DGFA" -> "STRING"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain E04FDFA e04fdfAnnaType}
 \pagehead{e04fdfAnnaType}{E04FDFA}
@@ -20973,6 +21370,11 @@ e04fdfAnnaType(): NumericalOptimizationCategory == Result add
     changeNameToObjf(fsumsq@Symbol,out)
 
 @
+<<E04FDFA.dotabb>>=
+"E04FDFA" [color="#88FF44",href="bookvol10.3.pdf#nameddest=E04FDFA"]
+"E04FDFA" -> "STRING"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain E04GCFA e04gcfAnnaType}
 \pagehead{e04gcfAnnaType}{E04GCFA}
@@ -21095,6 +21497,11 @@ e04gcfAnnaType(): NumericalOptimizationCategory == Result add
     changeNameToObjf(fsumsq@Symbol,out)
 
 @
+<<E04GCFA.dotabb>>=
+"E04GCFA" [color="#88FF44",href="bookvol10.3.pdf#nameddest=E04GCFA"]
+"E04GCFA" -> "STRING"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain E04JAFA e04jafAnnaType}
 \pagehead{e04jafAnnaType}{E04JAFA}
@@ -21192,6 +21599,11 @@ e04jafAnnaType(): NumericalOptimizationCategory == Result add
     changeNameToObjf(f@Symbol,out)
 
 @
+<<E04JAFA.dotabb>>=
+"E04JAFA" [color="#88FF44",href="bookvol10.3.pdf#nameddest=E04JAFA"]
+"E04JAFA" -> "STRING"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain E04MBFA e04mbfAnnaType}
 \pagehead{e04mbfAnnaType}{E04MBFA}
@@ -21275,6 +21687,11 @@ e04mbfAnnaType(): NumericalOptimizationCategory == Result add
     changeNameToObjf(objlp@Symbol,out)
 
 @
+<<E04MBFA.dotabb>>=
+"E04MBFA" [color="#88FF44",href="bookvol10.3.pdf#nameddest=E04MBFA"]
+"E04MBFA" -> "TRANFUN"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain E04NAFA e04nafAnnaType}
 \pagehead{e04nafAnnaType}{E04NAFA}
@@ -21373,6 +21790,11 @@ e04nafAnnaType(): NumericalOptimizationCategory == Result add
     changeNameToObjf(obj@Symbol,out)
 
 @
+<<E04NAFA.dotabb>>=
+"E04NAFA" [color="#88FF44",href="bookvol10.3.pdf#nameddest=E04NAFA"]
+"E04NAFA" -> "FS"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain E04UCFA e04ucfAnnaType}
 \pagehead{e04ucfAnnaType}{E04UCFA}
@@ -21487,6 +21909,11 @@ e04ucfAnnaType(): NumericalOptimizationCategory == Result add
              1,n,n,3,istate,cjac,clambda,r,x,-1,casp,fasp)
 
 @
+<<E04UCFA.dotabb>>=
+"E04UCFA" [color="#88FF44",href="bookvol10.3.pdf#nameddest=E04UCFA"]
+"E04UCFA" -> "PFECAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \chapter{Chapter F}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
@@ -22106,7 +22533,6 @@ You can differentiate with respect to a variable.
 See Also:
 o )help FactoredFunctions2
 o )show Factored
-o $AXIOM/doc/src/algebra/fr.spad.dvi
 
 @
 \pagehead{Factored}{FR}
@@ -22661,6 +23087,11 @@ Factored(R: IntegralDomain): Exports == Implementation where
                        ((l.first.xpnt) = 1) and (l.first.flg case "prime")
 
 @
+<<FR.dotabb>>=
+"FR" [color="#88FF44",href="bookvol10.3.pdf#nameddest=FR"]
+"FR" -> "ALIST"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain FILE File}
 <<File.input>>=
@@ -22857,7 +23288,6 @@ o )help KeyedAccessFile
 o )help Library
 o )help Filename
 o )show File
-o $AXIOM/doc/src/algebra/files.spad.dvi
 
 @
 \pagehead{File}{FILE}
@@ -22949,6 +23379,11 @@ File(S:SetCategory): FileCategory(FileName, S) with
             x
 
 @
+<<FILE.dotabb>>=
+"FILE" [color="#88FF44",href="bookvol10.3.pdf#nameddest=FILE"]
+"FILE" -> "STRING"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain FNAME FileName}
 <<FileName.input>>=
@@ -23227,7 +23662,6 @@ extension, and the same defaults are used.
 
 See Also:
 o )show FileName
-o $AXIOM/doc/src/algebra/fname.spad.dvi
 
 @
 \pagehead{FileName}{FNAME}
@@ -23268,6 +23702,11 @@ FileName(): FileNameCategory == add
         new(d,pref,e)            == fnameNew(d,pref,e)$Lisp
 
 @
+<<FNAME.dotabb>>=
+"FNAME" [color="#88FF44",href="bookvol10.3.pdf#nameddest=FNAME"]
+"FNAME" -> "STRING"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain FDIV FiniteDivisor}
 \pagehead{FiniteDivisor}{FDIV}
@@ -23405,6 +23844,11 @@ FiniteDivisor(F, UP, UPUP, R): Exports == Implementation where
         divisor ideal [b::RF::R, h]$Vector(R)
 
 @
+<<FDIV.dotabb>>=
+"FDIV" [color="#88FF44",href="bookvol10.3.pdf#nameddest=FDIV"]
+"FDIV" -> "FDIVCAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain FF FiniteField}
 \pagehead{FiniteField}{FF}
@@ -23442,6 +23886,11 @@ FiniteField(p:PositiveInteger, n:PositiveInteger): _
   -- generateIrredPoly(n)$IrredPolyOverFiniteField(GF))
 
 @
+<<FF.dotabb>>=
+"FF" [color="#88FF44",href="bookvol10.3.pdf#nameddest=FF"]
+"FF" -> "FAXF"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain FFCG FiniteFieldCyclicGroup}
 \pagehead{FiniteFieldCyclicGroup}{FFCG}
@@ -23489,6 +23938,11 @@ FiniteFieldCyclicGroup(p,extdeg):_
                           createPrimitivePoly(extdeg)$FFPOLY)
 
 @
+<<FFCG.dotabb>>=
+"FFCG" [color="#88FF44",href="bookvol10.3.pdf#nameddest=FFCG"]
+"FFCG" -> "FAXF"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain FFCGX FiniteFieldCyclicGroupExtension}
 \pagehead{FiniteFieldCyclicGroupExtension}{FFCGX}
@@ -23539,6 +23993,11 @@ FiniteFieldCyclicGroupExtension(GF,extdeg):_
                           createPrimitivePoly(extdeg)$FFPOLY)
 
 @
+<<FFCGX.dotabb>>=
+"FFCGX" [color="#88FF44",href="bookvol10.3.pdf#nameddest=FFCGX"]
+"FFCGX" -> "FAXF"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain FFCGP FiniteFieldCyclicGroupExtensionByPolynomial}
 \pagehead{FiniteFieldCyclicGroupExtensionByPolynomial}{FFCGP}
@@ -23855,6 +24314,11 @@ FiniteFieldCyclicGroupExtensionByPolynomial(GF,defpol):_
       mulmod(m,x,sizeCG::Rep)$Rep
 
 @
+<<FFCGP.dotabb>>=
+"FFCGP" [color="#88FF44",href="bookvol10.3.pdf#nameddest=FFCGP"]
+"FFCGP" -> "ALIST"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain FFX FiniteFieldExtension}
 \pagehead{FiniteFieldExtension}{FFX}
@@ -23899,6 +24363,11 @@ FiniteFieldExtension(GF, n): Exports == Implementation where
   -- generateIrredPoly(n)$IrredPolyOverFiniteField(GF))
 
 @
+<<FFX.dotabb>>=
+"FFX" [color="#88FF44",href="bookvol10.3.pdf#nameddest=FFX"]
+"FFX" -> "FAXF"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain FFP FiniteFieldExtensionByPolynomial}
 \pagehead{FiniteFieldExtensionByPolynomial}{FFP}
@@ -24140,6 +24609,11 @@ FiniteFieldExtensionByPolynomial(GF:FiniteFieldCategory,_
     characteristic() == characteristic()$GF
 
 @
+<<FFP.dotabb>>=
+"FFP" [color="#88FF44",href="bookvol10.3.pdf#nameddest=FFP"]
+"FFP" -> "ALIST"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain FFNB FiniteFieldNormalBasis}
 \pagehead{FiniteFieldNormalBasis}{FFNB}
@@ -24196,6 +24670,11 @@ FiniteFieldNormalBasis(p,extdeg):_
                     createLowComplexityNormalBasis(extdeg)$FFF)
 
 @
+<<FFNB.dotabb>>=
+"FFNB" [color="#88FF44",href="bookvol10.3.pdf#nameddest=FFNB"]
+"FFNB" -> "FAXF"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain FFNBX FiniteFieldNormalBasisExtension}
 \pagehead{FiniteFieldNormalBasisExtension}{FFNBX}
@@ -24252,6 +24731,11 @@ FiniteFieldNormalBasisExtension(GF,extdeg):_
                     createLowComplexityNormalBasis(extdeg)$FFF)
 
 @
+<<FFNBX.dotabb>>=
+"FFNBX" [color="#88FF44",href="bookvol10.3.pdf#nameddest=FFNBX"]
+"FFNBX" -> "FAXF"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain FFNBP FiniteFieldNormalBasisExtensionByPolynomial}
 \pagehead{FiniteFieldNormalBasisExtensionByPolynomial}{FFNBP}
@@ -24618,6 +25102,11 @@ divisor of the order of the multiplicative group"
     normalElement() == normalElement(extdeg)$INBFF
 
 @
+<<FFNBP.dotabb>>=
+"FFNBP" [color="#88FF44",href="bookvol10.3.pdf#nameddest=FFNBP"]
+"FFNBP" -> "ALIST"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain FARRAY FlexibleArray}
 <<FlexibleArray.input>>=
@@ -24883,13 +25372,8 @@ o )help OneDimensionalArray
 o )help Vector
 o )help ExtensibleLinearAggregate
 o )show FlexibleArray
-o $AXIOM/doc/src/algebra/array1.spad.dvi
 
 @
-<<dot>>=
-"FARRAY" -> "IFARRAY"
-"FlexibleArray(a:Type)" -> "IndexedFlexibleArray(a:Type,1)"
-@
 \pagehead{FlexibleArray}{FARRAY}
 \pagepic{ps/v103flexiblearray.ps}{FARRAY}{1.00}
 See also:\\
@@ -24921,6 +25405,11 @@ FlexibleArray(S: Type) == Implementation where
 -- Join(OneDimensionalArrayAggregate S, ExtensibleLinearAggregate S)
 
 @
+<<FARRAY.dotabb>>=
+"FARRAY" [color="#88FF44",href="bookvol10.3.pdf#nameddest=FARRAY"]
+"FARRAY" -> "A1AGG"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain FLOAT Float}
 As reported in bug number 4733 (rounding of negative numbers)
@@ -25758,7 +26247,6 @@ Reset digits to its default value.
 See Also:
 o )help DoubleFloat
 o )show Float
-o $AXIOM/doc/src/algebra/float.spad.dvi 
 
 @
 \pagehead{Float}{FLOAT}
@@ -26744,6 +27232,11 @@ Float():
          (s,t) := (t,r)
 
 @
+<<FLOAT.dotabb>>=
+"FLOAT" [color="#88FF44",href="bookvol10.3.pdf#nameddest=FLOAT"]
+"FLOAT" -> "ALIST"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain FC FortranCode}
 \pagehead{FortranCode}{FC}
@@ -27347,6 +27840,12 @@ FortranCode(): public == private where
       [["call"]$OP,[s]$OPREC]$Rep
 
 @
+<<FC.dotabb>>=
+"FC" [color="#88FF44",href="bookvol10.3.pdf#nameddest=FC"]
+"FC" -> "COMPCAT"
+"FC" -> "FS"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain FEXPR FortranExpression}
 \pagehead{FortranExpression}{FEXPR}
@@ -27703,6 +28202,11 @@ FortranExpression(basicSymbols,subscriptedSymbols,R):
       res::$
 
 @
+<<FEXPR.dotabb>>=
+"FEXPR" [color="#88FF44",href="bookvol10.3.pdf#nameddest=FEXPR"]
+"FEXPR" -> "ALIST"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain FORTRAN FortranProgram}
 \pagehead{FortranProgram}{FORTRAN}
@@ -27939,6 +28443,11 @@ FortranProgram(name,returnType,arguments,symbols): Exports == Implement where
       (subst(rhs u,eList))::$
 
 @
+<<FORTRAN.dotabb>>=
+"FORTRAN" [color="#88FF44",href="bookvol10.3.pdf#nameddest=FORTRAN"]
+"FORTRAN" -> "COMPCAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain FST FortranScalarType}
 \pagehead{FortranScalarType}{FST}
@@ -28100,6 +28609,11 @@ FortranScalarType() : exports == implementation where
     doubleComplex?(t:$):Boolean == t case DoubleComplexThing
 
 @
+<<FST.dotabb>>=
+"FST" [color="#88FF44",href="bookvol10.3.pdf#nameddest=FST"]
+"FST" -> "ALIST"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain FTEM FortranTemplate}
 \pagehead{FortranTemplate}{FTEM}
@@ -28203,6 +28717,11 @@ FortranTemplate() : specification == implementation where
       string(_$fortranOutputFile$Lisp)::FileName
 
 @
+<<FTEM.dotabb>>=
+"FTEM" [color="#88FF44",href="bookvol10.3.pdf#nameddest=FTEM"]
+"FTEM" -> "STRING"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain FT FortranType}
 \pagehead{FortranType}{FT}
@@ -28317,6 +28836,11 @@ FortranType() : exports == implementation where
     fortranLogical():$ == ("logical"::FST)::$
 
 @
+<<FT.dotabb>>=
+"FT" [color="#88FF44",href="bookvol10.3.pdf#nameddest=FT"]
+"FT" -> "PID/OAGROUP"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain FCOMP FourierComponent}
 \pagehead{FourierComponent}{FCOMP}
@@ -28365,6 +28889,11 @@ FourierComponent(E:OrderedSet):
      y.SinIfTrue
 
 @
+<<FCOMP.dotabb>>=
+"FCOMP" [color="#88FF44",href="bookvol10.3.pdf#nameddest=FCOMP"]
+"FCOMP" -> "ORDSET"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain FSERIES FourierSeries}
 \pagehead{FourierSeries}{FSERIES}
@@ -28441,6 +28970,11 @@ FourierSeries(R:Join(CommutativeRing,Algebra(Fraction Integer)),
       [[sin a,r]]
 
 @
+<<FSERIES.dotabb>>=
+"FSERIES" [color="#88FF44",href="bookvol10.3.pdf#nameddest=FSERIES"]
+"FSERIES" -> "PID/OAGROUP"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain FRAC Fraction}
 <<Fraction.input>>=
@@ -28694,7 +29228,6 @@ o )help ContinuedFraction
 o )help PartialFraction
 o )help Integer
 o )show Fraction
-o $AXIOM/doc/src/algebra/fraction.spad.dvi
 
 @
 \pagehead{Fraction}{FRAC}
@@ -29029,6 +29562,11 @@ Fraction(S: IntegralDomain): QuotientFieldCategory S with
           makeFR(map(#1::%/den1,unit(ff)),lfact)
 
 @
+<<FRAC.dotabb>>=
+"FRAC" [color="#88FF44",href="bookvol10.3.pdf#nameddest=FRAC"]
+"FRAC" -> "PFECAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain FRIDEAL FractionalIdeal}
 \pagehead{FractionalIdeal}{FRIDEAL}
@@ -29205,6 +29743,11 @@ FractionalIdeal(R, F, UP, A): Exports == Implementation where
       i
 
 @
+<<FRIDEAL.dotabb>>=
+"FRIDEAL" [color="#88FF44",href="bookvol10.3.pdf#nameddest=FRIDEAL"]
+"FRIDEAL" -> "FRAMALG"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain FRMOD FramedModule}
 \pagehead{FramedModule}{FRMOD}
@@ -29318,6 +29861,11 @@ FramedModule(R, F, UP, A, ibasis): Exports == Implementation where
         module(basis i) * module(ibasis)
 
 @
+<<FRMOD.dotabb>>=
+"FRMOD" [color="#88FF44",href="bookvol10.3.pdf#nameddest=FRMOD"]
+"FRMOD" -> "FRAMALG"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain FAGROUP FreeAbelianGroup}
 \pagehead{FreeAbelianGroup}{FAGROUP}
@@ -29371,6 +29919,11 @@ FreeAbelianGroup(S:SetCategory): Exports == Implementation where
         (a - lc) < (b - lc)
 
 @
+<<FAGROUP.dotabb>>=
+"FAGROUP" [color="#88FF44",href="bookvol10.3.pdf#nameddest=FAGROUP"]
+"FAGROUP" -> "PID/OAGROUP"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain FAMONOID FreeAbelianMonoid}
 \pagehead{FreeAbelianMonoid}{FAMONOID}
@@ -29396,6 +29949,11 @@ FreeAbelianMonoid(S: SetCategory):
     == InnerFreeAbelianMonoid(S, NonNegativeInteger, 1)
 
 @
+<<FAMONOID.dotabb>>=
+"FAMONOID" [color="#88FF44",href="bookvol10.3.pdf#nameddest=FAMONOID"]
+"FAMONOID" -> "OAMONS"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain FGROUP FreeGroup}
 \pagehead{FreeGroup}{FGROUP}
@@ -29467,6 +30025,12 @@ FreeGroup(S: SetCategory): Join(Group, RetractableTo S) with
             makeMulti concat_!(reverse_! r, q)
 
 @
+<<FGROUP.dotabb>>=
+"FGROUP" [color="#88FF44",href="bookvol10.3.pdf#nameddest=FGROUP"]
+"FGROUP" -> "FLAGG"
+"FGROUP" -> "FLAGG-"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain FM FreeModule}
 \pagehead{FreeModule}{FM}
@@ -29544,6 +30108,11 @@ FreeModule(R:Ring,S:OrderedSet):
          reduce("+",le)
 
 @
+<<FM.dotabb>>=
+"FM" [color="#88FF44",href="bookvol10.3.pdf#nameddest=FM"]
+"FM" -> "FLAGG"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain FM1 FreeModule1}
 \pagehead{FreeModule1}{FM1}
@@ -29649,6 +30218,11 @@ FreeModule1(R:Ring,S:OrderedSet): FMcat == FMdef where
          0$R
 
 @
+<<FM1.dotabb>>=
+"FM1" [color="#88FF44",href="bookvol10.3.pdf#nameddest=FM1"]
+"FM1" -> "FLAGG"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain FMONOID FreeMonoid}
 \pagehead{FreeMonoid}{FMONOID}
@@ -29841,6 +30415,12 @@ FreeMonoid(S: SetCategory): FMcategory == FMdefinition where
             empty? la and not empty? lb
 
 @
+<<FMONOID.dotabb>>=
+"FMONOID" [color="#88FF44",href="bookvol10.3.pdf#nameddest=FMONOID"]
+"FMONOID" -> "FLAGG-"
+"FMONOID" -> "FLAGG"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain FNLA FreeNilpotentLie}
 \pagehead{FreeNilpotentLie}{FNLA}
@@ -29965,6 +30545,11 @@ FreeNilpotentLie(n:NNI,class:NNI,R: CommutativeRing): Export == Implement where
        lC(f)::O * Fac(value(lS f))::O + deepExpand(reductum f)
 
 @
+<<FNLA.dotabb>>=
+"FNLA" [color="#88FF44",href="bookvol10.3.pdf#nameddest=FNLA"]
+"FNLA" -> "IVECTOR"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain FPARFRAC FullPartialFractionExpansion}
 <<FullPartialFractionExpansion.input>>=
@@ -30438,7 +31023,6 @@ Proceedings of ISSAC'93, Kiev, ACM Press.
 See Also:
 o )help PartialFraction
 o )show FullPartialFractionExpansion
-o $AXIOM/doc/src/algebra/fparfrac.spad.dvi
 
 @
 \pagehead{FullPartialFractionExpansion}{FPARFRAC}
@@ -30620,6 +31204,11 @@ FullPartialFractionExpansion(F, UP): Exports == Implementation where
       f ** (n::O)
 
 @
+<<FPARFRAC.dotabb>>=
+"FPARFRAC" [color="#88FF44",href="bookvol10.3.pdf#nameddest=FPARFRAC"]
+"FPARFRAC" -> "ALIST"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain FUNCTION FunctionCalled}
 \pagehead{FunctionCalled}{FUNCTION}
@@ -30638,6 +31227,11 @@ FunctionCalled(f:Symbol): SetCategory with
    latex(x:%):String      == latex f
 
 @
+<<FUNCTION.dotabb>>=
+"FUNCTION" [color="#88FF44",href="bookvol10.3.pdf#nameddest=FUNCTION"]
+"FUNCTION" -> "ALIST"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \chapter{Chapter G}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
@@ -30849,7 +31443,6 @@ o )help MultivariatePolynomial
 o )help HomogeneousDistributedMultivariatePolynomial
 o )help DistributedMultivariatePolynomial
 o )show GeneralDistributedMultivariatePolynomial
-o $AXIOM/doc/src/algebra/gdpoly.spad.dvi
 
 @
 \pagehead{GeneralDistributedMultivariatePolynomial}{GDMP}
@@ -31108,6 +31701,11 @@ GeneralDistributedMultivariatePolynomial(vl,R,E): public == private where
         reduce("+",lt)
 
 @
+<<GDMP.dotabb>>=
+"GDMP" [color="#88FF44",href="bookvol10.3.pdf#nameddest=GDMP"]
+"GDMP" -> "ALIST"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain GMODPOL GeneralModulePolynomial}
 \pagehead{GeneralModulePolynomial}{GMODPOL}
@@ -31184,6 +31782,12 @@ GeneralModulePolynomial(vl, R, IS, E, ff, P): public  ==  private where
                reductum(p) * mp
 
 @
+<<GMODPOL.dotabb>>=
+"GMODPOL" [color="#88FF44",href="bookvol10.3.pdf#nameddest=GMODPOL"]
+"GMODPOL" -> "PFECAT"
+"GMODPOL" -> "DIRPCAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain GCNAALG GenericNonAssociativeAlgebra}
 \pagehead{GenericNonAssociativeAlgebra}{GCNAALG}
@@ -31482,6 +32086,11 @@ GenericNonAssociativeAlgebra(R : CommutativeRing, n : PositiveInteger,_
       --le : List Equation PR := [equation(lh,rh) for lh in ls for rh in coefOfa]
 
 @
+<<GCNAALG.dotabb>>=
+"GCNAALG" [color="#88FF44",href="bookvol10.3.pdf#nameddest=GCNAALG"]
+"GCNAALG" -> "FRNAALG"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain GPOLSET GeneralPolynomialSet}
 \pagehead{GeneralPolynomialSet}{GPOLSET}
@@ -31566,6 +32175,11 @@ GeneralPolynomialSet(R,E,VarSet,P) : Exports == Implementation where
        construct lp
 
 @
+<<GPOLSET.dotabb>>=
+"GPOLSET" [color="#88FF44",href="bookvol10.3.pdf#nameddest=GPOLSET"]
+"GPOLSET" -> "RPOLCAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain GSTBL GeneralSparseTable}
 <<GeneralSparseTable.input>>=
@@ -31648,7 +32262,6 @@ So the project is cancelled and we can delete the data base:
 
 See Also:
 o )show GeneralSparseTable
-o $AXIOM/doc/src/algebra/table.spad.dvi
 
 @
 \pagehead{GeneralSparseTable}{GSTBL}
@@ -31697,6 +32310,11 @@ GeneralSparseTable(Key, Entry, Tbl, dent): TableAggregate(Key, Entry) == Impl
             u
 
 @
+<<GSTBL.dotabb>>=
+"GSTBL" [color="#88FF44",href="bookvol10.3.pdf#nameddest=GSTBL"]
+"GSTBL" -> "TBAGG"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain GTSET GeneralTriangularSet}
 \pagehead{GeneralTriangularSet}{GTSET}
@@ -31812,6 +32430,11 @@ GeneralTriangularSet(R,E,V,P) : Exports == Implementation where
        (per(cons(p,rep(ts))))::Union($,"failed")
 
 @
+<<GTSET.dotabb>>=
+"GTSET" [color="#88FF44",href="bookvol10.3.pdf#nameddest=GTSET"]
+"GTSET" -> "RPOLCAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain GSERIES GeneralUnivariatePowerSeries}
 \pagehead{GeneralUnivariatePowerSeries}{GSERIES}
@@ -31926,6 +32549,11 @@ GeneralUnivariatePowerSeries(Coef,var,cen): Exports == Implementation where
           error "integrate: center is a function of variable of integration"
 
 @
+<<GSERIES.dotabb>>=
+"GSERIES" [color="#88FF44",href="bookvol10.3.pdf#nameddest=GSERIES"]
+"GSERIES" -> "ACFS"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain GRIMAGE GraphImage}
 \pagehead{GraphImage}{GRIMAGE}
@@ -32336,6 +32964,11 @@ GraphImage (): Exports == Implementation where
          (p=1 => " point list"; " point lists") :: E])
 
 @
+<<GRIMAGE.dotabb>>=
+"GRIMAGE" [color="#88FF44",href="bookvol10.3.pdf#nameddest=GRIMAGE"]
+"GRIMAGE" -> "STRING"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain GOPT GuessOption}
 \pagehead{GuessOption}{GOPT}
@@ -32481,6 +33114,11 @@ GuessOption(): Exports == Implementation where
         else error "GuessOption: Option specified twice"
 
 @
+<<GOPT.dotabb>>=
+"GOPT" [color="#88FF44",href="bookvol10.3.pdf#nameddest=GOPT"]
+"GOPT" -> "ALIST"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \chapter{Chapter H}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
@@ -32544,6 +33182,11 @@ HashTable(Key, Entry, hashfn): Exports == Implementation where
             "failed"
 
 @
+<<HASHTBL.dotabb>>=
+"HASHTBL" [color="#88FF44",href="bookvol10.3.pdf#nameddest=HASHTBL"]
+"HASHTBL" -> "TBAGG"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain HEAP Heap}
 <<Heap.input>>=
@@ -32679,13 +33322,8 @@ Apply heapsort to present elements in order.
 See Also:
 o )help FlexibleArray
 o )show Heap
-o $AXIOM/doc/src/algebra/bags.spad.dvi
 
 @
-<<dot>>=
-"HEAP" -> "PRQAGG"
-"Heap(a:OrderedSet)" -> "PriorityQueueAggregate(a:OrderedSet)"
-@
 \pagehead{Heap}{HEAP}
 \pagepic{ps/v103heap.ps}{HEAP}{1.00}
 See also:\\
@@ -32772,6 +33410,11 @@ Heap(S:OrderedSet): Exports == Implementation where
     merge_!(a,b) == makeHeap concat_!(a,b)
 
 @
+<<HEAP.dotabb>>=
+"HEAP" [color="#88FF44",href="bookvol10.3.pdf#nameddest=HEAP"]
+"HEAP" -> "A1AGG"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain HEXADEC HexadecimalExpansion}
 <<HexadecimalExpansion.input>>=
@@ -32915,7 +33558,6 @@ o )help RadixExpansion
 o )help BinaryExpansion
 o )help DecimalExpansion
 o )show HexadecimalExpansion
-o $AXIOM/doc/src/algebra/radix.spad.dvi
 
 @
 \pagehead{HexadecimalExpansion}{HEXADEC}
@@ -32957,6 +33599,11 @@ HexadecimalExpansion(): Exports == Implementation where
     coerce(x:%): RadixExpansion(16) == x pretend RadixExpansion(16)
 
 @
+<<HEXADEC.dotabb>>=
+"HEXADEC" [color="#88FF44",href="bookvol10.3.pdf#nameddest=HEXADEC"]
+"HEXADEC" -> "PFECAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain HDP HomogeneousDirectProduct}
 \pagehead{HomogeneousDirectProduct}{HDP}
@@ -33004,6 +33651,11 @@ HomogeneousDirectProduct(dim,S) : T == C where
           false
 
 @
+<<HDP.dotabb>>=
+"HDP" [color="#88FF44",href="bookvol10.3.pdf#nameddest=HDP"]
+"HDP" -> "DIRPCAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain HDMP HomogeneousDistributedMultivariatePolynomial}
 <<HomogeneousDistributedMultivariatePolynomial.input>>=
@@ -33213,7 +33865,6 @@ o )help MultivariatePolynomial
 o )help DistributedMultivariatePolynomial
 o )help GeneralDistributedMultivariatePolynomial
 o )show HomogeneousDistributedMultivariatePolynomial
-o $AXIOM/doc/src/algebra/gdpoly.spad.dvi
 
 @
 \pagehead{HomogeneousDistributedMultivariatePolynomial}{HDMP}
@@ -33255,6 +33906,12 @@ HomogeneousDistributedMultivariatePolynomial(vl,R): public == private where
     GeneralDistributedMultivariatePolynomial(vl,R,E)
 
 @
+<<HDMP.dotabb>>=
+"HDMP" [color="#88FF44",href="bookvol10.3.pdf#nameddest=HDMP"]
+"HDMP" -> "PFECAT"
+"HDMP" -> "DIRPCAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain HELLFDIV HyperellipticFiniteDivisor}
 \pagehead{HyperellipticFiniteDivisor}{HELLFDIV}
@@ -33431,14 +34088,15 @@ HyperellipticFiniteDivisor(F, UP, UPUP, R): Exports == Implementation where
       reduce makeDivisor(a, bb, 1)
 
 @
+<<HELLFDIV.dotabb>>=
+"HELLFDIV" [color="#88FF44",href="bookvol10.3.pdf#nameddest=HELLFDIV"]
+"HELLFDIV" -> "FDIVCAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \chapter{Chapter I}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ICARD IndexCard}
-<<dot>>=
-"ICARD" -> "ORDSET"
-"IndexCard()" -> "OrderedSet()"
-@
 \pagehead{IndexCard}{ICARD}
 \pagepic{ps/v103indexcard.ps}{ICARD}{1.00}
 See also:\\
@@ -33503,12 +34161,13 @@ IndexCard() : Exports == Implementation where
       error "unknown selector"
 
 @
+<<ICARD.dotabb>>=
+"ICARD" [color="#88FF44",href="bookvol10.3.pdf#nameddest=ICARD"]
+"ICARD" -> "STRING"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain IBITS IndexedBits}
-<<dot>>=
-"IBITS" -> "BTAGG"
-"IndexedBits(a:Integer)" -> "BitAggregate()"
-@
 \pagehead{IndexedBits}{IBITS}
 \pagepic{ps/v103indexedbits.ps}{IBITS}{1.00}
 See also:\\
@@ -33576,6 +34235,11 @@ IndexedBits(mn:Integer): BitAggregate() with
         Or(u, v)        == (#v=#u => BVEC_-OR(v, u)$Lisp; map("or", v,u))
 
 @
+<<IBITS.dotabb>>=
+"IBITS" [color="#88FF44",href="bookvol10.3.pdf#nameddest=IBITS"]
+"IBITS" -> "STRING"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain IDPAG IndexedDirectProductAbelianGroup}
 \pagehead{IndexedDirectProductAbelianGroup}{IDPAG}
@@ -33652,6 +34316,12 @@ IndexedDirectProductAbelianGroup(A:AbelianGroup,S:OrderedSet):
 --          cons([x.first.k,r],(x.rest - y.rest))
 
 @
+<<IDPAG.dotabb>>=
+"IDPAG" [color="#88FF44",href="bookvol10.3.pdf#nameddest=IDPAG"]
+"IDPAG" -> "IDPC"
+"IDPAG" -> "ORDSET"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain IDPAM IndexedDirectProductAbelianMonoid}
 \pagehead{IndexedDirectProductAbelianMonoid}{IDPAM}
@@ -33739,6 +34409,12 @@ IndexedDirectProductAbelianMonoid(A:AbelianMonoid,S:OrderedSet):
        leadingCoefficient x  == (null x => 0; x.first.c)
 
 @
+<<IDPAM.dotabb>>=
+"IDPAM" [color="#88FF44",href="bookvol10.3.pdf#nameddest=IDPAM"]
+"IDPAM" -> "IDPC"
+"IDPAM" -> "ORDSET"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain IDPO IndexedDirectProductObject}
 \pagehead{IndexedDirectProductObject}{IDPO}
@@ -33788,6 +34464,12 @@ IndexedDirectProductObject(A:SetCategory,S:OrderedSet): IndexedDirectProductCate
           x.first.k
 
 @
+<<IDPO.dotabb>>=
+"IDPO" [color="#88FF44",href="bookvol10.3.pdf#nameddest=IDPO"]
+"IDPO" -> "IDPC"
+"IDPO" -> "ORDSET"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain IDPOAM IndexedDirectProductOrderedAbelianMonoid}
 \pagehead{IndexedDirectProductOrderedAbelianMonoid}{IDPOAM}
@@ -33820,6 +34502,11 @@ IndexedDirectProductOrderedAbelianMonoid(A:OrderedAbelianMonoid,S:OrderedSet):
          x.rest < y.rest
 
 @
+<<IDPOAM.dotabb>>=
+"IDPOAM" [color="#88FF44",href="bookvol10.3.pdf#nameddest=IDPOAM"]
+"IDPOAM" -> "OAMON"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain IDPOAMS IndexedDirectProductOrderedAbelianMonoidSup}
 \pagehead{IndexedDirectProductOrderedAbelianMonoidSup}{IDPOAMS}
@@ -33868,6 +34555,11 @@ IndexedDirectProductOrderedAbelianMonoidSup(A:OrderedAbelianMonoidSup,S:OrderedS
          cons([x.first.k,u],sup(x.rest,y.rest))
 
 @
+<<IDPOAMS.dotabb>>=
+"IDPOAMS" [color="#88FF44",href="bookvol10.3.pdf#nameddest=IDPOAMS"]
+"IDPOAMS" -> "OAMONS"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain INDE IndexedExponents}
 \pagehead{IndexedExponents}{INDE}
@@ -33909,18 +34601,13 @@ IndexedExponents(Varset:OrderedSet): C == T where
          reduce("*",[coerceOF t for t in x])
 
 @
+<<INDE.dotabb>>=
+"INDE" [color="#88FF44",href="bookvol10.3.pdf#nameddest=INDE"]
+"INDE" -> "FLAGG"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain IFARRAY IndexedFlexibleArray}
-<<dot>>=
-"IFARRAY" -> "A1AGG"
-"IndexedFlexibleArray(a:Type,b:Integer)" ->
-    "OneDimensionalArrayAggregate(a:Type)"
-"IndexedFlexibleArray(a:Type,1)" -> 
-    "IndexedFlexibleArray(a:Type,b:Integer)"
-"IFARRAY" -> "ELAGG"
-"IndexedFlexibleArray(a:Type,b:Integer)" ->
-    "ExtensibleLinearAggregate(a:Type)"
-@
 \pagehead{IndexedFlexibleArray}{IFARRAY}
 \pagepic{ps/v103indexedflexiblearray.ps}{IFARRAY}{1.00}
 See also:\\
@@ -34163,6 +34850,11 @@ IndexedFlexibleArray(S:Type, mn: Integer): Exports == Implementation where
          a
 
 @
+<<IFARRAY.dotabb>>=
+"IFARRAY" [color="#88FF44",href="bookvol10.3.pdf#nameddest=IFARRAY"]
+"IFARRAY" -> "A1AGG"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ILIST IndexedList}
 \pagehead{IndexedList}{ILIST}
@@ -34360,6 +35052,12 @@ IndexedList(S:Type, mn:Integer): Exports == Implementation where
      merge_!(f, p, q)
 
 @
+<<ILIST.dotabb>>=
+"ILIST" [color="#88FF44",href="bookvol10.3.pdf#nameddest=ILIST",
+          shape=ellipse]
+"ILIST" -> "STRING"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain IMATRIX IndexedMatrix}
 \pagehead{IndexedMatrix}{IMATRIX}
@@ -34435,13 +35133,14 @@ IndexedMatrix(R,mnRow,mnCol): Exports == Implementation where
         inverse     x == inverse(x)$MATLIN
 
 @
+<<IMATRIX.dotabb>>=
+"IMATRIX" [color="#88FF44",href="bookvol10.3.pdf#nameddest=IMATRIX"]
+"IMATRIX" -> "MATCAT"
+"IMATRIX" -> "VECTCAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain IARRAY1 IndexedOneDimensionalArray}
-<<dot>>=
-"IARRAY1" -> "A1AGG"
-"IndexedOneDimensionalArray(a:Type,b:Integer)" ->
-    "OneDimensionalArrayAggregate(a:Type)"
-@
 \pagehead{IndexedOneDimensionalArray}{IARRAY1}
 \pagepic{ps/v103indexedonedimensionalarray.ps}{IARRAY1}{1.00}
 See also:\\
@@ -34537,6 +35236,11 @@ IndexedOneDimensionalArray(S:Type, mn:Integer):
          qsetelt_!(x, i, s)
 
 @
+<<IARRAY1.dotabb>>=
+"IARRAY1" [color="#88FF44",href="bookvol10.3.pdf#nameddest=IARRAY1"]
+"IARRAY1" -> "A1AGG"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ISTRING IndexedString}
 \pagehead{IndexedString}{ISTRING}
@@ -34749,6 +35453,12 @@ the coercion.
 	true
 
 @
+<<ISTRING.dotabb>>=
+"ISTRING" [color="#88FF44",href="bookvol10.3.pdf#nameddest=ISTRING",
+          shape=ellipse]
+"ISTRING" -> "FSAGG"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain IARRAY2 IndexedTwoDimensionalArray}
 An IndexedTwoDimensionalArray is a 2-dimensional array where
@@ -34760,14 +35470,6 @@ function 'minRowIndex'.  The index of the 'first' column may
 be obtained by calling the function 'minColIndex'.  The index of
 the first element of a 'Row' is the same as the index of the
 first column in an array and vice versa.
-<<dot>>=
-"IARRAY2" -> "ARR2CAT"
-"IndexedTwoDimensionalArray(a:Type,b:Integer,c:Integer)" ->
-"TwoDimensionalArrayCategory(a:Type,d:IndexedOneDimensionalArray(a,b),e:IndexedOneDimensionalArray(a,c))"
-"IARRAY2" -> "IIARRAY2"
-"IndexedTwoDimensionalArray(a:Type,b:Integer,c:Integer)" ->
-"InnerIndexedTwoDimensionalArray(a:Type,b:Integer,c:Integer,d:IndexedOneDimensionalArray(a,b),e:IndexedOneDimensionalArray(a,c))"
-@
 \pagehead{IndexedTwoDimensionalArray}{IARRAY2}
 \pagepic{ps/v103indexedtwodimensionalarray.ps}{IARRAY2}{1.00}
 See also:\\
@@ -34787,6 +35489,12 @@ IndexedTwoDimensionalArray(R,mnRow,mnCol):Exports == Implementation where
     InnerIndexedTwoDimensionalArray(R,mnRow,mnCol,Row,Col)
 
 @
+<<IARRAY2.dotabb>>=
+"IARRAY2" [color="#88FF44",href="bookvol10.3.pdf#nameddest=IARRAY2"]
+"IARRAY2" -> "ARR2CAT"
+"IARRAY2" -> "A1AGG"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain IVECTOR IndexedVector}
 \pagehead{IndexedVector}{IVECTOR}
@@ -34810,6 +35518,11 @@ IndexedVector(R:Type, mn:Integer):
   VectorCategory R == IndexedOneDimensionalArray(R, mn)
  
 @
+<<IVECTOR.dotabb>>=
+"IVECTOR" [color="#88FF44",href="bookvol10.3.pdf#nameddest=IVECTOR"]
+"IVECTOR" -> "VECTCAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ITUPLE InfiniteTuple}
 \pagehead{InfiniteTuple}{ITUPLE}
@@ -34852,28 +35565,13 @@ InfiniteTuple(S:Type): Exports == Implementation where
 --      coerce(x)$Stream(S)
 
 @
+<<ITUPLE.dotabb>>=
+"ITUPLE" [color="#88FF44",href="bookvol10.3.pdf#nameddest=ITUPLE"]
+"ITUPLE" -> "TYPE"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain IAN InnerAlgebraicNumber}
-<<dot>>=
-"IAN" -> "ES"
-"InnerAlgebraicNumber()" -> "ExpressionSpace()"
-"IAN" -> "ACF"
-"InnerAlgebraicNumber()" -> "AlgebraicallyClosedField()"
-"IAN" -> "RETRACT"
-"InnerAlgebraicNumber()" -> "RetractableTo(Integer)"
-"InnerAlgebraicNumber()" -> "RetractableTo(Fraction(Integer))"
-"IAN" -> "LINEXP"
-"InnerAlgebraicNumber()" -> "LinearlyExplicitRingOver(Integer)"
-"InnerAlgebraicNumber()" -> "LinearlyExplicitRingOver(Fraction(Integer))"
-"IAN" -> "REAL"
-"InnerAlgebraicNumber()" -> "RealConstant()"
-"IAN" -> "CHARZ"
-"InnerAlgebraicNumber()" -> "CharacteristicZero()"
-"IAN" -> "KONVERT"
-"InnerAlgebraicNumber()" -> "ConvertibleTo(Complex(Float))"
-"IAN" -> "DIFRING"
-"InnerAlgebraicNumber()" -> "DifferentialRing()"
-@
 \pagehead{InnerAlgebraicNumber}{IAN}
 \pagepic{ps/v103inneralgebraicnumber.ps}{IAN}{1.00}
 See also:\\
@@ -35019,6 +35717,13 @@ InnerAlgebraicNumber(): Exports == Implementation where
                   x pretend FE)$ExpressionFunctions2(Z, Complex Float)
 
 @
+<<IAN.dotabb>>=
+"IAN" [color="#88FF44",href="bookvol10.3.pdf#nameddest=IAN"]
+"IAN" -> "ACF"
+"IAN" -> "FS"
+"IAN" -> "COMPCAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain IFF InnerFiniteField}
 \pagehead{InnerFiniteField}{IFF}
@@ -35052,6 +35757,11 @@ InnerFiniteField(p:PositiveInteger, n:PositiveInteger) ==
      FiniteFieldExtension(InnerPrimeField p, n)
 
 @
+<<IFF.dotabb>>=
+"IFF" [color="#88FF44",href="bookvol10.3.pdf#nameddest=IFF"]
+"IFF" -> "FAXF"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain IFAMON InnerFreeAbelianMonoid}
 \pagehead{InnerFreeAbelianMonoid}{IFAMON}
@@ -35099,19 +35809,15 @@ InnerFreeAbelianMonoid(S: SetCategory, E:CancellationAbelianMonoid, un:E):
                                        (n := coefficient(x.gen, g)) > 0]
 
 @
+<<IFAMON.dotabb>>=
+"IFAMON" [color="#88FF44",href="bookvol10.3.pdf#nameddest=IFAMON"]
+"IFAMON" -> "OAMON"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain IIARRAY2 InnerIndexedTwoDimensionalArray}
 This is an internal type which provides an implementation of
 2-dimensional arrays as PrimitiveArray's of PrimitiveArray's.
-<<dot>>=
-"IIARRAY2" -> "ARR2CAT"
-"InnerIndexedTwoDimensionalArray(a:Type,b:Integer,c:Integer,d:FiniteLinearAggregate(a),e:FiniteLinearAggregate(a))"
--> "TwoDimensionalArrayCategory(a:Type,b:FiniteLinearAggregate(a),c:FiniteLinearAggregate(a))"
-"InnerIndexedTwoDimensionalArray(a:Type,b:Integer,c:Integer,d:IndexedOneDimensionalArray(a,b),e:IndexedOneDimensionalArray(a,c))"
--> "InnerIndexedTwoDimensionalArray(a:Type,b:Integer,c:Integer,d:FiniteLinearAggregate(a),e:FiniteLinearAggregate(a))"
-"InnerIndexedTwoDimensionalArray(a:Type,1,1,b:OneDimensionalArray(a),c:OneDimensionalArray(a))"
--> "InnerIndexedTwoDimensionalArray(a:Type,b:Integer,c:Integer,d:FiniteLinearAggregate(a),e:FiniteLinearAggregate(a))"
-@
 \pagehead{InnerIndexedTwoDimensionalArray}{IIARRAY2}
 \pagepic{ps/v103innerindexedtwodimensionalarray.ps}{IIARRAY2}{1.00}
 See also:\\
@@ -35201,6 +35907,11 @@ InnerIndexedTwoDimensionalArray(R,mnRow,mnCol,Row,Col):_
           concat(s, "\end{array} \right]")$String
 
 @
+<<IIARRAY2.dotabb>>=
+"IIARRAY2" [color="#88FF44",href="bookvol10.3.pdf#nameddest=IIARRAY2"]
+"IIARRAY2" -> "STRING"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain IPADIC InnerPAdicInteger}
 \pagehead{InnerPAdicInteger}{IPADIC}
@@ -35461,6 +36172,12 @@ InnerPAdicInteger(p,unBalanced?): Exports == Implementation where
       reduce("+",reverse_! l)
 
 @
+<<IPADIC.dotabb>>=
+"IPADIC" [color="#88FF44",href="bookvol10.3.pdf#nameddest=IPADIC"]
+"IPADIC" -> "PADICCT"
+"IPADIC" -> "FLAGG"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain IPF InnerPrimeField}
 \pagehead{InnerPrimeField}{IPF}
@@ -35649,6 +36366,11 @@ InnerPrimeField(p:PositiveInteger): Exports == Implementation where
     charthRoot x == x
 
 @
+<<IPF.dotabb>>=
+"IPF" [color="#88FF44",href="bookvol10.3.pdf#nameddest=IPF"]
+"IPF" -> "TBAGG"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ISUPS InnerSparseUnivariatePowerSeries}
 \pagehead{InnerSparseUnivariatePowerSeries}{ISUPS}
@@ -36712,6 +37434,11 @@ InnerSparseUnivariatePowerSeries(Coef): Exports == Implementation where
       reduce("+",reverse_! l)
 
 @
+<<ISUPS.dotabb>>=
+"ISUPS" [color="#88FF44",href="bookvol10.3.pdf#nameddest=ISUPS"]
+"ISUPS" -> "ALIST"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain INTABL InnerTable}
 \pagehead{InnerTable}{INTABL}
@@ -36747,6 +37474,11 @@ InnerTable(Key: SetCategory, Entry: SetCategory, addDom):Exports == Implementati
     Implementation ==> addDom
 
 @
+<<INTABL.dotabb>>=
+"INTABL" [color="#88FF44",href="bookvol10.3.pdf#nameddest=INTABL"]
+"INTABL" -> "TBAGG"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ITAYLOR InnerTaylorSeries}
 \pagehead{InnerTaylorSeries}{ITAYLOR}
@@ -36889,6 +37621,11 @@ InnerTaylorSeries(Coef): Exports == Implementation where
     order x == iOrder2(stream x,0)
 
 @
+<<ITAYLOR.dotabb>>=
+"ITAYLOR" [color="#88FF44",href="bookvol10.3.pdf#nameddest=ITAYLOR"]
+"ITAYLOR" -> "ALGEBRA"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain INFORM InputForm}
 \pagehead{InputForm}{INFORM}
@@ -37081,6 +37818,11 @@ InputForm():
       conv [convert("/"::Symbol), s1, s2]$List(%)
 
 @
+<<INFORM.dotabb>>=
+"INFORM" [color="#88FF44",href="bookvol10.3.pdf#nameddest=INFORM"]
+"INFORM" -> "ALIST"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain INT Integer}
 The function {\bf one?} has been rewritten back to its original form.
@@ -37744,7 +38486,6 @@ o )help DecimalExpansion
 o )help IntegerNumberTheoryFunctions
 o )help RomanNumeral
 o )show Integer
-o $AXIOM/doc/src/algebra/integer.spad.dvi
 
 @
 \pagehead{Integer}{INT}
@@ -37932,6 +38673,13 @@ Integer: Join(IntegerNumberSystem, ConvertibleTo String, OpenMath) with
 --    gcdPolynomial(p,q) == modularGcd(p,q)$TT
 
 @
+<<INT.dotabb>>=
+"INT" [color="#88FF44",href="bookvol10.3.pdf#nameddest=INT",
+          shape=ellipse]
+"INT" -> "STRING"
+"INT" -> "PFECAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ZMOD IntegerMod}
 \pagehead{IntegerMod}{ZMOD}
@@ -38024,6 +38772,11 @@ IntegerMod(p:PositiveInteger):
        positiveRemainder(c1, p)
 
 @
+<<ZMOD.dotabb>>=
+"ZMOD" [color="#88FF44",href="bookvol10.3.pdf#nameddest=ZMOD"]
+"ZMOD" -> "BMODULE"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain INTFTBL IntegrationFunctionsTable}
 \pagehead{IntegrationFunctionsTable}{INTFTBL}
@@ -38126,6 +38879,11 @@ IntegrationFunctionsTable(): E == I where
       qelt(theFTable,k)$Rep
 
 @
+<<INTFTBL.dotabb>>=
+"INTFTBL" [color="#88FF44",href="bookvol10.3.pdf#nameddest=INTFTBL"]
+"INTFTBL" -> "TBAGG"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain IR IntegrationResult}
 \pagehead{IntegrationResult}{IR}
@@ -38302,6 +39060,11 @@ IntegrationResult(F:Field): Exports == Implementation where
       int((ne.integrand)::O * hconcat ["d"::Symbol::O, (ne.intvar)::O])
 
 @
+<<IR.dotabb>>=
+"IR" [color="#88FF44",href="bookvol10.3.pdf#nameddest=IR"]
+"IR" -> "ALIST"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain INTRVL Interval}
 \pagehead{Interval}{INTRVL}
@@ -38749,6 +39512,11 @@ Interval(R:Join(FloatingPointSystem,TranscendentalFunctionCategory)): IntervalCa
   _*_* (u:%,n:Fraction Integer):% == interval(inf(u)**n,sup(u)**n)
   
 @
+<<INTRVL.dotabb>>=
+"INTRVL" [color="#88FF44",href="bookvol10.3.pdf#nameddest=INTRVL"]
+"INTRVL" -> "INTCAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \chapter{Chapter J}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
@@ -39060,7 +39828,6 @@ See Also:
 o )help Expression
 o )help BasicOperator
 o )show Kernel
-o $AXIOM/doc/src/algebra/kl.spad.dvi
 
 @
 \pagehead{Kernel}{KERNEL}
@@ -39211,6 +39978,11 @@ Kernel(S:OrderedSet): Exports == Implementation where
         o [convert x for x in k.arg]$List(Pattern Float)
 
 @
+<<KERNEL.dotabb>>=
+"KERNEL" [color="#88FF44",href="bookvol10.3.pdf#nameddest=KERNEL"]
+"KERNEL" -> "ALIST"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain KAFILE KeyedAccessFile}
 <<KeyedAccessFile.input>>=
@@ -39337,7 +40109,6 @@ o )help File
 o )help TextFile
 o )help Library
 o )show KeyedAccessFile
-o $AXIOM/doc/src/algebra/files.spad.dvi
 
 @
 \pagehead{KeyedAccessFile}{KAFILE}
@@ -39476,6 +40247,11 @@ KeyedAccessFile(Entry): KAFcategory == KAFcapsule where
             f
 
 @
+<<KAFILE.dotabb>>=
+"KAFILE" [color="#88FF44",href="bookvol10.3.pdf#nameddest=KAFILE"]
+"KAFILE" -> "TBAGG"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \chapter{Chapter L}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
@@ -39641,6 +40417,11 @@ LaurentPolynomial(R, UP): Exports == Implementation where
                                      mkgpol(order c - order b, bc.coef2)]
 
 @
+<<LAUPOL.dotabb>>=
+"LAUPOL" [color="#88FF44",href="bookvol10.3.pdf#nameddest=LAUPOL"]
+"LAUPOL" -> "PFECAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain LIB Library}
 <<Library.input>>=
@@ -39704,7 +40485,6 @@ o )help File
 o )help TextFile
 o )help KeyedAccessFile
 o )show Library
-o $AXIOM/doc/src/algebra/files.spad.dvi
 
 @
 \pagehead{Library}{LIB}
@@ -39736,8 +40516,8 @@ Library(): TableAggregate(String, Any) with
              ++ unused space.
 
          elt : (%, Symbol) -> Any
-             ++ elt(lib,k) or lib.k  extracts the value corresponding to the key \spad{k}
-             ++ from the library \spad{lib}.
+             ++ elt(lib,k) or lib.k  extracts the value corresponding to 
+             ++ the key \spad{k} from the library \spad{lib}.
 
          setelt : (%, Symbol, Any) -> Any
              ++ \spad{lib.k := v} saves the value \spad{v} in the library
@@ -39753,6 +40533,11 @@ Library(): TableAggregate(String, Any) with
          setelt(f:%, v:Symbol, val:Any) == setelt(f, string v, val)
 
 @
+<<LIB.dotabb>>=
+"LIB" [color="#88FF44",href="bookvol10.3.pdf#nameddest=LIB"]
+"LIB" -> "ALIST"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain LEXP LieExponentials}
 <<LieExponentials.input>>=
@@ -39971,7 +40756,6 @@ Calculations
 
 See Also:
 o )show LieExponentials
-o $AXIOM/doc/src/algebra/xlpoly.spad.dvi
 
 @
 \pagehead{LieExponentials}{LEXP}
@@ -40111,6 +40895,12 @@ LieExponentials(VarSet, R, Order): XDPcat == XDPdef where
          lt pretend $
 
 @
+<<LEXP.dotabb>>=
+"LEXP" [color="#88FF44",href="bookvol10.3.pdf#nameddest=LEXP"]
+"LEXP" -> "FLAGG-"
+"LEXP" -> "FLAGG"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain LPOLY LiePolynomial}
 <<LiePolynomial.input>>=
@@ -40510,7 +41300,6 @@ See Also:
 o )help LyndonWord
 o )help XDistributedPolynomial
 o )show LiePolynomial
-o $AXIOM/doc/src/algebra/xlpoly.spad.dvi 
 
 @
 \pagehead{LiePolynomial}{LPOLY}
@@ -40709,6 +41498,11 @@ LiePolynomial(VarSet:OrderedSet, R:CommutativeRing) : Public == Private where
 --           mkNary("+" :: EX,le)
 
 @
+<<LPOLY.dotabb>>=
+"LPOLY" [color="#88FF44",href="bookvol10.3.pdf#nameddest=LPOLY"]
+"LPOLY" -> "FLALG"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain LSQM LieSquareMatrix}
 \pagehead{LieSquareMatrix}{LSQM}
@@ -40802,6 +41596,11 @@ LieSquareMatrix(n,R): Exports == Implementation where
 --    if R has commutative("*") and R has unitsKnown then unitsKnown
 
 @
+<<LSQM.dotabb>>=
+"LSQM" [color="#88FF44",href="bookvol10.3.pdf#nameddest=LSQM"]
+"LSQM" -> "FRNAALG"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain LODO LinearOrdinaryDifferentialOperator}
 <<LinearOrdinaryDifferentialOperator.input>>=
@@ -41289,7 +42088,6 @@ Evaluate this for several values of n.
 
 See Also:
 o )show LinearOrdinaryDifferentialOperator
-o $AXIOM/doc/src/algebra/lodo.spad.dvi
 
 @
 \pagehead{LinearOrdinaryDifferentialOperator}{LODO}
@@ -41327,6 +42125,11 @@ LinearOrdinaryDifferentialOperator(A:Ring, diff: A -> A):
             directSum(a, b)        == directSum(a, b, diff)
 
 @
+<<LODO.dotabb>>=
+"LODO" [color="#88FF44",href="bookvol10.3.pdf#nameddest=LODO"]
+"LODO" -> "ALIST"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain LODO1 LinearOrdinaryDifferentialOperator1}
 <<LinearOrdinaryDifferentialOperator1.input>>=
@@ -41718,7 +42521,6 @@ both sides.
 
 See Also:
 o )show LinearOrdinaryDifferentialOperator1
-o $AXIOM/doc/src/algebra/lodo.spad.dvi
 
 @
 \pagehead{LinearOrdinaryDifferentialOperator1}{LODO1}
@@ -41741,6 +42543,11 @@ LinearOrdinaryDifferentialOperator1(A:DifferentialRing) ==
   LinearOrdinaryDifferentialOperator(A, differentiate$A)
 
 @
+<<LODO1.dotabb>>=
+"LODO1" [color="#88FF44",href="bookvol10.3.pdf#nameddest=LODO1"]
+"LODO1" -> "LODOCAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain LODO2 LinearOrdinaryDifferentialOperator2}
 <<LinearOrdinaryDifferentialOperator2.input>>=
@@ -42261,7 +43068,6 @@ These operators can be applied to vector values.
 
 See Also:
 o )show LinearOrdinaryDifferentialOperator2
-o $AXIOM/doc/src/algebra/lodo.spad.dvi
 
 @
 \pagehead{LinearOrdinaryDifferentialOperator2}{LODO2}
@@ -42294,6 +43100,11 @@ LinearOrdinaryDifferentialOperator2(A, M): Exports == Implementation where
         apply(p, differentiate, m)$ApplyUnivariateSkewPolynomial(A, M, %)
 
 @
+<<LODO2.dotabb>>=
+"LODO2" [color="#88FF44",href="bookvol10.3.pdf#nameddest=LODO2"]
+"LODO2" -> "LODOCAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain LIST List}
 <<List.input>>=
@@ -42852,7 +43663,6 @@ a list.
 See Also:
 o )help Stream
 o )show List
-o $AXIOM/doc/src/algebra/list.spad.dvi
 
 @
 \pagehead{List}{LIST}
@@ -42995,6 +43805,12 @@ List(S:Type): Exports == Implementation where
                 [convert a for a in (x pretend List S)]$List(InputForm))
 
 @
+<<LIST.dotabb>>=
+"LIST" [color="#88FF44",href="bookvol10.3.pdf#nameddest=LIST",
+          shape=ellipse]
+"LIST" -> "ALIST"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain LMOPS ListMonoidOps}
 \pagehead{ListMonoidOps}{LMOPS}
@@ -43159,6 +43975,12 @@ ListMonoidOps(S, E, un): Exports == Implementation where
       g
 
 @
+<<LMOPS.dotabb>>=
+"LMOPS" [color="#88FF44",href="bookvol10.3.pdf#nameddest=LMOPS"]
+"LMOPS" -> "FLAGG"
+"LMOPS" -> "FLAGG-"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain LMDICT ListMultiDictionary}
 \pagehead{ListMultiDictionary}{LMDICT}
@@ -43308,6 +44130,11 @@ ListMultiDictionary(S:SetCategory): MultiDictionary(S) with
          s
 
 @
+<<LMDICT.dotabb>>=
+"LMDICT" [color="#88FF44",href="bookvol10.3.pdf#nameddest=LMDICT"]
+"LMDICT" -> "ALIST"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain LA LocalAlgebra}
 \pagehead{LocalAlgebra}{LA}
@@ -43346,6 +44173,11 @@ LocalAlgebra(A: Algebra R,
         characteristic() == characteristic()$A
 
 @
+<<LA.dotabb>>=
+"LA" [color="#88FF44",href="bookvol10.3.pdf#nameddest=LA"]
+"LA" -> "OAGROUP"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain LO Localize}
 \pagehead{Localize}{LO}
@@ -43420,6 +44252,11 @@ Localize(M:Module R,
         concat("{ ", concat(nl, concat(" \over ", concat(dl, " }")$String)$String)$String)$String
 
 @
+<<LO.dotabb>>=
+"LO" [color="#88FF44",href="bookvol10.3.pdf#nameddest=LO"]
+"LO" -> "STRING"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain LWORD LyndonWord}
 <<LyndonWord.input>>=
@@ -43758,7 +44595,6 @@ Checks and coercions
 
 See Also:
 o )show LyndonWord
-o $AXIOM/doc/src/algebra/xlpoly.spad.dvi
 
 @
 \pagehead{LyndonWord}{LWORD}
@@ -43924,6 +44760,11 @@ LyndonWord(VarSet:OrderedSet):Public == Private where
            "append"/ [v.i for i in 1..n] 
 
 @
+<<LWORD.dotabb>>=
+"LWORD" [color="#88FF44",href="bookvol10.3.pdf#nameddest=LWORD"]
+"LWORD" -> "A1AGG"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \chapter{Chapter M}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
@@ -43980,6 +44821,11 @@ MachineComplex():Exports == Implementation where
       complex(real(u)::Float,imag(u)::Float)
 
 @
+<<MCMPLX.dotabb>>=
+"MCMPLX" [color="#88FF44",href="bookvol10.3.pdf#nameddest=MCMPLX"]
+"MCMPLX" -> "COMPCAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain MFLOAT MachineFloat}
 \pagehead{MachineFloat}{MFLOAT}
@@ -44289,6 +45135,11 @@ MachineFloat(): Exports == Implementation where
     characteristic():NNI == 0
 
 @
+<<MFLOAT.dotabb>>=
+"MFLOAT" [color="#88FF44",href="bookvol10.3.pdf#nameddest=MFLOAT"]
+"MFLOAT" -> "STRING"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain MINT MachineInteger}
 \pagehead{MachineInteger}{MINT}
@@ -44349,6 +45200,11 @@ MachineInteger(): Exports == Implementation where
     retractIfCan(u:$):Union(Integer,"failed") == u pretend Integer
 
 @
+<<MINT.dotabb>>=
+"MINT" [color="#88FF44",href="bookvol10.3.pdf#nameddest=MINT"]
+"MINT" -> "STRING"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain MAGMA Magma}
 <<Magma.input>>=
@@ -44646,7 +45502,6 @@ Check ordering
 
 See Also:
 o )show Magma
-o $AXIOM/doc/src/algebra/xlpoly.spad.dvi
 
 @
 \pagehead{Magma}{MAGMA}
@@ -44793,6 +45648,12 @@ Magma(VarSet:OrderedSet):Public == Private where
          lx < ly 
 
 @
+<<MAGMA.dotabb>>=
+"MAGMA" [color="#88FF44",href="bookvol10.3.pdf#nameddest=MAGMA"]
+"MAGMA" -> "FLAGG"
+"MAGMA" -> "FLAGG-"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain MKCHSET MakeCachableSet}
 \pagehead{MakeCachableSet}{MKCHSET}
@@ -44836,6 +45697,11 @@ MakeCachableSet(S:SetCategory): Exports == Implementation where
       position(x) = position(y)
 
 @
+<<MKCHSET.dotabb>>=
+"MKCHSET" [color="#88FF44",href="bookvol10.3.pdf#nameddest=MKCHSET"]
+"MKCHSET" -> "CACHSET"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain MATRIX Matrix}
 <<Matrix.input>>=
@@ -45747,7 +46613,6 @@ o )help TwoDimensionalArray
 o )help Vector
 o )help Permanent
 o )show Matrix
-o $AXIOM/doc/src/algebra/matrix.spad.dvi
 
 @
 \pagehead{Matrix}{MATRIX}
@@ -45931,6 +46796,11 @@ Matrix(R): Exports == Implementation where
                   convert listOfLists x]$List(InputForm)
 
 @
+<<MATRIX.dotabb>>=
+"MATRIX" [color="#88FF44",href="bookvol10.3.pdf#nameddest=MATRIX"]
+"MATRIX" -> "ALIST"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain MODMON ModMonic}
 \pagehead{ModMonic}{MODMON}
@@ -46104,6 +46974,11 @@ ModMonic(R,Rep): C == T
 --       ans
 
 @
+<<MODMON.dotabb>>=
+"MODMON" [color="#88FF44",href="bookvol10.3.pdf#nameddest=MODMON"]
+"MODMON" -> "PFECAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain MODFIELD ModularField}
 \pagehead{ModularField}{MODFIELD}
@@ -46137,6 +47012,11 @@ ModularField(R,Mod,reduction:(R,Mod) -> R,
   T == ModularRing(R,Mod,reduction,merge,exactQuo)
 
 @
+<<MODFIELD.dotabb>>=
+"MODFIELD" [color="#88FF44",href="bookvol10.3.pdf#nameddest=MODFIELD"]
+"MODFIELD" -> "FIELD"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain MODRING ModularRing}
 \pagehead{ModularRing}{MODRING}
@@ -46235,6 +47115,11 @@ ModularRing(R,Mod,reduction:(R,Mod) -> R,
         else u::%
 
 @
+<<MODRING.dotabb>>=
+"MODRING" [color="#88FF44",href="bookvol10.3.pdf#nameddest=MODRING"]
+"MODRING" -> "BMODULE"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain MODMONOM ModuleMonomial}
 \pagehead{ModuleMonomial}{MODMONOM}
@@ -46272,6 +47157,11 @@ ModuleMonomial(IS: OrderedSet,
         construct(i:IS, e:E):$ == [i, e]$MM::Rep::$
 
 @
+<<MODMONOM.dotabb>>=
+"MODMONOM" [color="#88FF44",href="bookvol10.3.pdf#nameddest=MODMONOM"]
+"MODMONOM" -> "ORDSET"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain MODOP ModuleOperator}
 \pagehead{ModuleOperator}{MODOP}
@@ -46505,6 +47395,12 @@ ModuleOperator(R: Ring, M:LeftModule(R)): Exports == Implementation where
       if R has conjugate:R -> R then conjug r == conjugate r else conjug r == r
 
 @
+<<MODOP.dotabb>>=
+"MODOP" [color="#88FF44",href="bookvol10.3.pdf#nameddest=MODOP"]
+"MODOP" -> "FLAGG"
+"MODOP" -> "FLAGG-"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain MOEBIUS MoebiusTransform}
 \pagehead{MoebiusTransform}{MOEBIUS}
@@ -46608,6 +47504,12 @@ MoebiusTransform(F): Exports == Implementation where
       proportional?(list1,list2)
 
 @
+<<MOEBIUS.dotabb>>=
+"MOEBIUS" [color="#88FF44",href="bookvol10.3.pdf#nameddest=MOEBIUS"]
+"MOEBIUS" -> "FIELD"
+"MOEBIUS" -> "FLAGG-"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain MRING MonoidRing}
 \pagehead{MonoidRing}{MRING}
@@ -46929,6 +47831,12 @@ MonoidRing(R: Ring, M: Monoid): MRcategory == MRdefinition where
               [[Tabl.m, m]$Term for m in keys Tabl]
 
 @
+<<MRING.dotabb>>=
+"MRING" [color="#88FF44",href="bookvol10.3.pdf#nameddest=MRING"]
+"MRING" -> "FLAGG"
+"MRING" -> "FLAGG-"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain MSET Multiset}
 <<Multiset.input>>=
@@ -47143,7 +48051,6 @@ Check some inclusion relations.
 
 See Also:
 o )show Multiset
-o $AXIOM/doc/src/algebra/mset.spad.dvi
 
 @
 \pagehead{Multiset}{MSET}
@@ -47432,6 +48339,11 @@ Multiset(S: SetCategory): MultisetAggregate S with
             true
 
 @
+<<MSET.dotabb>>=
+"MSET" [color="#88FF44",href="bookvol10.3.pdf#nameddest=MSET"]
+"MSET" -> "ALIST"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain MPOLY MultivariatePolynomial}
 <<MultivariatePolynomial.input>>=
@@ -47630,7 +48542,6 @@ o )help DistributedMultivariatePolynomial
 o )help UnivariatePolynomial
 o )help Polynomial
 o )show MultivariatePolynomial
-o $AXIOM/doc/src/algebra/multpoly.spad.dvi
 
 @
 \pagehead{MultivariatePolynomial}{MPOLY}
@@ -47663,6 +48574,11 @@ MultivariatePolynomial(vl:List Symbol, R:Ring)
            R, OrderedVariableList vl)
 
 @
+<<MPOLY.dotabb>>=
+"MPOLY" [color="#88FF44",href="bookvol10.3.pdf#nameddest=MPOLY"]
+"MPOLY" -> "PFECAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain MYEXPR MyExpression}
 \pagehead{MyExpression}{MYEXPR}
@@ -47720,6 +48636,11 @@ MyExpression(q: Symbol, R): Exports == Implementation where
        quot::(Expression R)
 
 @
+<<MYEXPR.dotabb>>=
+"MYEXPR" [color="#88FF44",href="bookvol10.3.pdf#nameddest=MYEXPR"]
+"MYEXPR" -> "MYUP"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain MYUP MyUnivariatePolynomial}
 \pagehead{MyUnivariatePolynomial}{MYUP}
@@ -47757,6 +48678,11 @@ MyUnivariatePolynomial(x:Symbol, R:Ring):
                     R, %)
 
 @
+<<MYUP.dotabb>>=
+"MYUP" [color="#88FF44",href="bookvol10.3.pdf#nameddest=MYUP"]
+"MYUP" -> "MYEXPR"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \chapter{Chapter N}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
@@ -48169,6 +49095,11 @@ NewSparseMultivariatePolynomial(R,VarSet) : Exports == Implementation where
          p
 
 @
+<<NSMP.dotabb>>=
+"NSMP" [color="#88FF44",href="bookvol10.3.pdf#nameddest=NSMP"]
+"NSMP" -> "RPOLCAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain NSUP NewSparseUnivariatePolynomial}
 Based on the {\bf PseudoRemainderSequence} package, the domain
@@ -48433,6 +49364,11 @@ NewSparseUnivariatePolynomial(R): Exports == Implementation where
                 (co ** pow) * (per reverse qq)
 
 @
+<<NSUP.dotabb>>=
+"NSUP" [color="#88FF44",href="bookvol10.3.pdf#nameddest=NSUP"]
+"NSUP" -> "PFECAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain NONE None}
 <<None.input>>=
@@ -48498,13 +49434,8 @@ such as List NonNegativeInteger, do it this way.
 
 See Also:
 o )show None
-o $AXIOM/doc/src/algebra/any.spad.dvi
 
 @
-<<dot>>=
-"NONE" -> "SETCAT"
-"None()" -> "SetCategory()"
-@
 \pagehead{None}{NONE}
 \pagepic{ps/v103none.ps}{NONE}{1.00}
 See also:\\
@@ -48530,6 +49461,12 @@ None():SetCategory == add
     x:% = y:% == EQ(x,y)$Lisp
 
 @
+<<NONE.dotabb>>=
+"NONE" [color="#88FF44",href="bookvol10.3.pdf#nameddest=NONE"]
+"NONE" -> "BASTYPE"
+"NONE" -> "KOERCE"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain NNI NonNegativeInteger}
 \pagehead{NonNegativeInteger}{NNI}
@@ -48580,6 +49517,11 @@ NonNegativeInteger: Join(OrderedAbelianMonoidSup,Monoid) with
         c pretend %
 
 @
+<<NNI.dotabb>>=
+"NNI" [color="#88FF44",href="bookvol10.3.pdf#nameddest=NNI",shape=ellipse]
+"NNI" -> "OAMONS"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain NIPROB NumericalIntegrationProblem}
 \pagehead{NumericalIntegrationProblem}{NIPROB}
@@ -48647,6 +49589,12 @@ NumericalIntegrationProblem():SetCategory with
         [x.mdnia]
 
 @
+<<NIPROB.dotabb>>=
+"NIPROB" [color="#88FF44",href="bookvol10.3.pdf#nameddest=NIPROB"]
+"NIPROB" -> "BASTYPE"
+"NIPROB" -> "KOERCE"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ODEPROB NumericalODEProblem}
 \pagehead{NumericalODEProblem}{ODEPROB}
@@ -48698,6 +49646,12 @@ NumericalODEProblem():SetCategory with
       retract(x:%):ODEAB == x :: Rep
 
 @
+<<ODEPROB.dotabb>>=
+"ODEPROB" [color="#88FF44",href="bookvol10.3.pdf#nameddest=ODEPROB"]
+"ODEPROB" -> "BASTYPE"
+"ODEPROB" -> "KOERCE"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain OPTPROB NumericalOptimizationProblem}
 \pagehead{NumericalOptimizationProblem}{OPTPROB}
@@ -48767,6 +49721,12 @@ NumericalOptimizationProblem():SetCategory with
         [x.lsa]
 
 @
+<<OPTPROB.dotabb>>=
+"OPTPROB" [color="#88FF44",href="bookvol10.3.pdf#nameddest=OPTPROB"]
+"OPTPROB" -> "BASTYPE"
+"OPTPROB" -> "KOERCE"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain PDEPROB NumericalPDEProblem}
 \pagehead{NumericalPDEProblem}{PDEPROB}
@@ -48830,6 +49790,12 @@ NumericalPDEProblem():SetCategory with
       retract(x:%):PDEBC == x :: Rep
 
 @
+<<PDEPROB.dotabb>>=
+"PDEPROB" [color="#88FF44",href="bookvol10.3.pdf#nameddest=PDEPROB"]
+"PDEPROB" -> "BASTYPE"
+"PDEPROB" -> "KOERCE"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \chapter{Chapter O}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
@@ -49111,7 +50077,6 @@ Since the result is 0, the norm is multiplicative.
 See Also:
 o )help Quaternion
 o )show Octonion
-o $AXIOM/doc/src/algebra/oct.spad.dvi
 
 @
 \pagehead{Octonion}{OCT}
@@ -49181,6 +50146,12 @@ Octonion(R:CommutativeRing): export == impl where
     x * y == [x.e*y.e-(conjugate y.E)*x.E, y.E*x.e + x.E*(conjugate y.e)]
 
 @
+<<OCT.dotabb>>=
+"OCT" [color="#88FF44",href="bookvol10.3.pdf#nameddest=OCT"]
+"OCT" -> "OC"
+"OCT" -> "QUATCAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ODEIFTBL ODEIntensityFunctionsTable}
 \pagehead{ODEIntensityFunctionsTable}{ODEIFTBL}
@@ -49263,6 +50234,11 @@ ODEIntensityFunctionsTable(): E == I where
       search(k,theIFTable)$Rep
 
 @
+<<ODEIFTBL.dotabb>>=
+"ODEIFTBL" [color="#88FF44",href="bookvol10.3.pdf#nameddest=ODEIFTBL"]
+"ODEIFTBL" -> "Domain"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ARRAY1 OneDimensionalArray}
 <<OneDimensionalArray.input>>=
@@ -49418,13 +50394,8 @@ See Also:
 o )help Vector
 o )help FlexibleArray
 o )show OneDimensionalArray
-o $AXIOM/doc/src/algebra/array1.spad.dvi
 
 @
-<<dot>>=
-"ARRAY1" -> "A1AGG"
-"OneDimensionalArray(a:Type)" -> "OneDimensionalArrayAggregate(a:Type)"
-@
 \pagehead{OneDimensionalArray}{ARRAY1}
 \pagepic{ps/v103onedimensionalarray.ps}{ARRAY1}{1.00}
 See also:\\
@@ -49460,14 +50431,13 @@ OneDimensionalArray(S:Type): Exports == Implementation where
     oneDimensionalArray(n,s) == new(n,s)
 
 @
+<<ARRAY1.dotabb>>=
+"ARRAY1" [color="#88FF44",href="bookvol10.3.pdf#nameddest=ARRAY1"]
+"ARRAY1" -> "A1AGG"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ONECOMP OnePointCompletion}
-<<dot>>=
-"ONECOMP" -> "SETCAT"
-"OnePointCompletion(a:SetCategory)" -> "SetCategory()"
-"ONECOMP" -> "FRETRCT"
-"OnePointCompletion(a:SetCategory)" -> "FullyRetractableTo(a:SetCategory)"
-@
 \pagehead{OnePointCompletion}{ONECOMP}
 \pagepic{ps/v103onepointcompletion.ps}{ONECOMP}{1.00}
 See also:\\
@@ -49575,6 +50545,11 @@ OnePointCompletion(R:SetCategory): Exports == Implementation where
         rational(r::R)
 
 @
+<<ONECOMP.dotabb>>=
+"ONECOMP" [color="#88FF44",href="bookvol10.3.pdf#nameddest=ONECOMP"]
+"ONECOMP" -> "FRETRCT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain OMCONN OpenMathConnection}
 \pagehead{OpenMathConnection}{OMCONN}
@@ -49619,6 +50594,11 @@ OpenMathConnection(): with
     OM_-BINDTCP(conn, port)$Lisp
 
 @
+<<OMCONN.dotabb>>=
+"OMCONN" [color="#88FF44",href="bookvol10.3.pdf#nameddest=OMCONN"]
+"OMCONN" -> "Domain"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain OMDEV OpenMathDevice}
 \pagehead{OpenMathDevice}{OMDEV}
@@ -49792,6 +50772,11 @@ OpenMathDevice(): with
   OMgetType(dev: %): Symbol == OM_-GETTYPE(dev)$Lisp
 
 @
+<<OMDEV.dotabb>>=
+"OMDEV" [color="#88FF44",href="bookvol10.3.pdf#nameddest=OMDEV"]
+"OMDEV" -> "Domain"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain OMENC OpenMathEncoding}
 \pagehead{OpenMathEncoding}{OMENC}
@@ -49843,6 +50828,12 @@ OpenMathEncoding(): SetCategory with
   OMencodingSGML(): % == 3::Rep
 
 @
+<<OMENC.dotabb>>=
+"OMENC" [color="#88FF44",href="bookvol10.3.pdf#nameddest=OMENC"]
+"OMENC" -> "BASTYPE"
+"OMENC" -> "KOERCE"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain OMERR OpenMathError}
 \pagehead{OpenMathError}{OMERR}
@@ -49894,6 +50885,11 @@ OpenMathError() : SetCategory with
   errorInfo(e:%):List Symbol == e.info
 
 @
+<<OMERR.dotabb>>=
+"OMERR" [color="#88FF44",href="bookvol10.3.pdf#nameddest=OMERR"]
+"OMERR" -> "ALIST"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain OMERRK OpenMathErrorKind}
 \pagehead{OpenMathErrorKind}{OMERRK}
@@ -49949,6 +50945,11 @@ OpenMathErrorKind() : SetCategory with
   coerce(e:%):OutputForm == coerce(e)$Rep
 
 @
+<<OMERRK.dotabb>>=
+"OMERRK" [color="#88FF44",href="bookvol10.3.pdf#nameddest=OMERRK"]
+"OMERRK" -> "ALIST"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain OP Operator}
 <<Operator.input>>=
@@ -50334,7 +51335,6 @@ Here is the evaluation.
 
 See Also:
 o )show Operator
-o $AXIOM/doc/src/algebra/opalg.spad.dvi
 
 @
 \pagehead{Operator}{OP}
@@ -50351,6 +51351,11 @@ See also:\\
 Operator(R: Ring) == ModuleOperator(R,R)
 
 @
+<<OP.dotabb>>=
+"OP" [color="#88FF44",href="bookvol10.3.pdf#nameddest=OP"]
+"OP" -> "ALGEBRA"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain OMLO OppositeMonogenicLinearOperator}
 \pagehead{OppositeMonogenicLinearOperator}{OMLO}
@@ -50396,14 +51401,13 @@ OppositeMonogenicLinearOperator(P, R): OPRcat == OPRdef where
         coerce(x): OutputForm == prefix(op::OutputForm, [coerce(x:P)$P])
 
 @
+<<OMLO.dotabb>>=
+"OMLO" [color="#88FF44",href="bookvol10.3.pdf#nameddest=OMLO"]
+"OMLO" -> "MLO"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ORDCOMP OrderedCompletion}
-<<dot>>=
-"ORDCOMP" -> "SETCAT"
-"OrderedCompletion(a:SetCategory)" -> "SetCategory()"
-"ORDCOMP" -> "FRETRCT"
-"OrderedCompletion(a:SetCategory)" -> "FullyRetractableTo(a:SetCategory)"
-@
 \pagehead{OrderedCompletion}{ORDCOMP}
 \pagepic{ps/v103orderedcompletion.ps}{ORDCOMP}{1.00}
 See also:\\
@@ -50537,6 +51541,11 @@ OrderedCompletion(R:SetCategory): Exports == Implementation where
         rational(r::R)
 
 @
+<<ORDCOMP.dotabb>>=
+"ORDCOMP" [color="#88FF44",href="bookvol10.3.pdf#nameddest=ORDCOMP"]
+"ORDCOMP" -> "FRETRCT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ODP OrderedDirectProduct}
 \pagehead{OrderedDirectProduct}{ODP}
@@ -50576,6 +51585,11 @@ OrderedDirectProduct(dim:NonNegativeInteger,
         x:% < y:% == f(x::Rep,y::Rep)
 
 @
+<<ODP.dotabb>>=
+"ODP" [color="#88FF44",href="bookvol10.3.pdf#nameddest=ODP"]
+"ODP" -> "DIRPCAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain OFMONOID OrderedFreeMonoid}
 \pagehead{OrderedFreeMonoid}{OFMONOID}
@@ -50732,6 +51746,12 @@ OrderedFreeMonoid(S: OrderedSet): OFMcategory == OFMdefinition where
         mirror x == reverse(x)$Rep
 
 @
+<<OFMONOID.dotabb>>=
+"OFMONOID" [color="#88FF44",href="bookvol10.3.pdf#nameddest=OFMONOID"]
+"OFMONOID" -> "FLAGG"
+"OFMONOID" -> "FLAGG-"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain OVAR OrderedVariableList}
 <<OrderedVariableList.input>>=
@@ -50826,7 +51846,6 @@ Check that the ordering is right
 
 See Also:
 o )show OrderedVariableList
-o $AXIOM/doc/src/algebra/variable.spad.dvi
 
 @
 \pagehead{OrderedVariableList}{OVAR}
@@ -50861,6 +51880,11 @@ OrderedVariableList(VariableList:List Symbol):
        latex(x:%):String      == latex(convert(x)@Symbol)
 
 @
+<<OVAR.dotabb>>=
+"OVAR" [color="#88FF44",href="bookvol10.3.pdf#nameddest=OVAR"]
+"OVAR" -> "ALIST"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ODPOL OrderlyDifferentialPolynomial}
 See also:\\
@@ -51517,7 +52541,6 @@ obtain the (pseudo) remainder of f modulo g and its derivatives.
 
 See Also:
 o )show OrderlyDifferentialPolynomial
-o $AXIOM/doc/src/algebra/dpolcat.spad.dvi
 
 @
 \pagehead{OrderlyDifferentialPolynomial}{ODPOL}
@@ -51556,6 +52579,11 @@ OrderlyDifferentialPolynomial(R):
   Implementation ==> DifferentialSparseMultivariatePolynomial(R,S,V)
 
 @
+<<ODPOL.dotabb>>=
+"ODPOL" [color="#88FF44",href="bookvol10.3.pdf#nameddest=ODPOL"]
+"ODPOL" -> "DPOLCAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ODVAR OrderlyDifferentialVariable}
 \pagehead{OrderlyDifferentialVariable}{ODVAR}
@@ -51598,6 +52626,12 @@ OrderlyDifferentialVariable(S:OrderedSet):DifferentialVariableCategory(S)
     order v        == v.ord
 
 @
+<<ODVAR.dotabb>>=
+"ODVAR" [color="#88FF44",href="bookvol10.3.pdf#nameddest=ODVAR"]
+"ODVAR" -> "ORDSET"
+"ODVAR" -> "RETRACT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ODR OrdinaryDifferentialRing}
 \pagehead{OrdinaryDifferentialRing}{ODR}
@@ -51645,6 +52679,11 @@ OrdinaryDifferentialRing(Kernels,R,var): DRcategory == DRcapsule where
             inv(p)    == (inv(p::R)$R)::$
 
 @
+<<ODR.dotabb>>=
+"ODR" [color="#88FF44",href="bookvol10.3.pdf#nameddest=ODR"]
+"ODR" -> "FIELD"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain OWP OrdinaryWeightedPolynomials}
 \pagehead{OrdinaryWeightedPolynomials}{OWP}
@@ -51688,6 +52727,11 @@ OrdinaryWeightedPolynomials(R:Ring,
                             vl,wl,wtlevel)
 
 @
+<<OWP.dotabb>>=
+"OWP" [color="#88FF44",href="bookvol10.3.pdf#nameddest=OWP"]
+"OWP" -> "FIELD"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain OSI OrdSetInts}
 \pagehead{OrdSetInts}{OSI}
@@ -51729,6 +52773,11 @@ OrdSetInts: Export == Implement where
        sub(e::Symbol::O, coerce(x)$Rep)$O
 
 @
+<<OSI.dotabb>>=
+"OSI" [color="#88FF44",href="bookvol10.3.pdf#nameddest=OSI"]
+"OSI" -> "ALIST"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain OUTFORM OutputForm}
 \pagehead{OutputForm}{OUTFORM}
@@ -52186,6 +53235,12 @@ OutputForm(): SetCategory with
         int(a,b,c) == [eform INTSIGN,b, c, a]
 
 @
+<<OUTFORM.dotabb>>=
+"OUTFORM" [color="#88FF44",href="bookvol10.3.pdf#nameddest=OUTFORM",
+          shape=ellipse]
+"OUTFORM" -> "FLAGG"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \chapter{Chapter P}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
@@ -52217,6 +53272,11 @@ See also:\\
 PAdicInteger(p:Integer) == InnerPAdicInteger(p,true$Boolean)
 
 @
+<<PADIC.dotabb>>=
+"PADIC" [color="#88FF44",href="bookvol10.3.pdf#nameddest=PADIC"]
+"PADIC" -> "PADICCT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain PADICRAT PAdicRational}
 \pagehead{PAdicRational}{PADICRAT}
@@ -52246,6 +53306,11 @@ See also:\\
 PAdicRational(p:Integer) == PAdicRationalConstructor(p,PAdicInteger p)
 
 @
+<<PADICRAT.dotabb>>=
+"PADICRAT" [color="#88FF44",href="bookvol10.3.pdf#nameddest=PADICRAT"]
+"PADICRAT" -> "PFECAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain PADICRC PAdicRationalConstructor}
 \pagehead{PAdicRationalConstructor}{PADICRC}
@@ -52438,12 +53503,13 @@ PAdicRationalConstructor(p,PADIC): Exports == Implementation where
       reduce("+",reverse_! l)
 
 @
+<<PADICRC.dotabb>>=
+"PADICRC" [color="#88FF44",href="bookvol10.3.pdf#nameddest=PADICRC"]
+"PADICRC" -> "PFECAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain PALETTE Palette}
-<<dot>>=
-"PALETTE" -> "SETCAT"
-"Palette()" -> "SetCategory()"
-@
 \pagehead{Palette}{PALETTE}
 \pagepic{ps/v103palette.ps}{PALETTE}{1.00}
 See also:\\
@@ -52502,6 +53568,12 @@ Palette(): Exports == Implementation where
                SHADE.(p.shadeField)," palette"]
 
 @
+<<PALETTE.dotabb>>=
+"PALETTE" [color="#88FF44",href="bookvol10.3.pdf#nameddest=PALETTE"]
+"PALETTE" -> "BASTYPE"
+"PALETTE" -> "KOERCE"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain PARPCURV ParametricPlaneCurve}
 \pagehead{ParametricPlaneCurve}{PARPCURV}
@@ -52547,6 +53619,11 @@ ParametricPlaneCurve(ComponentFunction): Exports == Implementation where
       error "coordinate: index out of bounds"
 
 @
+<<PARPCURV.dotabb>>=
+"PARPCURV" [color="#88FF44",href="bookvol10.3.pdf#nameddest=PARPCURV"]
+"PARPCURV" -> "TYPE"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain PARSCURV ParametricSpaceCurve}
 \pagehead{ParametricSpaceCurve}{PARSCURV}
@@ -52595,6 +53672,11 @@ ParametricSpaceCurve(ComponentFunction): Exports == Implementation where
       error "coordinate: index out of bounds"
 
 @
+<<PARSCURV.dotabb>>=
+"PARSCURV" [color="#88FF44",href="bookvol10.3.pdf#nameddest=PARSCURV"]
+"PARSCURV" -> "TYPE"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain PARSURF ParametricSurface}
 \pagehead{ParametricSurface}{PARSURF}
@@ -52643,6 +53725,11 @@ ParametricSurface(ComponentFunction): Exports == Implementation where
       error "coordinate: index out of bounds"
 
 @
+<<PARSURF.dotabb>>=
+"PARSURF" [color="#88FF44",href="bookvol10.3.pdf#nameddest=PARSURF"]
+"PARSURF" -> "TYPE"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain PFR PartialFraction}
 <<PartialFraction.input>>=
@@ -52915,7 +54002,6 @@ o )help Factored
 o )help Complex
 o )help FullPartialFractionExpansionXmpPage
 o )show PartialFraction
-o $AXIOM/doc/src/algebra/pfr.spad.dvi
 
 @
 \pagehead{PartialFraction}{PFR}
@@ -53248,6 +54334,13 @@ PartialFraction(R: EuclideanDomain): Cat == Capsule where
       reduce("+", reverse l)
 
 @
+<<PFR.dotabb>>=
+"PFR" [color="#88FF44",href="bookvol10.3.pdf#nameddest=PFR"]
+"PFR" -> "FIELD"
+"PFR" -> "FLAGG-"
+"PFR" -> "FLAGG"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain PRTITION Partition}
 \pagehead{Partition}{PRTITION}
@@ -53381,14 +54474,14 @@ Partition: Exports == Implementation where
                  for a in powers(x pretend Rep)]
 
 @
+<<PRTITION.dotabb>>=
+"PRTITION" [color="#88FF44",href="bookvol10.3.pdf#nameddest=PRTITION"]
+"PRTITION" -> "FLAGG-"
+"PRTITION" -> "FLAGG"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain PATTERN Pattern}
-<<dot>>=
-"RETRACT" -> "CATEGORY"
-"RetractableTo(a:Type)" -> "Category"
-"RetractableTo(SetCategory)" -> "RetractableTo(a:Type)"
-"RetractableTo(Symbol)" -> "RetractableTo(a:Type)"
-@
 \pagehead{Pattern}{PATTERN}
 \pagepic{ps/v103pattern.ps}{PATTERN}{1.00}
 <<domain PATTERN Pattern>>=
@@ -53766,13 +54859,13 @@ Pattern(R:SetCategory): Exports == Implementation where
       mkPat(zero?(rsy.tag), [rsy], 0)
 
 @
+<<PATTERN.dotabb>>=
+"PATTERN" [color="#88FF44",href="bookvol10.3.pdf#nameddest=PATTERN"]
+"PATTERN" -> "ALIST"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain PATLRES PatternMatchListResult}
-<<dot>>=
-"PATLRES" -> "SETCAT"
-"PatternMatchListResult(a:SETCAT,b:SETCAT,c:LSAGG(SETCAT))"
-  -> "SetCategory()"
-@
 \pagehead{PatternMatchListResult}{PATLRES}
 \pagepic{ps/v103patternmatchlistresult.ps}{PATLRES}{1.00}
 See also:\\
@@ -53824,12 +54917,13 @@ PatternMatchListResult(R:SetCategory, S:SetCategory, L:ListAggregate S):
     RecordPrint(r, Rep)$Lisp
 
 @
+<<PATLRES.dotabb>>=
+"PATLRES" [color="#88FF44",href="bookvol10.3.pdf#nameddest=PATLRES"]
+"PATLRES" -> "FLAGG"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain PATRES PatternMatchResult}
-<<dot>>=
-"PATRES" -> "SETCAT"
-"PatternMatchResult(a:SetCategory, b:SetCategory)" -> "SetCategory()"
-@
 \pagehead{PatternMatchResult}{PATRES}
 \pagepic{ps/v103patternmatchresult.ps}{PATRES}{1.00}
 See also:\\
@@ -53936,6 +55030,11 @@ PatternMatchResult(R:SetCategory, S:SetCategory): SetCategory with
     search(retract(p)@Symbol, l::LR)
 
 @
+<<PATRES.dotabb>>=
+"PATRES" [color="#88FF44",href="bookvol10.3.pdf#nameddest=PATRES"]
+"PATRES" -> "TBAGG"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain PENDTREE PendantTree}
 A PendantTree(S)is either a leaf? and is an S or has
@@ -53992,6 +55091,11 @@ PendantTree(S: SetCategory): T == C where
        paren blankSeparate [left b::OutputForm,right b ::OutputForm]
 
 @
+<<PENDTREE.dotabb>>=
+"PENDTREE" [color="#88FF44",href="bookvol10.3.pdf#nameddest=PENDTREE"]
+"PENDTREE" -> "FLAGG-"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain PERM Permutation}
 \pagehead{Permutation}{PERM}
@@ -54226,7 +55330,6 @@ Permutation Examples
 
 See Also:
 o )show Permutation
-o $AXIOM/doc/src/algebra/perm.spad.dvi
 
 @
 <<domain PERM Permutation>>=
@@ -54530,6 +55633,11 @@ Up to [[patch--50]] we did not check for duplicates.
         pt +$PT conjugate(partition([#fixedPoints(p)])$PT)$PT
 
 @
+<<PERM.dotabb>>=
+"PERM" [color="#88FF44",href="bookvol10.3.pdf#nameddest=PERM"]
+"PERM" -> "FSAGG"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain PERMGRP PermutationGroup}
 \pagehead{PermutationGroup}{PERMGRP}
@@ -55292,6 +56400,11 @@ PermutationGroup(S:SetCategory): public == private where
     initializeGroupForWordProblem ( gp ) == initializeGroupForWordProblem ( gp , 0 , 1 )
 
 @
+<<PERMGRP.dotabb>>=
+"PERMGRP" [color="#88FF44",href="bookvol10.3.pdf#nameddest=PERMGRP"]
+"PERMGRP" -> "FSAGG"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain HACKPI Pi}
 \pagehead{Pi}{HACKPI}
@@ -55362,6 +56475,11 @@ Pi(): Exports == Implementation where
         Integer, Float) (pi()$Float)
 
 @
+<<HACKPI.dotabb>>=
+"HACKPI" [color="#88FF44",href="bookvol10.3.pdf#nameddest=HACKPI"]
+"HACKPI" -> "ALIST"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ACPLOT PlaneAlgebraicCurvePlot}
 <<PlaneAlgebraicCurvePlot.input>>=
@@ -55392,13 +56510,8 @@ PlaneAlgebraicCurvePlot examples
 
 See Also:
 o )show PlaneAlgebraicCurvePlot
-o $AXIOM/doc/src/algebra/acplot.spad.dvi 
 
 @
-<<dot>>=
-"ACPLOT" -> "PPCURVE"
-"PlaneAlgebraicCurvePlot()" -> "PlottablePlaneCurveCategory()"
-@
 \pagehead{PlaneAlgebraicCurvePlot}{ACPLOT}
 \pagepic{ps/v103planealgebraiccurveplot.ps}{ACPLOT}{1.00}
 <<domain ACPLOT PlaneAlgebraicCurvePlot>>=
@@ -56614,6 +57727,11 @@ PlaneAlgebraicCurvePlot(): PlottablePlaneCurveCategory _
     vconcat(message "ACPLOT",ff)
 
 @
+<<ACPLOT.dotabb>>=
+"ACPLOT" [color="#88FF44",href="bookvol10.3.pdf#nameddest=ACPLOT"]
+"ACPLOT" -> "ALIST" 
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain PLOT Plot}
 <<Plot.input>>=
@@ -56708,7 +57826,6 @@ and then feed it to the plot function with a Segment DoubleFloat
 
 See Also:
 o )show Plot
-o $AXIOM/doc/src/algebra/plot.spad.dvi
 
 @
 \pagehead{Plot}{PLOT}
@@ -57276,6 +58393,11 @@ Plot(): Exports == Implementation where
       prefix("PLOT" :: OUT, reverse_! f)
 
 @
+<<PLOT.dotabb>>=
+"PLOT" [color="#88FF44",href="bookvol10.3.pdf#nameddest=PLOT"]
+"PLOT" -> "FRAC"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain PLOT3D Plot3D}
 \pagehead{Plot3D}{PLOT3D}
@@ -57766,6 +58888,11 @@ Plot3D(): Exports == Implementation where
       outList
 
 @
+<<PLOT3D.dotabb>>=
+"PLOT3D" [color="#88FF44",href="bookvol10.3.pdf#nameddest=PLOT3D"]
+"PLOT3D" -> "TRANFUN"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain PBWLB PoincareBirkhoffWittLyndonBasis}
 \pagehead{PoincareBirkhoffWittLyndonBasis}{PBWLB}
@@ -57880,6 +59007,11 @@ PoincareBirkhoffWittLyndonBasis(VarSet: OrderedSet): Public == Private where
        lx < ly
 
 @
+<<PBWLB.dotabb>>=
+"PBWLB" [color="#88FF44",href="bookvol10.3.pdf#nameddest=PBWLB"]
+"PBWLB" -> "FLAGG"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain POINT Point}
 \pagehead{Point}{POINT}
@@ -57916,6 +59048,11 @@ Point(R:Ring) : Exports == Implementation where
     extend(p,l) == concat(p,point l)
 
 @
+<<POINT.dotabb>>=
+"POINT" [color="#88FF44",href="bookvol10.3.pdf#nameddest=POINT"]
+"POINT" -> "PTCAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain POLY Polynomial}
 <<Polynomial.input>>=
@@ -58707,7 +59844,6 @@ o )help MultivariatePolynomial
 o )help DistributedMultivariatePolynomial
 o )help NewDistributedMultivariatePolynomial
 o )show Polynomial
-o $AXIOM/doc/src/algebra/multpoly.spad.dvi
 
 @
 \pagehead{Polynomial}{POLY}
@@ -58756,6 +59892,11 @@ Polynomial(R:Ring):
       integrate(p, x) == (integrate univariate(p, x)) (x::%)
 
 @
+<<POLY.dotabb>>=
+"POLY" [color="#88FF44",href="bookvol10.3.pdf#nameddest=POLY"]
+"POLY" -> "ALIST"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain IDEAL PolynomialIdeals}
 \pagehead{PolynomialIdeals}{IDEAL}
@@ -59179,6 +60320,11 @@ PolynomialIdeals(F,Expon,VarSet,DPoly) : C == T
      zero?(I:Ideal) : Boolean == empty? (groebner I).idl
 
 @
+<<IDEAL.dotabb>>=
+"IDEAL" [color="#88FF44",href="bookvol10.3.pdf#nameddest=IDEAL"]
+"IDEAL" -> "ALIST"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain PR PolynomialRing}
 \pagehead{PolynomialRing}{PR}
@@ -59493,6 +60639,11 @@ PolynomialRing(R:Ring,E:OrderedAbelianMonoid): T == C
           x/r == inv(r)*x
 
 @
+<<PR.dotabb>>=
+"PR" [color="#88FF44",href="bookvol10.3.pdf#nameddest=PR"]
+"PR" -> "FAMR"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain PI PositiveInteger}
 \pagehead{PositiveInteger}{PI}
@@ -59522,6 +60673,12 @@ PositiveInteger: Join(AbelianSemiGroup,OrderedSet,Monoid) with
      y:%
 
 @
+<<PI.dotabb>>=
+"PI" [color="#88FF44",href="bookvol10.3.pdf#nameddest=PI",shape=ellipse]
+"PI" -> "ORDSET"
+"PI" -> "SGROUP"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain PF PrimeField}
 \pagehead{PrimeField}{PF}
@@ -59555,12 +60712,13 @@ PrimeField(p:PositiveInteger): Exp == Impl where
       error "Argument to prime field must be a prime"
 
 @
+<<PF.dotabb>>=
+"PF" [color="#88FF44",href="bookvol10.3.pdf#nameddest=PF"]
+"PF" -> "FAXF"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain PRIMARR PrimitiveArray}
-<<dot>>=
-"PRIMARR" -> "A1AGG"
-"PrimitiveArray(a:Type)" -> "OneDimensionalArrayAggregate(a:Type)"
-@
 \pagehead{PrimitiveArray}{PRIMARR}
 \pagepic{ps/v103primitivearray.ps}{PRIMARR}{1.00}
 See also:\\
@@ -59593,6 +60751,12 @@ PrimitiveArray(S:Type): OneDimensionalArrayAggregate S == add
    fill_!(x, s)       == (for i in 0..Qmax x repeat Qsetelt(x, i, s); x)
 
 @
+<<PRIMARR.dotabb>>=
+"PRIMARR" [color="#88FF44",href="bookvol10.3.pdf#nameddest=PRIMARR",
+          shape=ellipse]
+"PRIMARR" -> "A1AGG"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain PRODUCT Product}
 \pagehead{Product}{PRODUCT}
@@ -59693,14 +60857,15 @@ Product (A:SetCategory,B:SetCategory) : C == T
 --      formList([x.acomp::Expression,x.bcomp::Expression])$PrintableForm
 
 @
+<<PRODUCT.dotabb>>=
+"PRODUCT" [color="#88FF44",href="bookvol10.3.pdf#nameddest=PRODUCT"]
+"PRODUCT" -> "OAMONS"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \chapter{Chapter Q}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain QFORM QuadraticForm}
-<<dot>>=
-"QFORM" -> "ABELGRP"
-"QuadraticForm(a:PositiveInteger,b:Field)" -> "AbelianGroup()"
-@
 \pagehead{QuadraticForm}{QFORM}
 \pagepic{ps/v103quadraticform.ps}{QFORM}{1.00}
 See also:\\
@@ -59747,6 +60912,11 @@ QuadraticForm(n, K): T == Impl where
         elt(q,v) == dot(v, (matrix q * v))
 
 @
+<<QFORM.dotabb>>=
+"QFORM" [color="#88FF44",href="bookvol10.3.pdf#nameddest=QFORM"]
+"QFORM" -> "FIELD"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain QALGSET QuasiAlgebraicSet}
 \pagehead{QuasiAlgebraicSet}{QALGSET}
@@ -59937,6 +61107,11 @@ QuasiAlgebraicSet(R, Var,Expon,Dpoly) : C == T
        or/[(brace$(Set Dpoly) q) <$(Set Dpoly) (brace$(Set Dpoly) p) for q in qlist]
 
 @
+<<QALGSET.dotabb>>=
+"QALGSET" [color="#88FF44",href="bookvol10.3.pdf#nameddest=QALGSET"]
+"QALGSET" -> "PFECAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain QUAT Quaternion}
 <<Quaternion.input>>=
@@ -60175,7 +61350,6 @@ o )help Octonion
 o )help Complex
 o )help CliffordAlgebra
 o )show Quaternion
-o $AXIOM/doc/src/algebra/quat.spad.dvi
 
 @
 \pagehead{Quaternion}{QUAT}
@@ -60220,12 +61394,13 @@ Quaternion(R:CommutativeRing): QuaternionCategory(R) == add
                    x.r*y.k+x.k*y.r+x.i*y.j-x.j*y.i]
 
 @
+<<QUAT.dotabb>>=
+"QUAT" [color="#88FF44",href="bookvol10.3.pdf#nameddest=QUAT"]
+"QUAT" -> "QUATCAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain QEQUAT QueryEquation}
-<<dot>>=
-"QEQUAT" -> "KOERCE"
-"QueryEquation()" -> "CoercibleTo(OutputForm)"
-@
 \pagehead{QueryEquation}{QEQUAT}
 \pagepic{ps/v103queryequation.ps}{QEQUAT}{1.00}
 See also:\\
@@ -60251,12 +61426,13 @@ QueryEquation(): Exports == Implementation where
     value q == q.val
 
 @
+<<QEQUAT.dotabb>>=
+"QEQUAT" [color="#88FF44",href="bookvol10.3.pdf#nameddest=QEQUAT"]
+"QEQUAT" -> "ALIST"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain QUEUE Queue}
-<<dot>>=
-"QUEUE" -> "QUAGG"
-"Queue(a:SetCategory)" -> "QueueAggregate(a:SetCategory)"
-@
 \pagehead{Queue}{QUEUE}
 \pagepic{ps/v103queue.ps}{QUEUE}{1.00}
 See also:\\
@@ -60310,19 +61486,16 @@ Queue(S:SetCategory): QueueAggregate S with
     queue q == ref copy q
 
 @
+<<QUEUE.dotabb>>=
+"QUEUE" [color="#88FF44",href="bookvol10.3.pdf#nameddest=QUEUE"]
+"QUEUE" -> "FLAGG"
+"QUEUE" -> "FLAGG-"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \chapter{Chapter R}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain RADFF RadicalFunctionField}
-<<dot>>=
-"RADFF" -> "FFCAT"
-"RadicalFunctionField(a:UFD,b:UPOLYC(a),c:UPOLYC(FRAC(b)),d:FRAC(b))"
-   -> "FunctionFieldCategory(a:UFD,b:UPOLYC(a),c:UPOLYC(FRAC(b)))"
-"RADFF" -> "SAE"
-"RadicalFunctionField(a:UFD,b:UPOLYC(a),c:UPOLYC(FRAC(b)),d:FRAC(b))"
-   -> 
-"SimpleAlgebraicExtension(a:FRAC(UPOLYC(UFD)),b:UPOLYC(FRAC(UPOLYC(UFD))))"
-@
 \pagehead{RadicalFunctionField}{RADFF}
 \pagepic{ps/v103radicalfunctionfield.ps}{RADFF}{1.00}
 See also:\\
@@ -60527,6 +61700,11 @@ RadicalFunctionField(F, UP, UPUP, radicnd, n): Exports == Impl where
         zero?(((radcand() exquo (monomial(1,1)$UP-point::UP))::UP) point)
 
 @
+<<RADFF.dotabb>>=
+"RADFF" [color="#88FF44",href="bookvol10.3.pdf#nameddest=RADFF"]
+"RADFF" -> "FFCAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain RADIX RadixExpansion}
 <<RadixExpansion.input>>=
@@ -60806,7 +61984,6 @@ o )help DecimalExpansion
 o )help BinaryExpansion
 o )help HexadecimalExpansion
 o )show RadixExpansion
-o $AXIOM/doc/src/algebra/radix.spad.dvi
 
 @
 \pagehead{RadixExpansion}{RADIX}
@@ -61059,6 +62236,12 @@ RadixExpansion(bb): Exports == Implementation where
       [reverse_! ritspfx, reverse_! ritscyc]
 
 @
+<<RADIX.dotabb>>=
+"RADIX" [color="#88FF44",href="bookvol10.3.pdf#nameddest=RADIX"]
+"RADIX" -> "PFECAT"
+"RADIX" -> "STRING"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain RECLOS RealClosure}
 The domain constructore {\bf RealClosure} by Renaud Rioboo (University
@@ -62284,7 +63467,6 @@ o )help UnivariatePolynomialCategory
 o )help Field
 o )help RealPolynomialUtilitiesPackage
 o )show RealClosure
-o $AXIOM/doc/src/algebra/reclos.spad.dvi
 
 @
 \pagehead{RealClosure}{RECLOS}
@@ -62603,6 +63785,11 @@ RealClosure(TheField): PUB == PRIV where
        coerce(rn:TheField):$ == rn :: $
 
 @
+<<RECLOS.dotabb>>=
+"RECLOS" [color="#88FF44",href="bookvol10.3.pdf#nameddest=RECLOS"]
+"RECLOS" -> "ALIST"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain RMATRIX RectangularMatrix}
 \pagehead{RectangularMatrix}{RMATRIX}
@@ -62700,12 +63887,13 @@ RectangularMatrix(m,n,R): Exports == Implementation where
                   convert(x::Matrix(R))]$List(InputForm)
 
 @
+<<RMATRIX.dotabb>>=
+"RMATRIX" [color="#88FF44",href="bookvol10.3.pdf#nameddest=RMATRIX"]
+"RMATRIX" -> "ALIST"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain REF Reference}
-<<dot>>=
-"REF" -> "TYPE"
-"Reference(a:Type)" -> "Type()"
-@
 \pagehead{Reference}{REF}
 \pagepic{ps/v103reference.ps}{REF}{1.00}
 See also:\\
@@ -62754,6 +63942,13 @@ Reference(S:Type): Type with
             prefix(message("ref"@String), [p.value::OutputForm])
 
 @
+<<REF.dotabb>>=
+"REF" [color="#88FF44",href="bookvol10.3.pdf#nameddest=REF",shape=ellipse]
+"REF" -> "TYPE"
+"REF" -> "BASTYPE"
+"REF" -> "KOERCE"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain RGCHAIN RegularChain}
 \pagehead{RegularChain}{RGCHAIN}
@@ -62792,6 +63987,11 @@ RegularChain(R,ls): Exports == Implementation where
   Implementation == RegularTriangularSet(R,E,V,P) 
 
 @
+<<RGCHAIN.dotabb>>=
+"RGCHAIN" [color="#88FF44",href="bookvol10.3.pdf#nameddest=RGCHAIN"]
+"RGCHAIN" -> "RSETCAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain REGSET RegularTriangularSet}
 Several domain constructors implement regular triangular sets (or regular
@@ -64167,7 +65367,6 @@ o )help LexTriangularPackage
 o )help LazardSetSolvingPackage
 o )help SquareFreeRegularTriangularSet
 o )show RegularTriangularSet
-o $AXIOM/doc/src/algebra/regset.spad.dvi
 
 @
 \pagehead{RegularTriangularSet}{REGSET}
@@ -64560,6 +65759,11 @@ RegularTriangularSet(R,E,V,P) : Exports == Implementation where
        return [lp2,lts]
 
 @
+<<REGSET.dotabb>>=
+"REGSET" [color="#88FF44",href="bookvol10.3.pdf#nameddest=REGSET"]
+"REGSET" -> "RSETCAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain RESRING ResidueRing}
 \pagehead{ResidueRing}{RESRING}
@@ -64618,6 +65822,11 @@ ResidueRing(F,Expon,VarSet,FPol,LFPol) : Dom  == Body
       coerce(x) : OutputForm == coerce(x)$Rep
 
 @
+<<RESRING.dotabb>>=
+"RESRING" [color="#88FF44",href="bookvol10.3.pdf#nameddest=RESRING"]
+"RESRING" -> "PFECAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain RESULT Result}
 \pagehead{Result}{RESULT}
@@ -64698,16 +65907,10 @@ Result():Exports==Implementation where
     showScalarValues(b:Boolean):Boolean == showScalarValuesFlag := b
 
 @
-<<RESULT.dotpic>>=
-digraph pic {
- fontsize=10;
- bgcolor="#FFFF66";
- node [shape=box, color=white, style=filled];
-
-"Result"
- [color=lightblue,href="bookvol10.3.pdf#nameddest=RESULT"];
+<<RESULT.dotabb>>=
+"RESULT" [color="#88FF44",href="bookvol10.3.pdf#nameddest=RESULT"]
+"RESULT" -> "ALIST"
 
-}
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain RULE RewriteRule}
@@ -64847,6 +66050,11 @@ RewriteRule(Base, R, F): Exports == Implementation where
             lhs(x)::OutputForm, rhs(x)::OutputForm)
 
 @
+<<RULE.dotabb>>=
+"RULE" [color="#88FF44",href="bookvol10.3.pdf#nameddest=RULE"]
+"RULE" -> "FS"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ROIRC RightOpenIntervalRootCharacterization}
 The domain RightOpenIntervalRootCharacterization is the main code that
@@ -65348,6 +66556,11 @@ RightOpenIntervalRootCharacterization(TheField,ThePolDom) : PUB == PRIV where
 --      lsg := sg
 --     res
 @
+<<ROIRC.dotabb>>=
+"ROIRC" [color="#88FF44",href="bookvol10.3.pdf#nameddest=ROIRC"]
+"ROIRC" -> "RRCC"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ROMAN RomanNumeral}
 <<RomanNumeral.input>>=
@@ -65629,7 +66842,6 @@ o )help BinaryExpansion
 o )help DecimalExpansion
 o )help IntegerNumberTheoryFunctions
 o )show RomanNumeral
-o $AXIOM/doc/src/algebra/integer.spad.dvi
 
 @
 \pagehead{RomanNumeral}{ROMAN}
@@ -65678,6 +66890,11 @@ RomanNumeral(): IntegerNumberSystem with
             FormatRoman(n::PositiveInteger)::Symbol::OutputForm
 
 @
+<<ROMAN.dotabb>>=
+"ROMAN" [color="#88FF44",href="bookvol10.3.pdf#nameddest=ROMAN"]
+"ROMAN" -> "ALIST"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ROUTINE RoutinesTable}
 \pagehead{RoutinesTable}{ROUTINE}
@@ -66061,6 +67278,11 @@ RoutinesTable(): E == I where
       empty()$LST
 
 @
+<<ROUTINE.dotabb>>=
+"ROUTINE" [color="#88FF44",href="bookvol10.3.pdf#nameddest=ROUTINE"]
+"ROUTINE" -> "ALIST"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain RULECOLD RuleCalled}
 \pagehead{RuleCalled}{RULECOLD}
@@ -66079,6 +67301,11 @@ RuleCalled(f:Symbol): SetCategory with
   latex(x:%):String      == latex f
 
 @
+<<RULECOLD.dotabb>>=
+"RULECOLD" [color="#88FF44",href="bookvol10.3.pdf#nameddest=RULECOLD"]
+"RULECOLD" -> "ALIST"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain RULESET Ruleset}
 \pagehead{Ruleset}{RULESET}
@@ -66124,6 +67351,11 @@ Ruleset(Base, R, F): Exports == Implementation where
     rules x                          == parts(x)$Rep
 
 @
+<<RULESET.dotabb>>=
+"RULESET" [color="#88FF44",href="bookvol10.3.pdf#nameddest=RULESET"]
+"RULESET" -> "FS"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \chapter{Chapter S}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
@@ -66558,6 +67790,11 @@ ScriptFormulaFormat(): public == private where
       formatFunction(op,args,prec)
 
 @
+<<FORMULA.dotabb>>=
+"FORMULA" [color="#88FF44",href="bookvol10.3.pdf#nameddest=FORMULA"]
+"FORMULA" -> "STRING"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain SEG Segment}
 <<Segment.input>>=
@@ -66727,7 +67964,6 @@ See Also:
 o )help UniversalSegment
 o )help SegmentBinding
 o )show Segment
-o $AXIOM/doc/src/algebra/seg.spad.dvi
 
 @
 \pagehead{Segment}{SEG}
@@ -66812,6 +68048,11 @@ Segment(S:Type): SegmentCategory(S) with
         reverse_! lr
 
 @
+<<SEG.dotabb>>=
+"SEG" [color="#88FF44",href="bookvol10.3.pdf#nameddest=SEG"]
+"SEG" -> "FLAGG"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain SEGBIND SegmentBinding}
 <<SegmentBinding.input>>=
@@ -66923,7 +68164,6 @@ See Also:
 o )help Segment
 o )help UniversalSegment
 o )show SegmentBinding
-o $AXIOM/doc/src/algebra/seg.spad.dvi
 
 @
 \pagehead{SegmentBinding}{SEGBIND}
@@ -66975,6 +68215,11 @@ SegmentBinding(S:Type): Type with
        variable(b)::OutputForm = segment(b)::OutputForm
 
 @
+<<SEGBIND.dotabb>>=
+"SEGBIND" [color="#88FF44",href="bookvol10.3.pdf#nameddest=SEGBIND"]
+"SEGBIND" -> "ALIST"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain SET Set}
 <<Set.input>>=
@@ -67282,7 +68527,6 @@ create new sets from old.
 See Also:
 o )help List
 o )show Set
-o $AXIOM/doc/src/algebra/sets.spad.dvi
 
 @
 \pagehead{Set}{SET}
@@ -67465,6 +68709,11 @@ Set(S:SetCategory): FiniteSetAggregate S == add
         s
 
 @
+<<SET.dotabb>>=
+"SET" [color="#88FF44",href="bookvol10.3.pdf#nameddest=SET"]
+"SET" -> "ALIST"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain SETMN SetOfMIntegersInOneToN}
 \pagehead{SetOfMIntegersInOneToN}{SETMN}
@@ -67615,6 +68864,11 @@ SetOfMIntegersInOneToN(m, n): Exports == Implementation where
       [newb, (i = p => s.pos; 0)]
 
 @
+<<SETMN.dotabb>>=
+"SETMN" [color="#88FF44",href="bookvol10.3.pdf#nameddest=SETMN"]
+"SETMN" -> "IVECTOR"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain SDPOL SequentialDifferentialPolynomial}
 \pagehead{SequentialDifferentialPolynomial}{SDPOL}
@@ -67657,6 +68911,11 @@ SequentialDifferentialPolynomial(R):
   Implementation ==> DifferentialSparseMultivariatePolynomial(R,S,V)
 
 @
+<<SDPOL.dotabb>>=
+"SDPOL" [color="#88FF44",href="bookvol10.3.pdf#nameddest=SDPOL"]
+"SDPOL" -> "DPOLCAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain SDVAR SequentialDifferentialVariable}
 \pagehead{SequentialDifferentialVariable}{SDVAR}
@@ -67702,6 +68961,12 @@ SequentialDifferentialVariable(S:OrderedSet):DifferentialVariableCategory(S)
       variable v < variable u
 
 @
+<<SDVAR.dotabb>>=
+"SDVAR" [color="#88FF44",href="bookvol10.3.pdf#nameddest=SDVAR"]
+"SDVAR" -> "ORDSET"
+"SDVAR" -> "RETRACT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain SEX SExpression}
 \pagehead{SExpression}{SEX}
@@ -67720,6 +68985,11 @@ SExpression()
        == SExpressionOf(String, Symbol, Integer, DoubleFloat, OutputForm)
 
 @
+<<SEX.dotabb>>=
+"SEX" [color="#88FF44",href="bookvol10.3.pdf#nameddest=SEX"]
+"SEX" -> "STRICAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain SEXOF SExpressionOf}
 \pagehead{SExpressionOf}{SEXOF}
@@ -67795,18 +69065,14 @@ SExpressionOf(Str, Sym, Int, Flt, Expr): Decl == Body where
           b
 
 @
+<<SEXOF.dotabb>>=
+"SEXOF" [color="#88FF44",href="bookvol10.3.pdf#nameddest=SEXOF"]
+"SEXOF" -> "FLAGG"
+"SEXOF" -> "FLAGG-"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain SAE SimpleAlgebraicExtension}
-<<dot>>=
-"SimpleAlgebraicExtension(a:FRAC(UPOLYC(UFD)),b:UPOLYC(FRAC(UPOLYC(UFD))))"
-    [color=white,style=filled];
-"SAE" -> "MONOGEN"
-"SimpleAlgebraicExtension(a:CommutativeRing,b:UnivariatePolynomialCategory(a))"
- -> "MonogenicAlgebra(a:CommutativeRing,b:UnivariatePolynomialCategory(a))"
-"SimpleAlgebraicExtension(a:FRAC(UPOLYC(UFD)),b:UPOLYC(FRAC(UPOLYC(UFD))))"
--> 
-"SimpleAlgebraicExtension(a:CommutativeRing,b:UnivariatePolynomialCategory(a))"
-@
 \pagehead{SimpleAlgebraicExtension}{SAE}
 \pagepic{ps/v103simplealgebraicextension.ps}{SAE}{1.00}
 <<domain SAE SimpleAlgebraicExtension>>=
@@ -67989,6 +69255,11 @@ SimpleAlgebraicExtension(R:CommutativeRing,
 --      ffe.f
 
 @
+<<SAE.dotabb>>=
+"SAE" [color="#88FF44",href="bookvol10.3.pdf#nameddest=SAE"]
+"SAE" -> "MONOGEN"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain SFORT SimpleFortranProgram}
 \pagehead{SimpleFortranProgram}{SFORT}
@@ -68064,6 +69335,11 @@ SimpleFortranProgram(R,FS): Exports == Implementation where
       void()$Void
 
 @
+<<SFORT.dotabb>>=
+"SFORT" [color="#88FF44",href="bookvol10.3.pdf#nameddest=SFORT"]
+"SFORT" -> "FS"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain SINT SingleInteger}
 The definition of {\bf one?} has been rewritten 
@@ -68252,17 +69528,8 @@ of those provided for Integer.
 See Also:
 o )help Integer
 o )show SingleInteger
-o $AXIOM/doc/src/algebra/si.spad.dvi
 
 @
-<<dot>>=
-"SINT" -> "INS"
-"SingleInteger()" -> "IntegerNumberSystem()"
-"SINT" -> "LOGIC"
-"SingleInteger()" -> "Logic()"
-"SINT" -> "OM"
-"SingleInteger()" -> "OpenMath()"
-@
 \pagehead{SingleInteger}{SINT}
 \pagepic{ps/v103singleinteger.ps}{SINT}{1.00}
 <<domain SINT SingleInteger>>=
@@ -68463,12 +69730,13 @@ SingleInteger(): Join(IntegerNumberSystem,Logic,OpenMath) with
 )bo $noSubsets := false
 
 @
+<<SINT.dotabb>>=
+"SINT" [color="#88FF44",href="bookvol10.3.pdf#nameddest=SINT",shape=ellipse]
+"SINT" -> "PID/OAGROUP"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain SAOS SingletonAsOrderedSet}
-<<dot>>=
-"SAOS" -> "ORDSET"
-"SingletonAsOrderedSet()" -> "OrderedSet()"
-@
 \pagehead{SingletonAsOrderedSet}{SAOS}
 \pagepic{ps/v103singletonasorderedset.ps}{SAOS}{1.00}
 <<domain SAOS SingletonAsOrderedSet>>=
@@ -68488,6 +69756,11 @@ SingletonAsOrderedSet(): OrderedSet with
    convert a == coerce("?")
 
 @
+<<SAOS.dotabb>>=
+"SAOS" [color="#88FF44",href="bookvol10.3.pdf#nameddest=SAOS"]
+"SAOS" -> "ALIST"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain SMP SparseMultivariatePolynomial}
 \pagehead{SparseMultivariatePolynomial}{SMP}
@@ -69070,6 +70343,11 @@ SparseMultivariatePolynomial(R: Ring,VarSet: OrderedSet): C == T where
 --           PSimp(p1.v, gcd(p1.ts, p2.ts))
 
 @
+<<SMP.dotabb>>=
+"SMP" [color="#88FF44",href="bookvol10.3.pdf#nameddest=SMP"]
+"SMP" -> "PFECAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain SMTS SparseMultivariateTaylorSeries}
 \pagehead{SparseMultivariateTaylorSeries}{SMTS}
@@ -69335,6 +70613,11 @@ SparseMultivariateTaylorSeries(Coef,Var,SMP):_
          p:% / r:Coef ==(map(#1/$SMP r,stream p)$SF2(SMP,SMP))pretend %
 
 @
+<<SMTS.dotabb>>=
+"SMTS" [color="#88FF44",href="bookvol10.3.pdf#nameddest=SMTS"]
+"SMTS" -> "PFECAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain STBL SparseTable}
 <<SparseTable.input>>=
@@ -69456,7 +70739,6 @@ See Also:
 o )help Table
 o )help GeneralSparseTable
 o )show SparseTable
-o $AXIOM/doc/src/algebra/table.spad.dvi
 
 @
 \pagehead{SparseTable}{STBL}
@@ -69488,6 +70770,11 @@ SparseTable(Key:SetCategory, Ent:SetCategory, dent:Ent) ==
         GeneralSparseTable(Key, Ent, Table(Key, Ent), dent)
 
 @
+<<STBL.dotabb>>=
+"STBL" [color="#88FF44",href="bookvol10.3.pdf#nameddest=STBL"]
+"STBL" -> "TBAGG"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain SULS SparseUnivariateLaurentSeries}
 \pagehead{SparseUnivariateLaurentSeries}{SULS}
@@ -69687,6 +70974,11 @@ SparseUnivariateLaurentSeries(Coef,var,cen): Exports == Implementation where
       seriesToOutputForm(st,getRef uls,variable uls,center uls,1)
 
 @
+<<SULS.dotabb>>=
+"SULS" [color="#88FF44",href="bookvol10.3.pdf#nameddest=SULS"]
+"SULS" -> "ULSCCAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain SUP SparseUnivariatePolynomial}
 \pagehead{SparseUnivariatePolynomial}{SUP}
@@ -70044,6 +71336,11 @@ SparseUnivariatePolynomial(R:Ring): UnivariatePolynomialCategory(R) with
      p / co == inv(co) * p
 
 @
+<<SUP.dotabb>>=
+"SUP" [color="#88FF44",href="bookvol10.3.pdf#nameddest=SUP"]
+"SUP" -> "PFECAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain SUPEXPR SparseUnivariatePolynomialExpressions}
 
@@ -70093,6 +71390,11 @@ SparseUnivariatePolynomialExpressions(R: Ring): Exports == Implementation where
                 output(hconcat("acos p for p= ", p::OutputForm))$OutputPackage
                 error "SUPTRAFUN: acos only defined for elements of the coefficient ring"
 @
+<<SUPEXPR.dotabb>>=
+"SUPEXPR" [color="#88FF44",href="bookvol10.3.pdf#nameddest=SUPEXPR"]
+"SUPEXPR" -> "PFECAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain SUPXS SparseUnivariatePuiseuxSeries}
 \pagehead{SparseUnivariatePuiseuxSeries}{SUPXS}
@@ -70184,6 +71486,11 @@ SparseUnivariatePuiseuxSeries(Coef,var,cen): Exports == Implementation where
       seriesToOutputForm(st,refer,variable x,center x,rationalPower x)
 
 @
+<<SUPXS.dotabb>>=
+"SUPXS" [color="#88FF44",href="bookvol10.3.pdf#nameddest=SUPXS"]
+"SUPXS" -> "ULSCCAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ORESUP SparseUnivariateSkewPolynomial}
 \pagehead{SparseUnivariateSkewPolynomial}{ORESUP}
@@ -70220,6 +71527,11 @@ SparseUnivariateSkewPolynomial(R:Ring, sigma:Automorphism R, delta: R -> R):
           rightDivide(a, b) == rightDivide(a, b, sigma)
 
 @
+<<ORESUP.dotabb>>=
+"ORESUP" [color="#88FF44",href="bookvol10.3.pdf#nameddest=ORESUP"]
+"ORESUP" -> "OREPCAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain SUTS SparseUnivariateTaylorSeries}
 \pagehead{SparseUnivariateTaylorSeries}{SUTS}
@@ -70608,6 +71920,11 @@ SparseUnivariateTaylorSeries(Coef,var,cen): Exports == Implementation where
       seriesToOutputForm(getStream x,getRef x,variable x,center x,1)
 
 @
+<<SUTS.dotabb>>=
+"SUTS" [color="#88FF44",href="bookvol10.3.pdf#nameddest=SUTS"]
+"SUTS" -> "UTSCAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain SHDP SplitHomogeneousDirectProduct}
 \pagehead{SplitHomogeneousDirectProduct}{SHDP}
@@ -70664,6 +71981,11 @@ SplitHomogeneousDirectProduct(dimtot,dim1,S) : T == C where
 	  lessThanRlex(v1,v2,dim1+1,dimtot)
 
 @
+<<SHDP.dotabb>>=
+"SHDP" [color="#88FF44",href="bookvol10.3.pdf#nameddest=SHDP"]
+"SHDP" -> "DIRPCAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain SPLNODE SplittingNode}
 \pagehead{SplittingNode}{SPLNODE}
@@ -70821,6 +72143,13 @@ SplittingNode(V,C) : Exports == Implementation where
         bracket commaSeparate l
 
 @
+<<SPLNODE.dotabb>>=
+"SPLNODE" [color="#88FF44",href="bookvol10.3.pdf#nameddest=SPLNODE"]
+"SPLNODE" -> "BASTYPE"
+"SPLNODE" -> "KOERCE"
+"SPLNODE" -> "TYPE"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain SPLTREE SplittingTree}
 \pagehead{SplittingTree}{SPLTREE}
@@ -71134,6 +72463,11 @@ SplittingTree(V,C) : Exports == Implementation where
        updateStatus!(a)
 
 @
+<<SPLTREE.dotabb>>=
+"SPLTREE" [color="#88FF44",href="bookvol10.3.pdf#nameddest=SPLTREE"]
+"SPLTREE" -> "STRING"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain SREGSET SquareFreeRegularTriangularSet}
 <<SquareFreeRegularTriangularSet.input>>=
@@ -71604,7 +72938,6 @@ o )help LexTriangularPackage
 o )help LazardSetSolvingPackage
 o )help RegularTriangularSet
 o )show SquareFreeRegularTriangularSet
-o $AXIOM/doc/src/algebra/sregset.spad.dvi
 
 @
 \pagehead{SquareFreeRegularTriangularSet}{SREGSET}
@@ -72006,6 +73339,11 @@ SquareFreeRegularTriangularSet(R,E,V,P) : Exports == Implementation where
        return [lp2,lts]
 
 @
+<<SREGSET.dotabb>>=
+"SREGSET" [color="#88FF44",href="bookvol10.3.pdf#nameddest=SREGSET"]
+"SREGSET" -> "SFRTCAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain SQMATRIX SquareMatrix}
 <<SquareMatrix.input>>=
@@ -72149,7 +73487,6 @@ This value can be converted to a square matrix with polynomial coefficients.
 See Also:
 o )help Matrix
 o )show SquareMatrix
-o $AXIOM/doc/src/algebra/matrix.spad.dvi
 
 @
 \pagehead{SquareMatrix}{SQMATRIX}
@@ -72296,12 +73633,13 @@ SquareMatrix(ndim,R): Exports == Implementation where
 
 
 @
+<<SQMATRIX.dotabb>>=
+"SQMATRIX" [color="#88FF44",href="bookvol10.3.pdf#nameddest=SQMATRIX"]
+"SQMATRIX" -> "ALIST"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain STACK Stack}
-<<dot>>=
-"STACK" -> "SKAGG"
-"Stack(a:SetCategory)" -> "StackAggregate(a:SetCategory)"
-@
 \pagehead{Stack}{STACK}
 \pagepic{ps/v103stack.ps}{STACK}{1.00}
 See also:\\
@@ -72357,6 +73695,11 @@ Stack(S:SetCategory): StackAggregate S with
     stack s == ref copy s
 
 @
+<<STACK.dotabb>>=
+"STACK" [color="#88FF44",href="bookvol10.3.pdf#nameddest=STACK"]
+"STACK" -> "FLAGG"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain STREAM Stream}
 <<Stream.input>>=
@@ -72538,7 +73881,6 @@ o )help StreamFunctions1
 o )help StreamFunctions2
 o )help StreamFunctions3
 o )show Stream
-o $AXIOM/doc/src/algebra/stream.spad.dvi
 
 @
 \pagehead{Stream}{STREAM}
@@ -73191,6 +74533,11 @@ Stream(S): Exports == Implementation where
 --      mapp(f,x,y,a)
 
 @
+<<STREAM.dotabb>>=
+"STREAM" [color="#88FF44",href="bookvol10.3.pdf#nameddest=STREAM"]
+"STREAM" -> "LZSTAGG"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain STRING String}
 <<String.input>>=
@@ -73694,7 +75041,6 @@ See Also:
 o )help Character
 o )help CharacterClass
 o )show String
-o $AXIOM/doc/src/algebra/string.spad.dvi
 
 @
 \pagehead{String}{STRING}
@@ -73749,6 +75095,11 @@ String(): StringCategory == IndexedString(MINSTRINGINDEX) add
         OMputEndObject(dev)
 
 @
+<<STRING.dotabb>>=
+"STRING" [color="#88FF44",href="bookvol10.3.pdf#nameddest=STRING"]
+"STRING" -> "STRICAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain STRTBL StringTable}
 <<StringTable.input>>=
@@ -73820,7 +75171,6 @@ for s in split("My name is Ian Watt.",char " ")
 See Also:
 o )help Table
 o )show StringTable
-o $AXIOM/doc/src/algebra/table.spad.dvi
 
 @
 \pagehead{StringTable}{STRTBL}
@@ -73851,6 +75201,11 @@ StringTable(Entry: SetCategory) ==
     HashTable(String, Entry, "CVEC")
 
 @
+<<STRTBL.dotabb>>=
+"STRTBL" [color="#88FF44",href="bookvol10.3.pdf#nameddest=STRTBL"]
+"STRTBL" -> "TBAGG"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain SUBSPACE SubSpace}
 The first argument n is the dimension of the subSpace
@@ -74324,6 +75679,11 @@ SubSpace(n:PI,R:Ring) : Exports == Implementation where
               (s=1 => " component"::O;" components"::O)])
 
 @
+<<SUBSPACE.dotabb>>=
+"SUBSPACE" [color="#88FF44",href="bookvol10.3.pdf#nameddest=SUBSPACE"]
+"SUBSPACE" -> "STRING"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain COMPPROP SubSpaceComponentProperty}
 \pagehead{SubSpaceComponentProperty}{COMPPROP}
@@ -74377,6 +75737,12 @@ SubSpaceComponentProperty() : Exports == Implementation where
               (solid? p => ""::O; "not "::O),"solid"::O ])
 
 @
+<<COMPPROP.dotabb>>=
+"COMPPROP" [color="#88FF44",href="bookvol10.3.pdf#nameddest=COMPPROP"]
+"COMPPROP" -> "BASTYPE"
+"COMPPROP" -> "KOERCE"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain SUCH SuchThat}
 \pagehead{SuchThat}{SUCH}
@@ -74405,6 +75771,12 @@ SuchThat(S1, S2): Cat == Capsule where
         coerce(w):E == infix("|"::E, w.obj::E, w.cond::E)
 
 @
+<<SUCH.dotabb>>=
+"SUCH" [color="#88FF44",href="bookvol10.3.pdf#nameddest=SUCH"]
+"SUCH" -> "BASTYPE"
+"SUCH" -> "KOERCE"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain SWITCH Switch}
 \pagehead{Switch}{SWITCH}
@@ -74506,6 +75878,11 @@ Switch():public == private where
       [operator("EQ"::Symbol),[r1,r2]$List(EXPR)]$Rep
 
 @
+<<SWITCH.dotabb>>=
+"SWITCH" [color="#88FF44",href="bookvol10.3.pdf#nameddest=SWITCH"]
+"SWITCH" -> "ALIST"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain SYMBOL Symbol}
 <<Symbol.input>>=
@@ -74886,7 +76263,6 @@ If trailing lists of scripts are omitted, they are assumed to be empty.
 
 See Also:
 o )show Symbol
-o $AXIOM/doc/src/algebra/symbol.spad.dvi
 
 @
 \pagehead{Symbol}{SYMBOL}
@@ -75200,6 +76576,12 @@ Symbol(): Exports == Implementation where
     sample() == "aSymbol"::%
 
 @
+<<SYMBOL.dotabb>>=
+"SYMBOL" [color="#88FF44",href="bookvol10.3.pdf#nameddest=SYMBOL",
+          shape=ellipse]
+"SYMBOL" -> "STRICAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain SYMTAB SymbolTable}
 \pagehead{SymbolTable}{SYMTAB}
@@ -75389,6 +76771,11 @@ SymbolTable() : exports == implementation where
       void()$Void
 
 @
+<<SYMTAB.dotabb>>=
+"SYMTAB" [color="#88FF44",href="bookvol10.3.pdf#nameddest=SYMTAB"]
+"SYMTAB" -> "ALIST"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain SYMPOLY SymmetricPolynomial}
 \pagehead{SymmetricPolynomial}{SYMPOLY}
@@ -75429,6 +76816,11 @@ SymmetricPolynomial(R:Ring) == PolynomialRing(R,Partition) add
                   -- reduces both time and space [Abbott/Bradford/Davenport]
 
 @
+<<SYMPOLY.dotabb>>=
+"SYMPOLY" [color="#88FF44",href="bookvol10.3.pdf#nameddest=SYMPOLY"]
+"SYMPOLY" -> "FAMR"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \chapter{Chapter T}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
@@ -75731,7 +77123,6 @@ o )help SparseTable
 o )help GeneralSparseTable
 o )help KeyedAccessFile
 o )show Table
-o $AXIOM/doc/src/algebra/table.spad.dvi
 
 @
 \pagehead{Table}{TABLE}
@@ -75771,6 +77162,11 @@ Table(Key: SetCategory, Entry: SetCategory):Exports == Implementation where
           else AssociationList(Key, Entry))
 
 @
+<<TABLE.dotabb>>=
+"TABLE" [color="#88FF44",href="bookvol10.3.pdf#nameddest=TABLE"]
+"TABLE" -> "TBAGG"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain TABLEAU Tableau}
 \pagehead{Tableau}{TABLEAU}
@@ -75827,6 +77223,11 @@ Tableau(S:SetCategory):Exports == Implementation where
     coerce(x:%):OUT == maketab listOfLists x
 
 @
+<<TABLEAU.dotabb>>=
+"TABLEAU" [color="#88FF44",href="bookvol10.3.pdf#nameddest=TABLEAU"]
+"TABLEAU" -> "FLAGG"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain TS TaylorSeries}
 \pagehead{TaylorSeries}{TS}
@@ -75884,6 +77285,12 @@ TaylorSeries(Coef): Exports == Implementation where
       sum
 
 @
+<<TS.dotabb>>=
+"TS" [color="#88FF44",href="bookvol10.3.pdf#nameddest=TS"]
+"TS" -> "PSCAT"
+"TS" -> "TRANFUN"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain TEX TexFormat}
 \subsection{product(product(i*j,i=a..b),j=c..d) fix}
@@ -76512,6 +77919,11 @@ TexFormat(): public == private where
       formatFunction(op,args,prec)
 
 @
+<<TEX.dotabb>>=
+"TEX" [color="#88FF44",href="bookvol10.3.pdf#nameddest=TEX"]
+"TEX" -> "STRING"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain TEXTFILE TextFile}
 <<TextFile.input>>=
@@ -76678,7 +78090,6 @@ o )help File
 o )help KeyedAccessFile
 o )help Library
 o )show TextFile
-o $AXIOM/doc/src/algebra/files.spad.dvi
 
 @
 \pagehead{TextFile}{TEXTFILE}
@@ -76775,6 +78186,11 @@ TextFile: Cat == Def where
           false
 
 @
+<<TEXTFILE.dotabb>>=
+"TEXTFILE" [color="#88FF44",href="bookvol10.3.pdf#nameddest=TEXTFILE"]
+"TEXTFILE" -> "STRING"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain SYMS TheSymbolTable}
 \pagehead{TheSymbolTable}{SYMS}
@@ -76985,6 +78401,11 @@ TheSymbolTable() : Exports == Implementation where
       printTypes(elt(elt(theSymbolTable,u)$Rep,symtab)$Entry)$SymbolTable
 
 @
+<<SYMS.dotabb>>=
+"SYMS" [color="#88FF44",href="bookvol10.3.pdf#nameddest=SYMS"]
+"SYMS" -> "ALIST"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain M3D ThreeDimensionalMatrix}
 \pagehead{ThreeDimensionalMatrix}{M3D}
@@ -77245,6 +78666,11 @@ ThreeDimensionalMatrix(R) : Exports == Implementation where
       resultMatrix
 
 @
+<<M3D.dotabb>>=
+"M3D" [color="#88FF44",href="bookvol10.3.pdf#nameddest=M3D"]
+"M3D" -> "ALIST"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain VIEW3D ThreeDimensionalViewport}
 \pagehead{ThreeDimensionalViewport}{VIEW3D}
@@ -78196,6 +79622,11 @@ ThreeDimensionalViewport(): Exports == Implementation where
 --          getI(VIEW)$Lisp          -- acknowledge
 
 @
+<<VIEW3D.dotabb>>=
+"VIEW3D" [color="#88FF44",href="bookvol10.3.pdf#nameddest=VIEW3D"]
+"VIEW3D" -> "FSAGG"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain SPACE3 ThreeSpace}
 \pagehead{ThreeSpace}{SPACE3}
@@ -78548,6 +79979,11 @@ ThreeSpace(R:Ring):Exports == Implementation where
                (sizo=1=>" component"::O;" components"::O)])
 
 @
+<<SPACE3.dotabb>>=
+"SPACE3" [color="#88FF44",href="bookvol10.3.pdf#nameddest=SPACE3"]
+"SPACE3" -> "FSAGG"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain TREE Tree}
 \pagehead{Tree}{TREE}
@@ -78893,6 +80329,11 @@ Tree(S: SetCategory): T==C where
       eqUnion(rest u, newV)
 
 @
+<<TREE.dotabb>>=
+"TREE" [color="#88FF44",href="bookvol10.3.pdf#nameddest=TREE"]
+"TREE" -> "STRING"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain TUBE TubePlot}
 \pagehead{TubePlot}{TUBE}
@@ -78951,12 +80392,14 @@ TubePlot(Curve): Exports == Implementation where
     tube(curve,ll,b) == [curve,ll,b]
 
 @
+<<TUBE.dotabb>>=
+"TUBE" [color="#88FF44",href="bookvol10.3.pdf#nameddest=TUBE"]
+"TUBE" -> "FIELD"
+"TUBE" -> "RADCAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain TUPLE Tuple}
-<<dot>>=
-"TUPLE" -> "PRIMARR"
-"Tuple(a:Type)" -> "PrimitiveArray(a:Type)"
-@
 \pagehead{Tuple}{TUPLE}
 \pagepic{ps/v103tuple.ps}{TUPLE}{1.00}
 See also:\\
@@ -79010,6 +80453,12 @@ Tuple(S:Type): CoercibleTo(PrimitiveArray S) with
              for i in minIndex x.elts .. maxIndex x.elts]$List(OutputForm)
 
 @
+<<TUPLE.dotabb>>=
+"TUPLE" [color="#88FF44",href="bookvol10.3.pdf#nameddest=TUPLE"]
+"TUPLE" -> "A1AGG"
+"TUPLE" -> "A1AGG-"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ARRAY2 TwoDimensionalArray}
 <<TwoDimensionalArray.input>>=
@@ -79455,17 +80904,8 @@ See Also:
 o )help Matrix
 o )help OneDimensionalArray
 o )show TwoDimensionalArray
-o $AXIOM/doc/src/algebra/array2.spad.dvi
 
 @
-<<dot>>=
-"ARRAY2" -> "ARR2CAT"
-"TwoDimensionalArray(a:Type)" ->
-"TwoDimensionalArrayCategory(a:Type,b:FiniteLinearAggregate(a),c:FiniteLinearAggregate(a))"
-"ARRAY2" -> "IIARRAY2"
-"TwoDimensionalArray(a:Type)" ->
-"InnerIndexedTwoDimensionalArray(a:Type,1,1,b:OneDimensionalArray(a),c:OneDimensionalArray(a))"
-@
 \pagehead{TwoDimensionalArray}{ARRAY2}
 \pagepic{ps/v103twodimensionalarray.ps}{ARRAY2}{1.00}
 See also:\\
@@ -79487,6 +80927,12 @@ TwoDimensionalArray(R):Exports == Implementation where
   Implementation ==> InnerIndexedTwoDimensionalArray(R,1,1,Row,Col)
 
 @
+<<ARRAY2.dotabb>>=
+"ARRAY2" [color="#88FF44",href="bookvol10.3.pdf#nameddest=ARRAY2"]
+"ARRAY2" -> "ARR2CAT"
+"ARRAY2" -> "A1AGG"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain VIEW2D TwoDimensionalViewport}
 <<TwoDimensionalViewport.help>>=
@@ -79727,7 +81173,6 @@ Finally we show the combined result
 
 See Also:
 o )show TwoDimensionalViewport
-o $AXIOM/doc/src/algebra/view2d.spad.dvi
 
 @
 \pagehead{TwoDimensionalViewport}{VIEW2D}
@@ -80376,6 +81821,11 @@ TwoDimensionalViewport ():Exports == Implementation where
           Filename
 
 @
+<<VIEW2D.dotabb>>=
+"VIEW2D" [color="#88FF44",href="bookvol10.3.pdf#nameddest=VIEW2D"]
+"VIEW2D" -> "STRING"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \chapter{Chapter U}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
@@ -80388,6 +81838,11 @@ UnivariateFormalPowerSeries(Coef: Ring) ==
     UnivariateTaylorSeries(Coef, 'x, 0$Coef)
 
 @
+<<UFPS.dotabb>>=
+"UFPS" [color="#88FF44",href="bookvol10.3.pdf#nameddest=UFPS"]
+"UFPS" -> "UTSCAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ULS UnivariateLaurentSeries}
 \pagehead{UnivariateLaurentSeries}{ULS}
@@ -80449,6 +81904,11 @@ UnivariateLaurentSeries(Coef,var,cen): Exports == Implementation where
       integrate(x:%,v:Variable(var)) == integrate x
 
 @
+<<ULS.dotabb>>=
+"ULS" [color="#88FF44",href="bookvol10.3.pdf#nameddest=ULS"]
+"ULS" -> "ULSCCAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ULSCONS UnivariateLaurentSeriesConstructor}
 \pagehead{UnivariateLaurentSeriesConstructor}{ULSCONS}
@@ -80904,6 +82364,12 @@ UnivariateLaurentSeriesConstructor(Coef,UTS):_
       termsToOutputForm(m,p,xxx)
 
 @
+<<ULSCONS.dotabb>>=
+"ULSCONS" [color="#88FF44",href="bookvol10.3.pdf#nameddest=ULSCONS"]
+"ULSCONS" -> "ULSCCAT"
+"ULSCONS" -> "ACFS"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain UP UnivariatePolynomial}
 <<UnivariatePolynomial.input>>=
@@ -81530,7 +82996,6 @@ See Also:
 o )help MultivariatePolynomial
 o )help DistributedMultivariatePolynomial
 o )show UnivariatePolynomial
-o $AXIOM/doc/src/algebra/poly.spad.dvi
 
 @
 \pagehead{UnivariatePolynomial}{UP}
@@ -81570,6 +83035,11 @@ UnivariatePolynomial(x:Symbol, R:Ring):
     coerce(v:Variable(x)):% == monomial(1, 1)
 
 @
+<<UP.dotabb>>=
+"UP" [color="#88FF44",href="bookvol10.3.pdf#nameddest=UP"]
+"UP" -> "PFECAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain UPXS UnivariatePuiseuxSeries}
 \pagehead{UnivariatePuiseuxSeries}{UPXS}
@@ -81735,6 +83205,11 @@ UnivariatePuiseuxSeries(Coef,var,cen): Exports == Implementation where
       termsToOutputForm(m,rat,p,xxx)
 
 @
+<<UPXS.dotabb>>=
+"UPXS" [color="#88FF44",href="bookvol10.3.pdf#nameddest=UPXS"]
+"UPXS" -> "ULSCCAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain UPXSCONS UnivariatePuiseuxSeriesConstructor}
 \pagehead{UnivariatePuiseuxSeriesConstructor}{UPXSCONS}
@@ -82088,6 +83563,11 @@ UnivariatePuiseuxSeriesConstructor(Coef,ULS):_
       acsch upxs == applyUnary(acsch,upxs)
 
 @
+<<UPXSCONS.dotabb>>=
+"UPXSCONS" [color="#88FF44",href="bookvol10.3.pdf#nameddest=UPXSCONS"]
+"UPXSCONS" -> "ACFS"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain UPXSSING UnivariatePuiseuxSeriesWithExponentialSingularity}
 \pagehead{UnivariatePuiseuxSeriesWithExponentialSingularity}{UPXSSING}
@@ -82374,6 +83854,12 @@ UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen):_
       minusInfinity()
 
 @
+<<UPXSSING.dotabb>>=
+"UPXSSING" [color="#88FF44",href="bookvol10.3.pdf#nameddest=UPXSSING"]
+"UPXSSING" -> "ACF"
+"UPXSSING" -> "FS"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain OREUP UnivariateSkewPolynomial}
 \pagehead{UnivariateSkewPolynomial}{OREUP}
@@ -82400,6 +83886,11 @@ UnivariateSkewPolynomial(x:Symbol, R:Ring, sigma:Automorphism R, delta: R -> R):
      coerce(p:%):OutputForm  == outputForm(p, outputForm x)$Rep
 
 @
+<<OREUP.dotabb>>=
+"OREUP" [color="#88FF44",href="bookvol10.3.pdf#nameddest=OREUP"]
+"OREUP" -> "OREPCAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain UTS UnivariateTaylorSeries}
 \pagehead{UnivariateTaylorSeries}{UTS}
@@ -82668,6 +84159,11 @@ UnivariateTaylorSeries(Coef,var,cen): Exports == Implementation where
 --  We use the default coerce: % -> OutputForm in UTSCAT&
 
 @
+<<UTS.dotabb>>=
+"UTS" [color="#88FF44",href="bookvol10.3.pdf#nameddest=UTS"]
+"UTS" -> "ACFS"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain UNISEG UniversalSegment}
 <<UniversalSegment.input>>=
@@ -82809,7 +84305,6 @@ o )help SegmentBinding
 o )help List
 o )help Stream
 o )show UniversalSegment
-o $AXIOM/doc/src/algebra/seg.spad.dvi
 
 @
 \pagehead{UniversalSegment}{UNISEG}
@@ -82943,6 +84438,11 @@ UniversalSegment(S: Type): SegmentCategory(S) with
         concat(construct expand(lb),  st)
 
 @
+<<UNISEG.dotabb>>=
+"UNISEG" [color="#88FF44",href="bookvol10.3.pdf#nameddest=UNISEG"]
+"UNISEG" -> "FLAGG-"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \chapter{Chapter V}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
@@ -82966,6 +84466,11 @@ Variable(sym:Symbol): Join(SetCategory, CoercibleTo Symbol) with
         latex(x:%):String      == latex sym
 
 @
+<<VARIABLE.dotabb>>=
+"VARIABLE" [color="#88FF44",href="bookvol10.3.pdf#nameddest=VARIABLE"]
+"VARIABLE" -> "ALIST"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain VECTOR Vector}
 <<Vector.input>>=
@@ -83159,7 +84664,6 @@ o )help Set
 o )help Table
 o )help TwoDimensionalArray
 o )show Vector
-o $AXIOM/doc/src/algebra/vector.spad.dvi
 
 @
 \pagehead{Vector}{VECTOR}
@@ -83194,6 +84698,12 @@ Vector(R:Type): Exports == Implementation where
                           convert(parts x)@InputForm]
 
 @
+<<VECTOR.dotabb>>=
+"VECTOR" [color="#88FF44",href="bookvol10.3.pdf#nameddest=VECTOR",
+          shape=ellipse]
+"VECTOR" -> "STRING"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain VOID Void}
 <<Void.input>>=
@@ -83288,7 +84798,6 @@ Once a value has been converted to Void, it cannot be recovered.
 
 See Also:
 o )show Void
-o $AXIOM/doc/src/algebra/void.spad.dvi
 
 @
 \pagehead{Void}{VOID}
@@ -83324,6 +84833,11 @@ Void: with
         coerce(v:%) == coerce(v)$Rep
 
 @
+<<VOID.dotabb>>=
+"VOID" [color="#88FF44",href="bookvol10.3.pdf#nameddest=VOID"]
+"VOID" -> "STRING"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \chapter{Chapter W}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
@@ -83433,6 +84947,11 @@ WeightedPolynomials(R:Ring,VarSet: OrderedSet, E:OrderedAbelianMonoidSup,
      w
 
 @
+<<WP.dotabb>>=
+"WP" [color="#88FF44",href="bookvol10.3.pdf#nameddest=WP"]
+"WP" -> "PFECAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain WUTSET WuWenTsunTriangularSet}
 <<WuWenTsunTriangularSet.input>>=
@@ -83742,7 +85261,6 @@ o )help SquareFreeRegularTriangularSet
 o )help LazardSetSolvingPackage
 o )help ZeroDimensionalSolvePackage
 o )show WuWenTsunTriangularSet
-o $AXIOM/doc/src/algebra/triset.spad.dvi
 
 @
 \pagehead{WuWenTsunTriangularSet}{WUTSET}
@@ -83992,6 +85510,11 @@ WuWenTsunTriangularSet(R,E,V,P) : Exports == Implementation where
          sort(infRittWu?, removeDuplicates lts)
 
 @
+<<WUTSET.dotabb>>=
+"WUTSET" [color="#88FF44",href="bookvol10.3.pdf#nameddest=WUTSET"]
+"WUTSET" -> "RPOLCAT"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \chapter{Chapter X}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
@@ -84112,6 +85635,11 @@ XDistributedPolynomial(vl:OrderedSet,R:Ring): XDPcat == XDPdef where
          return p.first.c * q.first.c + coef(p.rest,q.rest)
 
 @
+<<XDPOLY.dotabb>>=
+"XDPOLY" [color="#88FF44",href="bookvol10.3.pdf#nameddest=XDPOLY"]
+"XDPOLY" -> "XPOLYC"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain XPBWPOLY XPBWPolynomial}
 <<XPBWPolynomial.input>>=
@@ -84949,7 +86477,6 @@ Calculations with verification in XRecursivePolynomial.
 
 See Also:
 o )show XPBWPolynomial
-o $AXIOM/doc/src/algebra/xlpoly.spad.dvi
 
 @
 \pagehead{XPBWPolynomial}{XPBWPOLY}
@@ -85186,6 +86713,11 @@ XPBWPolynomial(VarSet:OrderedSet,R:CommutativeRing): XDPcat == XDPdef where
          +/ [t.c * mirror1(t.k) for t in p]
 
 @
+<<XPBWPOLY.dotabb>>=
+"XPBWPOLY" [color="#88FF44",href="bookvol10.3.pdf#nameddest=XPBWPOLY"]
+"XPBWPOLY" -> "XPOLYC"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain XPOLY XPolynomial}
 <<XPolynomial.input>>=
@@ -85437,7 +86969,6 @@ o )help XDistributedPolynomial
 o )help XRecursivePolynomial
 o )help XPolynomialRing
 o )show XPolynomial
-o $AXIOM/doc/src/algebra/xpoly.spad.dvi
 
 @
 \pagehead{XPolynomial}{XPOLY}
@@ -85467,6 +86998,11 @@ o $AXIOM/doc/src/algebra/xpoly.spad.dvi
 XPolynomial(R:Ring) == XRecursivePolynomial(Symbol, R)
 
 @
+<<XPOLY.dotabb>>=
+"XPOLY" [color="#88FF44",href="bookvol10.3.pdf#nameddest=XPOLY"]
+"XPOLY" -> "XPOLYC"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain XPR XPolynomialRing}
 <<XPolynomialRing.input>>=
@@ -85849,7 +87385,6 @@ o )help XDistributedPolynomial
 o )help XRecursivePolynomial
 o )help XPolynomial
 o )show XPolynomialRing
-o $AXIOM/doc/src/algebra/xpoly.spad.dvi
 
 @
 \pagehead{XPolynomialRing}{XPR}
@@ -86012,6 +87547,13 @@ XPolynomialRing(R:Ring,E:OrderedMonoid): T == C where
           x/r == inv(r)*x
 
 @
+<<XPR.dotabb>>=
+"XPR" [color="#88FF44",href="bookvol10.3.pdf#nameddest=XPR"]
+"XPR" -> "FLAGG"
+"XPR" -> "FLAGG-"
+"XPR" -> "FIELD"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain XRPOLY XRecursivePolynomial}
 Polynomial arithmetic with non-commutative variables has been improved
@@ -86308,6 +87850,11 @@ XRecursivePolynomial(VarSet:OrderedSet,R:Ring):  Xcat == Xdef where
          sort_!(lv)
 
 @
+<<XRPOLY.dotabb>>=
+"XRPOLY" [color="#88FF44",href="bookvol10.3.pdf#nameddest=XRPOLY"]
+"XRPOLY" -> "XPOLYC"
+
+@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \chapter{Chapter Y}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
diff --git a/changelog b/changelog
index 3440db0..4598d8f 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090110 tpd src/axiom-website/patches.html 20090110.01.tpd.patch
+20090110 tpd books/bookvol10.3 add dotabb chunks
 20090103 tpd src/axiom-website/patches.html 20090103.01.tpd.patch
 20090103 tpd src/algebra/Makefile merge layerpic graphviz data
 20081231 tpd src/axiom-website/patches.html 20081231.01.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 5026b4d..b83e712 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -871,6 +871,8 @@ CATS Kamke test suite uploaded<br/>
 hp build order graph fixes<br/>
 <a href="patches/20090103.01.tpd.patch">20090103.01.tpd.patch</a>
 algebra/Makefile merge layerpic graphviz data<br/>
+<a href="patches/20090110.01.tpd.patch">20090110.01.tpd.patch</a>
+bookvol10.3 add dotabb chunks<br/>
 
  </body>
 </html>
